#
# spec file for package yast2-network
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-network
Version:        3.2.52
Release:        12.1
BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools >= 3.1.15
Requires:       yast2-proxy
#for install task
BuildRequires:  rubygem(yast-rake)

# yast2 v3.1.86: Added ServicesProposal library
BuildRequires:  yast2 >= 3.1.86
# Network: Adapt old enslaved interface config
Requires:       yast2 >= 3.1.206.2

# Product control need xml agent
BuildRequires:  yast2-xml
Requires:       yast2-xml

#netconfig (FaTE #303618)
Requires:       sysconfig >= 0.80.0
# Storage::IsDeviceOnNetwork
BuildRequires:  yast2-storage >= 2.21.11
Requires:       yast2-storage >= 2.21.11
# Packages::vnc_packages
Requires:       yast2-packager >= 3.1.47
# cfa for parsing hosts, AugeasTree#unique_id
BuildRequires:  rubygem(%rb_default_ruby_abi:cfa) >= 0.6.0
Requires:       rubygem(%rb_default_ruby_abi:cfa) >= 0.6.0
# lenses are needed to use cfa
BuildRequires:  augeas-lenses
Requires:       augeas-lenses
# BusID of all the cards with the same one (bsc#1007172)
Requires:       hwinfo         >= 21.35

# testsuite
BuildRequires:  rubygem(rspec)

PreReq:         /bin/rm

# carrier detection
Conflicts:      yast2-core < 2.10.6

Requires:       yast2-ruby-bindings >= 1.0.0

Obsoletes:      yast2-network-devel-doc

Summary:        YaST2 - Network Configuration
License:        GPL-2.0
Group:          System/YaST

%description 
This package contains the YaST2 component for network configuration.

%prep
%setup -n %{name}-%{version}

%check
rake test:unit

%install
rake install DESTDIR="%{buildroot}"

%files
%defattr(-,root,root)
%{yast_ybindir}/*
%{yast_yncludedir}/network
%{yast_clientdir}/*.rb
%dir %{yast_moduledir}/YaPI
%{yast_moduledir}/YaPI/NETWORK.pm
%{yast_moduledir}/*.rb
%{yast_desktopdir}/*.desktop
%{yast_scrconfdir}/*.scr
%{yast_agentdir}/ag_udev_persistent
%{yast_schemadir}/autoyast/rnc/networking.rnc
%{yast_schemadir}/autoyast/rnc/host.rnc
%{yast_libdir}/network
%dir %{yast_libdir}/cfa/
%{yast_libdir}/cfa/hosts.rb
%{yast_ydatadir}/network

%dir %{yast_docdir}
%doc %{yast_docdir}/CONTRIBUTING.md
%doc %{yast_docdir}/COPYING
%doc %{yast_docdir}/README.md

%changelog
* Thu Jun  7 2018 knut.anderssen@suse.com
- AutoYaST: Do not crash when trying to convert the /etc/hosts
  profile declaration from multiple line host entries for the same
  host to just one line (bnc#1095971)
- 3.2.52
* Mon Apr 30 2018 mfilka@suse.com
- bnc#1077435
  - do not crash with internal error when /etc/hosts is corrupted
- 3.2.51
* Tue Mar  6 2018 knut.anderssen@suse.com
- bsc#1078991
  - Do not crash when some LanItem does not have hardware info.
- 3.2.50
* Mon Feb 26 2018 knut.anderssen@suse.com
- SuSEFIrewall2: Allow also (vnc / ssh) access in SuSEFirewall in
  case of remote auto-installations for the 2st stage (bsc#1080630)
- 3.2.49
* Wed Feb 14 2018 knut.anderssen@suse.com
- Do not propose network interfaces without link (bsc#1062596)
- 3.2.48
* Mon Dec 11 2017 mfilka@suse.com
- bnc#1056109
  - improved device name collision recognition when applying device
    renaming according to the AY profile
- 3.2.47
* Wed Nov 15 2017 knut.anderssen@suse.com
- bnc#1066982
  - Removed an unnecesary SuSEFirewall.Write call when storing the
    Firewall remote client configuration.
- 3.2.46
* Tue Nov 14 2017 jreidinger@suse.com
- bnc#1066982
  - fixed initialization and storing of firewall widget
- 3.2.45
* Wed Nov  8 2017 igonzalezsosa@suse.com
- Fix a typo in NetworkLanAddressInclude module (bsc#1067172)
- 3.2.44
* Tue Oct 10 2017 mfilka@suse.com
- bnc#1052042
  - properly update canonical name and aliases in /etc/hosts when
    FQDN is provided as a hostname
- 3.2.43
* Wed Oct  4 2017 knut.anderssen@suse.com
- AutoYaST: Do not display a warning about disabled second stage
  when if network is configured before the proposal (bsc#1054400)
- 3.2.42
* Fri Sep 29 2017 knut.anderssen@suse.com
- Do not blank out /etc/hosts when no <host> section is defined
  (bsc#1058396)
- 3.2.41
* Tue Sep 26 2017 knut.anderssen@suse.com
- Preload the global DHCLIENT_SET_HOSTNAME option based on linuxrc
  sethostname option if given or based in control file default if
  not. (bsc#1054933)
- Do not override the configuration with the default defined in
  the control file at the end of the first stage (bsc#1056633)
- 3.2.40
* Mon Aug 21 2017 lslezak@suse.cz
- AutoYaST: Do not display a warning about disabled second stage
  when the hostname setting is read out of profile (bsc#1054400)
- 3.2.39
* Mon Aug 21 2017 mfilka@suse.com
- bnc#1039656
  - do not clear /etc/hosts when installing virtual Host
- 3.2.38
* Mon Aug 14 2017 mfilka@suse.com
- bnc#1047615
  - check if /etc/hosts exists before loading its content
- 3.2.37
* Tue Aug  8 2017 igonzalezsosa@suse.com
- bnc#1037727
  - fixed device name recognition during AY installation
- 3.2.36
* Wed Aug  2 2017 jreidinger@suse.com
- Backport: Fix crash during write if Host.Read and Host.Import is
  called together (bsc#1047929)
- 3.2.35
* Fri Jul 28 2017 igonzalezsosa@suse.com
- bnc#1050986
  - fix udev rules export when more than one device is configured
- bnc#1037727
  - dhclient configuration warning message does not block AutoYaST
- 3.2.34
* Thu Jul 27 2017 knut.anderssen@suse.com
- bsc#1039851
  - Host: Load /etc/hosts entries before import the ones defined in
    a given AutoYaST profile making it backward compatible.
- 3.2.33
* Wed Jul 12 2017 mfilka@suse.com
- bnc#1038717
  - avoid creating duplicate udev rules in AutoYaST installation
- 3.2.32
* Tue Jul  4 2017 lslezak@suse.cz
- Display a warning in AutoYaST installation when importing the DNS
  configuration with disabled seconds stage (the second stage is
  currently required for writing the config) (bsc#1046198)
- 3.2.31
* Tue Jul  4 2017 mfilka@suse.com
- bnc#1046735
  - do not update sysconfig when no IP is given in case of static
    NIC configuration.
- 3.2.30
* Thu Jun 22 2017 nmoreychaisemartin@suse.com
- bsc#1044982
  - handle bad pci class/subclass ids used by Mellanox ConnectX-3
- 3.2.29
* Thu May 25 2017 mfilka@suse.com
- bnc#1039532
  - do not write hostname into /etc/hosts duplicitly for one IP
  - configure static IPs without own hostname to resolve to system
    wide hostname during installation
- 3.2.28
* Mon May 22 2017 gsouza@suse.com
- bsc#1036440 and bsc#994471
  - Command "yast remote list" should not alter the system.
- 3.2.27
* Wed May 17 2017 mfilka@suse.com
- bnc#1038521
  - do not raise an internal error during installation when
    multiple static device and hostname configurations were
    provided
- 3.2.26
* Tue May 16 2017 knut.anderssen@suse.com
- bsc#1035908
  - Moved inst_install_inf client to yast2-installation.
- 3.2.25
* Tue Apr  4 2017 knut.anderssen@suse.com
- bsc#956755
  - Don't propose wlan interfaces for the virtualization bridge.
- 3.2.24
* Mon Apr  3 2017 mfilka@suse.com
- bnc#927629
  - improved adding routes. Accepts netmask or prefix length.
  - fixed column name in add route dialog from Genmask to more
    common Netmask
- 3.2.23
* Thu Mar 30 2017 knut.anderssen@suse.com
- Fix typo in edit_nic_name dialog using bus_id instead of busid
  (bsc#1031120)
- 3.2.22
* Tue Mar 21 2017 jreidinger@suse.com
- adapt to new version of cfa (new cfa needed for bsc#1023204)
- 3.2.21
* Wed Feb 22 2017 mfilka@suse.com
- bnc#1020074
  - when incomplete udev rule is read from the AY profile, it is
    ignored instead of raising an internal error.
- 3.2.20
* Thu Jan 19 2017 kanderssen@suse.com
- Added network proposal using the new summary api and the new
  proposal_client flag 'label_proposal' for CASP special formmating
  (fate#322328).
- 3.2.19
* Wed Jan 18 2017 kanderssen@suse.com
- Added summaries for the configured interfaces, particulary an one
  line summary. (fate#322328)
* Wed Jan 11 2017 kanderssen@suse.com
- Fixed the assignment of udev rules to Lan Items when a previous
  one does not exist (bsc#996879).
- 3.2.18
* Fri Dec  9 2016 mfilka@suse.com
- bnc#1013605
  - Enable DHCP_HOSTNAME listbox only when wicked service is used.
  - Fixed displaying the "keep current settings" option.
- 3.2.17
* Wed Dec  7 2016 mfilka@suse.com
- bnc#1013684
  - do not crash with internal error when setting static setup for
    newly added device
- 3.2.16
* Wed Nov 30 2016 kanderssen@suse.com
- Linuxrc does not export some variables anymore and handles the
  configuration of network directly, for that reason, some methods
  or reponsibilities of InstallInfConvertor class are not needed
  being removed.
* Wed Nov 30 2016 mfilka@suse.com
- bnc#1012764
  - made rpm architecture independent (noarch)
- 3.2.15
* Tue Nov 29 2016 mfilka@suse.com
- bnc#1012581
  - do not crash with internal error stating undefined method when
    switching to "Hostname / DNS" tab when the system contains
    incorrect configuration of DHCLIENT_SET_HOSTNAME
- 3.2.14
* Mon Nov 28 2016 mfilka@suse.com
- bnc#1009931
  - update item's overview with freshly edited values
- 3.2.13
* Wed Nov 23 2016 mfilka@suse.com
- bsc#984890
  - new implementation of setting hostname via DHCP. User is
    allowed to set hostname via particular interface or set a
    reasonable default value for all interfaces.
- bsc#1007172 (kanderssen@suse.com)
  - When an interface is enslaved in a bond the udev rule is modified
    using the bus_id instead of the mac address but some multiport
    cards could use the same bus_id. In such cases also the dev_port
    is needed. Taking this in account the dev_port will be added
    always when a udev rule based on bus_id is written.
- 3.2.12
* Tue Nov 22 2016 igonzalezsosa@suse.com
- Do not crash when removing an entry from the /etc/hosts file
  (bsc#1010994)
- 3.2.11
* Tue Nov 22 2016 jreidinger@suse.com
- do not crash when on command line is passed non-number id
  (bsc#1003908)
- 3.2.10
* Thu Oct 27 2016 jreidinger@suse.com
- Make network summary consistent with other summaries
  (bsc#745940)
- 3.2.9
* Tue Oct 25 2016 mvidner@suse.com
- Fixed a hardcoded interface name in a CLI test (bsc#1006799)
- 3.2.8
* Mon Oct 17 2016 kanderssen@suse.com
- Bridge handling has been improved (bsc#962824).
  - "NONE" is shown instead of 0.0.0.0 for old bridge configuration
  - The bridge master is shown in the enslaved interface.
  - The interfaces overview is updated after a bridge is modified
  - The interfaces enlsaved are not lost when save in a different
    tab.
- 3.2.7
* Mon Oct 17 2016 jreidinger@suse.com
- fix crash when dummy ip is not needed
  (found during testing of bsc#877047)
- 3.2.6
* Fri Oct 14 2016 jreidinger@suse.com
- optimize loading /etc/hosts if there is a lot of entries
  (bsc#877047)
- 3.2.5
* Mon Oct 10 2016 mfilka@suse.com
- do not duplicate work of network service at the beginning of
  AutoYaST's second stage - not loading modules and so on.
- 3.2.4
* Fri Oct  7 2016 kanderssen@suse.com
- If an interface is not configured yet then just set the interface
  link, the backend should handle at least the up event.
  (bsc#991694)
- 3.2.3
* Fri Oct  7 2016 ancor@suse.com
- Extra space in the remote administration dialog (bsc#988904)
* Thu Oct  6 2016 mfilka@suse.com
- Use full interface up / down instead of setting just link
  up / down to allow proper update of interface's configuration.
  (bsc#991694)
- 3.2.2
* Wed Oct  5 2016 ancor@suse.com
- If WIFI is configured during installation, make sure the packages
  required for WIFI to work are installed in the resulting system
  (bsc#1002700)
- 3.2.1
* Wed Sep 21 2016 jreidinger@suse.com
- reduce rpm build time (bsc#999203)
- 3.2.0
* Wed Sep  7 2016 mfilka@suse.com
- bnc#993587
  - extended fix from 3.1.168 to cover also virtual interfaces
- 3.1.170
* Sat Sep  3 2016 mfilka@suse.com
- bnc#988157
  - disable DHCP autoconfiguration in installer when an interface
    configuration is provided via linuxrc
- 3.1.169
* Wed Aug 24 2016 mfilka@suse.com
- bnc#993587
  - installer is able to newly configured set devices up in case of
    ssh/vnc installation
- 3.1.168
* Fri Aug 19 2016 mfilka@suse.com
- bnc#991382
  - init and store IFPLUGD_PRIORITY properly
- 3.1.167
* Thu Aug 18 2016 mfilka@suse.com
- bnc#991486
  - extended fix for this bug from 3.1.163. Do not report invalid
    names incorrectly
- 3.1.166
* Thu Aug 11 2016 mfilka@suse.com
- bnc#985905
  - do not limit number of bonding slaves to 10
- 3.1.165
* Thu Aug 11 2016 mfilka@suse.com
- bnc#988786
  - Create bridge when proposing configuration for VM host.
- 3.1.164
* Wed Aug 10 2016 ancor@suse.com
- Improved parsing of vlan ids that are longer than one character.
* Wed Aug 10 2016 mfilka@suse.com
- bnc#991486
  - Do not allow creating device with oversized configuration name.
- 3.1.163
* Tue Aug  9 2016 schubi@suse.de
- Added entry "s390-devices" to the AutoYaST schema file.
  Bug similar bnc#954412.
- 3.1.162
* Tue Aug  9 2016 mfilka@suse.com
- bnc#991920
  - do not crash with internal error when renaming unconfigured
    device
- 3.1.161
* Tue Aug  2 2016 mfilka@suse.com
- bnc#991382
  - Do not crash with internal error when using "On Cable
    Connection" device activation mode.
- 3.1.160
* Tue Jul 12 2016 schubi@suse.de
- Added entry "dhclient_set_hostname" to the AutoYaST schema file.
  Bug similar bnc#954412.
- 3.1.159
* Thu Jun 23 2016 mfilka@suse.com
- bnc#970320, bnc#865132, bnc#852604
  - do not overwrite Postfix MTA configuration when saving network
    setup
- 3.1.158
* Tue Jun 21 2016 igonzalezsosa@suse.com
- bsc#984146
  - set AutoYaST keep_install_network parameter to 'true' by
    default
  - restore the default behavior present in SLE 12 SP1 and
    openSUSE Leap 42.1
- 3.1.157
* Tue Jun 14 2016 mfilka@suse.com
- bnc#983201
  - do not crash with internal error when configuring new device on
    s390
- 3.1.156
* Mon Jun 13 2016 mfilka@suse.com
- fate#318787
  - detect modifications when closing module, do not restart when
    not needed.
- 3.1.155
* Wed Jun  1 2016 igonzalezsosa@suse.com
- Drop yast2-network-devel-doc package (fate#320356)
- 3.1.154
* Tue May 31 2016 mfilka@suse.com
- bnc#981842
  - enable / disable vncmanager only when installed to avoid
    failures in systemd calls
- 3.1.153
* Thu May 19 2016 mfilka@suse.com
- fate#319319
  - implemented support for vncmanager in Remote module. Thanks to
    msrb@suse.cz.
- 3.1.152
* Tue May 17 2016 mfilka@suse.com
- bnc#971175
  - /etc/hosts is correctly updated with static address, hostname
    when static net configuration is done via linuxrc and hostname
    is provided by AY profile
- 3.1.151
* Fri May 13 2016 knut.anderssen@suse.com
- fate#315995
  - Added physical port id to device overview and bond slaves item
    description if supported.
  - Warn the user when two or more bonded interfaces share the
    same physical port.
  - Available interfaces for bonding in bond slaves tab are now
    sorted and moving them up or down maintain the interface
    selected.
- 3.1.150
* Mon May  2 2016 mfilka@suse.com
- bnc#977953
  - added dependency on yast2-proxy. "yast2 lan" won't fail with
    internal error (missing Proxy module), when yast2-network is
    installed into a minimal server installation.
- 3.1.149
* Tue Apr 19 2016 mfilka@suse.com
- bnc#966694
  - TigerVNC Viewer Error: No matching security types. Do not touch
    VNC arguments when enabling or disabling it. Thanks to
    msrb@suse.com for the patch.
- 3.1.148
* Tue Apr 12 2016 mfilka@suse.com
- bnc#974910
  - fixed internal error when no "interfaces" group is found in an
    AY profile
- 3.1.147
* Mon Apr 11 2016 mfilka@suse.com
- bnc#955217, bnc#956605
  - fixed internal error caused by the previous patch
- 3.1.146
* Mon Apr  4 2016 mfilka@suse.com
- bnc#955217, bnc#956605
  - unified udev rule handling by always doing it in the 1st stage
    of installation.
- 3.1.145
* Sun Mar  6 2016 mfilka@suse.com
- bnc#920089
  - fix by Damir Porobic
  - fixed layout of dialog for new route definition
- 3.1.144
* Mon Feb 22 2016 mfilka@suse.com
- bnc#960703
  - sometimes wicked was started instead of NetworkManager in case
    of AY installation. Moreover it could happen that both services
    were "half-started" and network setup got broken.
- bsc#903190
  - Recognized netcard with sub_class_id 07 as InfiniBand (ib) which
    now are not filtered out (knut.anderssen@suse.com).
- 3.1.143
* Fri Jan 29 2016 knut.anderssen@suse.com
- Removed old testsuites tests and autotools, so yast2-testsuite
  is not required anymore (fate#314695).
- 3.1.142
* Fri Jan 22 2016 mvidner@suse.com
- Fixed an Internal error when aborting the configuration of a
  WiFi interface (bsc#950902).
- 3.1.141
* Wed Dec  2 2015 mfilka@suse.com
- bnc#957377
  - When exporting AutoYaST profile, it contains dns configuration
    even when this config was provided via linuxrc.
- 3.1.140
* Mon Nov 30 2015 mfilka@suse.com
- bnc#951330
  - drop record from /etc/hosts when deleting nic configuration
- bsc#954412 (igonzalezsosa@suse.com)
  - Fix validation of AutoYaST profiles
- 3.1.139
* Wed Nov 25 2015 mfilka@suse.com
- bnc#956605
  - Write udev rules for renamed devices for non ssh / vnc AutoYaST
    installations
- 3.1.138
* Mon Nov 23 2015 mfilka@suse.com
- bnc#956012
  - When exporting AutoYaST profile, it contains route definitions
    even when these routes were configured using linuxrc.
- 3.1.137
* Mon Nov 16 2015 mfilka@suse.com
- bnc#955217
  - do not raise internal error during AY installation with profile
    containing  device renaming rule for unconfigured interface
- 3.1.136
* Mon Nov 16 2015 mfilka@suse.com
- bnc#944349
  - do not set links down when running AY installation over vnc.
    VNC installation do not freeze.
  - renaming network devices during ssh/vnc installation is
    supported
-3.1.135
* Sun Nov  8 2015 mfilka@suse.com
- bnc#944349
  - do not set links down when running AY installation over ssh.
    SSH installation do not freeze.
- 3.1.134
* Thu Oct  8 2015 mvidner@suse.com
- Fixed "Relax-NG parser error : Some defines for ipv6_forward
  needs the combine attribute" when checking validity
  of any AutoYaST profile (bsc#948206).
- 3.1.133
* Tue Oct  6 2015 mfilka@suse.com
- bnc#900647
  - fixed to accept an empty domain in /etc/hostname
- 3.1.132
* Thu Oct  1 2015 mvidner@suse.com
- Moved "Network Settings" into "System" group also in the Gnome/GTK
  control center (FATE#318804, bsc#867809).
- 3.1.131
* Wed Sep 23 2015 mfilka@suse.com
- bnc#866742
  - Do not fail with internal error when cloning configuration
    twice in a row
- 3.1.130
* Wed Sep 16 2015 mfilka@suse.com
- bnc#945947
  - Routing module returns correct return code when invoked from
    command line
- 3.1.129
* Thu Aug 27 2015 mfilka@suse.com
- bnc#846201
  - made bridge port selection persistent across tab switching
- 3.1.128
* Tue Aug 18 2015 mfilka@suse.com
- bnc#940892
  - fixed internal error when importing AY profile
- 3.1.127
* Tue Aug 18 2015 igonzalezsosa@suse.com
- bsc#941948
  - lan_auto client returns value properly
- 3.1.126
* Mon Aug 10 2015 mfilka@suse.com
- bnc#916013
  - IPv4 forwarding always enabled upon finishing setup
- 3.1.125
* Wed Aug  5 2015 mfilka@suse.com
- bnc#916013
  - IPv6 forwarding setup is stored persistently
- 3.1.124
* Fri Jul 31 2015 ancor@suse.com
- bnc#940192, bnc#935937
  - fixed crash deleting interfaces using CLI (yast lan delete)
- 3.1.123
* Wed Jul  1 2015 mfilka@suse.com
- bnc#864264
  - fixed internal error in adding alias
- 3.1.122
* Tue Jun 30 2015 mvidner@suse.com
- Fixed warnings like 'duplicated key at line 230 ignored:
  "rt73usb"' (boo#930870)
  (recording a fix present in 3.1.116 already).
* Thu Jun 25 2015 mfilka@suse.com
- bnc#922765, bnc#923990
  - fixed default domain proposal
- 3.1.121
* Thu Jun 18 2015 mfilka@suse.com
- bnc#930448
  - display proper startmode description in Overview dialogue
- 3.1.120
* Mon Jun 15 2015 igonzalezsosa@suse.com
- Fix handling of AutoYaST parameter keep_install_network
- 3.1.119
* Thu Jun 11 2015 mfilka@suse.com
- fate#318804
  - moved "Network Settings" into "System" group in YaST control
    centre
- 3.1.118
* Wed Jun 10 2015 mfilka@suse.com
- bnc#934180
  - fixed internal error in lan AutoYaST client.
- 3.1.117
* Mon Jun  8 2015 mfilka@suse.com
- bnc#874259
  - keep device configuration provided via linuxrc when autoyast
    keep_install_network is set
- 3.1.116
* Mon May 18 2015 locilka@suse.com
- bsc#916376
  - proposing iSCSI-related configuration in firewall proposal
    in first stage if iSCSI is in use
- 3.1.115
* Mon Apr 27 2015 mfilka@suse.com
- bnc#912904
  - do not crash when adding new device and proposed configuration
    name is changed to new one
- bnc#914833
  - do not crash when renaming virtual device via hardware tab
- bnc#910337
  - initialize configuration name in Hardware tab correctly. It
    means according device type. Also uses custom name if user
    used nonstandard one.
- bnc#905738
  - udev rules provided by AutoYaST profile gets applied
- bnc#918356
  - populate bond slave candidates list with proper device names
- 3.1.114
* Wed Jan 28 2015 lslezak@suse.cz
- fixed a build failure when building against the latest yast2
  package
- 3.1.113
* Tue Dec 23 2014 mvidner@suse.com
- Removed a bash specific post script with a workaround
  for an ancient bug (bnc#39842).
- 3.1.112
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Fri Nov 28 2014 mfilka@suse.com
- bnc#906694
  - fixed exception raised due to modifying frozen string when
    running in localized mode
- 3.1.110
* Fri Oct 17 2014 mfilka@suse.com
- bnc#898250, bnc#899363
  - ignore /etc/install.inf:usessh flag when the file is present in
    installed system and always reload / restart network service in
    case of updated configuration
- 3.1.109
* Fri Oct 10 2014 schubi@suse.de
- AutoYaST Routing Import: Initialize device list correctly.
  (bnc#900352)
- 3.1.108
* Fri Oct 10 2014 locilka@suse.com
- Do not set default_route to "no" in auto-configuration in
  inst-sys, just remove the entry completely (bnc#900466)
- 3.1.107
* Thu Oct  9 2014 ancor@suse.com
- Improved help text in "global options" (bnc#892678)
- 3.1.106
* Mon Oct  6 2014 mfilka@suse.com
- bnc#889287
  - during autoconfiguration at s390 use linuxrc's OSAHWAddr param
    for LLADDR when available.
- 3.1.105
* Tue Sep 30 2014 ancor@suse.com
- The "change hostname via DHCP" setting is now configurable via
  control file (bnc#870896).
- 3.1.104
* Mon Sep 29 2014 mfilka@suse.com
- bnc#898620
  - do not write LLADDR="00:00:00:00:00:00" into ifcfg in z/VM
- 3.1.103
* Thu Sep 25 2014 mfilka@suse.com
- bnc#897394, bnc#866250
  - device specific routes configuration (ifroute-<devname>) is
    supported
- 3.1.102
* Tue Sep 23 2014 mfilka@suse.com
- bnc#892958
  - propose STARTMODE=nfsroot when installing to remote device
- 3.1.101
* Wed Sep 17 2014 mvidner@suse.com
- Really do not lose the default route
  when editing an interface (bnc#883836#c15).
- 3.1.100
* Wed Sep 17 2014 locilka@suse.com
- Do not check for / install packages in inst-sys (bnc#888130)
- 3.1.99
* Tue Sep 16 2014 locilka@suse.com
- Remote administration adjusted to warn users that they need to
  restart display manager manually if it's needed (bnc#893606)
- 3.1.98
* Fri Sep 12 2014 mfilka@suse.com
- bnc#894089
  - update udev rules correctly when changing device names for more
    than one net device
- 3.1.97
* Fri Sep 12 2014 ancor@suse.com
- Changed the remote administration module to get the list of
  required packages from yast2-packager (bnc#896178).
- 3.1.96
* Mon Sep  8 2014 mvidner@suse.com
- Use a more flexible rubygem requirement syntax (bnc#895069)
- 3.1.95
* Fri Sep  5 2014 mfilka@suse.com
- bnc#894053
  - it is not possible to rename a device to a name same as an
    unconfigured device's one
- bnc#895273
  - when adding new device, whole name is shown instead of only
    number.
  - it is possible to fill in a name which conforms to a new device
    naming scheme
- 3.1.94
* Thu Sep  4 2014 locilka@suse.com
- Fixed firewall proposal to survive missing SuSEfirewall2 services
  files for openssh or VNC - if files are missing, services are not
  handled by the proposal (bnc#894419)
- 3.1.93
* Wed Sep  3 2014 mvidner@suse.com
- Test speed-up.
- 3.1.92
* Wed Sep  3 2014 mfilka@suse.com
- bnc#886434
  - accelerated autoconfiguration at the beginning of installer
- 3.1.91
* Tue Sep  2 2014 ancor@suse.com
- Updated BuildRequires to break cycle introduced in
  yast2-installation 3.1.114 (which fixes bnc#893501)
- 3.1.90
* Thu Aug 28 2014 lslezak@suse.cz
- write the proxy credentials from install.inf separately, make it
  compatible with the proxy module used at installed system
  (bnc#885957)
- 3.1.89
* Wed Aug 27 2014 mfilka@suse.com
- bnc#893638
  - handle abort button correctly during installation
- 3.1.88
* Mon Aug 25 2014 mfilka@suse.com
- bnc#891517
  - do not require ifplugd package for devices with
    STARTMODE='ifplugd' in ifcfg
- 3.1.87
* Fri Aug 22 2014 locilka@suse.com
- Fixed requesting sshd/firewall packages in case of the default
  configuration together with minimal installation (bnc#893126)
- 3.1.86
* Thu Aug 21 2014 locilka@suse.com
- Fixed firewall proposal in case of VNC installation: using
  correct firewall services: vnc-httpd and vnc-server (bnc#892899)
- 3.1.85
* Mon Aug 18 2014 snwint@suse.de
- copy wickedd-nanny status (in /etc/wicked/common.xml) to target
- 3.1.84
* Fri Aug 15 2014 mfilka@suse.com
- bnc#887238
  - Layer2 availability option is referenced correctly during
    autoconfiguration
- 3.1.83
* Fri Aug 15 2014 jsrain@suse.cz
- fixed typo in module name (bnc#891921)
- 3.1.82
* Thu Aug 14 2014 mfilka@suse.com
- bnc#841170, fate#316090
  - support for filtering broadcoms storage only devices out of
    device list
- 3.1.81
* Wed Aug 13 2014 lslezak@suse.cz
- properly convert proxy configuration from install.inf during
  installation (bnc#885957)
- 3.1.80
* Wed Aug 13 2014 mvidner@suse.com
- Fixed network_autoconfiguration_test stubbing on s390 (bnc#883836).
- 3.1.79
* Tue Aug 12 2014 locilka@suse.com
- Reading and adjusting the SuSEfirewall2 configuration has been
  moved from inst_finish to inst_proposal because AutoYast export
  can be already requested in inst_proposal (bnc#887406)
- 3.1.78
* Thu Aug  7 2014 mvidner@suse.com
- Do not lose default route when editing an interface (bnc#883836).
- 3.1.77
* Tue Aug  5 2014 schubi@suse.de
- Autoyast: If NetworkManager is not available taking wicked although
  the user has set it explicit. ( with warning Popup )
  (bnc#890238)
- 3.1.76
* Mon Aug  4 2014 mfilka@suse.com
- bnc#889359
  - Re-enable Add button in Overview dialog during installation
- 3.1.75
* Mon Aug  4 2014 mfilka@suse.com
- bnc#884517
  - fixed proposal when virtual machine proposal is selected
  - /etc/hosts do not contain incorrect 0.0.0.0 entry
- 3.1.74
* Fri Aug  1 2014 ancor@suse.com
- Avoid confusing firewall proposals by hidding the details (ssh
  and vnc ports) when the firewall is disabled (bnc#886554).
- 3.1.73
* Fri Aug  1 2014 ancor@suse.com
- Don't propose to enable the firewall if SuSEFirewall is not
  selected for installation (bnc#881250)
- 3.1.72
* Tue Jul 22 2014 locilka@suse.com
- Using new ServicesProposal library to set the sshd service status
  for AutoYast export at the end of installation (bnc#887688)
- 3.1.71
* Thu Jul 17 2014 snwint@suse.de
- Use ProxyURL when reading proxy settings from install.inf.
- 3.1.70
* Mon Jul 14 2014 schubi@suse.de
- Do not restart network if the installation has been started
  via a SSH connection. (bnc#885640)
- 3.1.69
* Fri Jul 11 2014 mfilka@suse.com
- bnc#885257
  - rephrased message informing on active NetworkManager
- 3.1.68
* Tue Jun 24 2014 schubi@suse.de
- bnc#883718
  Taking wicked as default in autoyast installation.
- 3.1.67
* Sat Jun 21 2014 mfilka@suse.com
- bnc#878719
  - active network service selected properly
- 3.1.66
* Thu Jun 19 2014 mfilka@suse.com
- bnc#879617
  - fixed generated bridge port configuration
  - tun device is not allowed as bridge port anymore
- 3.1.65
* Sat Jun 14 2014 mfilka@suse.com
- bnc#880167
  - fixed internal error when renaming device
- bnc#877690
  - turned more labels into title style.
- 3.1.64
* Wed Jun 11 2014 mfilka@suse.com
- bnc#878719
  - handle inactive network service state
  - allow disabling network service completely
- fixed disabling of unconfigureable items when e.g. NetworkManager
  is used as network service
- 3.1.63
* Tue Jun  3 2014 mfilka@suse.com
- bnc#858908
  - write hostname into cross platform /etc/hostname instead of
    SUSE specific /etc/HOSTNAME
- 3.1.62
* Fri May 30 2014 mfilka@suse.com
- bnc#880754
  - fixed internal error when configuring TUN/TAP device
- 3.1.61
* Fri May 30 2014 vmoravec@suse.com
- Fix failing tests due to changes in SystemdService#restart
- 3.1.60
* Mon May 26 2014 mfilka@suse.com
- bnc#868256
  - network service selection turned into combo box
  - showing only those services that are actually available
- 3.1.59
* Fri May 23 2014 locilka@suse.com
- Fixed service name for remote administration (display-manager)
  including code Rubyfication (bnc#878910)
- 3.1.58
* Fri May 16 2014 mfilka@suse.com
- bnc#877690
  - use title style for labels
- 3.1.57
* Fri May 16 2014 mfilka@suse.com
- bnc#876848
  - network autoconfiguration fixed for kvm guests
- 3.1.56
* Tue May  6 2014 mfilka@suse.com
- bnc#874178
  - fixed help for "Global Options"
- 3.1.55
* Tue May  6 2014 mfilka@suse.com
- bnc872381
  - installer sets target's hostname and hosts properly
- 3.1.54
* Mon May  5 2014 mfilka@suse.com
- fixed testsuite - adapted to API changes
- 3.1.53
* Mon May  5 2014 mfilka@suse.com
- bnc#870896
  - fixed proposed DNS / Hostname configuration to be same as in
    SLE-11
- 3.1.52
* Mon Apr 28 2014 mfilka@suse.com
- bnc#867451
  - when virtual machine is installed, propose virtual interface
    configuration
- 3.1.51
* Fri Apr 25 2014 mfilka@suse.com
- bnc#872319
  - accelerated dhcp automatic configuration which is done during
    initial phase of installer
- 3.1.50
* Thu Apr 17 2014 mfilka@suse.com
- fixed terminology confusion. "Alias name" turned into  "IPv4
  Address Label". "Alias name" is obsolete since kernel 2.0.0
- 3.1.49
* Thu Apr 17 2014 mfilka@suse.com
- bnc#870406
  - fixed assigning device name in ifcfg created during installation
- 3.1.48
* Mon Apr 14 2014 mfilka@suse.com
- bnc#873149
  - manual network configuration dialog changed to Next / Back
    dialog
- 3.1.47
* Fri Apr  4 2014 mfilka@suse.com
- bnc#868187
  - implemented heuristics for setting DHCLIENT_SET_DEFAULT_ROUTE
    during autoconfiguration in installation
- 3.1.46
* Fri Apr  4 2014 jreidinger@suse.com
- avoid client redefinition warning (bnc#872089)
- 3.1.45
* Wed Apr  2 2014 mfilka@suse.com
- bnc#869199
  - fix resolv.conf not getting updated (via NETCONFIG_DNS_POLICY
    being emptied)
- 3.1.44
* Wed Apr  2 2014 jreidinger@suse.com
- fix typos in latest change ( found by openqa )
- 3.1.43
* Wed Apr  2 2014 jreidinger@suse.com
- split enabling sshd and opening firewall port in installation
  (bnc#865056)
- 3.1.42
* Mon Mar 31 2014 locilka@suse.com
- Fixed calling logging function in inst_lan (bnc#871091)
- 3.1.41
* Fri Mar 28 2014 mfilka@suse.com
- bnc#870622
  - opening network configuration dialogue on user's request works
- 3.1.40
* Thu Mar 27 2014 mfilka@suse.com
- bnc#869776
  - fixed internal error raised when building interface overview
- 3.1.39
* Mon Mar 24 2014 mfilka@suse.com
- bnc#869353
  - inst_lan can walk back in installer
- 3.1.38
* Fri Mar 21 2014 mfilka@suse.com
- bnc#869224
  - enlarged nic name input field in "Edit Nic Name" dialogue in
    ncurses mode
- 3.1.37
* Wed Mar 19 2014 mfilka@suse.com
- bnc#868830
  - remove device also from LanItems' cache when deleting during
    automatic configuration in installer
- 3.1.36
* Mon Mar 17 2014 mfilka@suse.com
- gh#yast/yast-core#74
  - automatic dhcp configuration is unable to clear unused
    configurations. It blocks starting manual configuration dialog.
- 3.1.35
* Sat Mar 15 2014 mfilka@suse.com
- bnc#868436
  - fixed internal error at the begining of installation
- 3.1.34
* Wed Mar 12 2014 mfilka@suse.com
- bnc#866827, fate#314695
  - show a dialog for network configuration when autoconfiguration
  is unable to proceed
- 3.1.33
* Mon Mar 10 2014 locilka@suse.com
- Fixed Yast Remote to allow enabling vnc-httpd and vnc-server
  services in firewall (bnc#867377).
- 3.1.32
* Wed Mar  5 2014 mvidner@suse.com
- bnc#865707
  - use wicked as dhcp client in instsys (by mfilka)
  - reverted wickedd-dhcp{6,4}, instead try wicked ifreload
    and delete the config if that didn't work
- 3.1.31
* Tue Mar  4 2014 mvidner@suse.com
- Use wickedd-dhcp{6,4} instead of (dropped) dhcpcd-test when
  setting up DHCP interfaces (bnc#866617)
- 3.1.30
* Fri Feb 28 2014 jreidinger@suse.com
- fix installation crash - do not mess ruby global namespace
- 3.1.29
* Fri Feb 28 2014 mfilka@suse.com
- bnc#864614
  - exclude already configured devices from dhcp candidates when
  attempting to do an autoconfiguration at the begining of
  installation
- 3.1.28
* Fri Feb 28 2014 mfilka@suse.com
- bnc#866224
  - inst_install_inf.rb is present in instsys
- 3.1.27
* Thu Feb 27 2014 mfilka@suse.com
- bnc#865199
  - netmask generated corectly when handling static net
    configuration provided by install.inf
- 3.1.26
* Wed Feb 26 2014 mfilka@suse.com
- fixed internal error in save_network client
- 3.1.25
* Wed Feb 26 2014 mfilka@suse.com
- bnc#859213
  - generate install.inf based netconfig at the begining of
  installation. Generated configuration is copied to target at the
  end of installation
- 3.1.24
* Wed Feb 19 2014 snwint@suse.de
- copy also ifroute-* files into installed system
- 3.1.23
* Wed Feb 19 2014 snwint@suse.com
- fix merging /etc/sysconfig/network/config, values with spaces
  broke the syntax and made wicked crash (bnc#864510)
- 3.1.22
* Mon Feb 17 2014 mfilka@suse.com
- bnc#862378
  - improved earlier fix. It handles virtual devices without
    configuration better now.
- 3.1.21
* Fri Feb 14 2014 mfilka@suse.com
- bnc#863952
  - removed remaining references to DSL, ISDN, Modem modules from
    network launcher
- 3.1.20
* Tue Feb 11 2014 mfilka@suse.com
- bnc#862378
  - Device name set according hwinfo when ifcfg["NAME"] is empty
- 3.1.19
* Fri Feb  7 2014 mfilka@suse.com
- fate#315501
  - IPoIB mode configuration in YaST
- 3.1.18
* Tue Feb  4 2014 mfilka@suse.com
- bnc#859903
  - tightvnc package is not required when enabling remote
    administration
- 3.1.17
* Thu Jan 30 2014 mfilka@suse.com
- bnc#861078
  - network configuration created during installation is copied to
    target
- 3.1.16
* Tue Jan 21 2014 mfilka@suse.com
- bnc#859181
  - dropped code related to smpppd (ifcfg: USERCONTROL)
- 3.1.15
* Wed Jan 15 2014 mfilka@suse.com
- bnc#846950
  - change in resolv conf policy detected and stored properly
- 3.1.14
* Thu Jan  9 2014 mfilka@suse.com
- Don't show the Add button for network devices during the
  installation: configuring undetected ones is considered an
  advanced operation that should be postponed to the installed
  system.
- 3.1.13
* Fri Dec 13 2013 mfilka@suse.com
- wicked support - initial implementation
- adapted to API changes in yast2 3.0.9
- 3.1.12
* Mon Dec  9 2013 mfilka@suse.com
- fate#308681
  - dropped ISDN configuration support
- fate#308680
  - dropped DSL configuration support
- fate#313104
  - dropped modem configuration support
- dropped parts were moved into newly created package yast2-dialup
  which is available at github
- 3.1.11
* Fri Nov 29 2013 jreidinger@suse.com
- fix DHCP capable cards client to not break installation
- 3.1.10
* Thu Nov 28 2013 jreidinger@suse.com
- fix distribution of client for detection DHCP capable cards
- 3.1.9
* Mon Nov 25 2013 jreidinger@suse.com
- add installation client that detect all DHCP capable network
  cards and set it up
- 3.1.8
* Wed Nov 20 2013 lslezak@suse.cz
- removed automatic 2nd stage support (the 2nd stage has been
  dropped completely) (FATE#314695)
- 3.1.7
* Mon Nov 18 2013 jreidinger@suse.com
- Fix testsuite to the latest changes in NetworkInterfaces
- 3.1.6
* Thu Nov  7 2013 mfilka@suse.com
- bnc#843646
  - firewall can be enabled/disabled during installation
- 3.1.5
* Wed Oct 30 2013 mfilka@suse.com
- bnc#847783
  - do not offer ifplugd devices as bridge port candidate
- 3.1.4
* Tue Oct 22 2013 mfilka@suse.com
- adapt to removal of NetworkInterfaces.HasAliases from yast2
  since 3.1.2
- 3.1.3
* Wed Oct 16 2013 mfilka@suse.com
- bnc#845534
  - fixed internal error which appeared when attempting to add an
  alias
- 3.1.2
* Wed Sep 25 2013 mfilka@suse.com
- bnc#572202
  - separated IP forwarding enablement for IPv4 and IPv6 because
  IPv6 forwarding disables IPv6 stateless address autoconfiguration
  (SLAAC)
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Sep 18 2013 mfilka@suse.com
- Refactoring
  - removing ycp artifacts
  - separated dialog for editing nic name into own class
- 3.0.7
* Wed Sep 11 2013 mfilka@suse.com
- bnc#578787
  - LanItems provides API for querying all available netcard devices
- 3.0.6
* Wed Sep  4 2013 mfilka@suse.com
- bnc#837793
  - Network Card details / General: show the assigned firewall zone;
  previously "Automatically Assigned Zone" would be always shown.
- 3.0.5
* Tue Aug 27 2013 jreidinger@suse.com
- do not overwrite curl log for addon (BNC#632917)
- 3.0.4
* Mon Aug 26 2013 jreidinger@suse.com
- fix suggest for KDE network manager applet (BNC#747808)
- 3.0.3
* Thu Aug 22 2013 mfilka@suse.com
- Ported changes from SLE branch (bnc#831833)
- bnc#769081
  - do not remove line from /etc/hosts if it contains two spaces
    between hostnames
- bnc#810539
  - fixed issue in YaPI which caused a syntax warning
- fate#308978
  - do not write network config files if not changed
- 3.0.2
* Wed Aug 21 2013 mfilka@suse.com
- bnc#803616
  - do not disable firewall proposal in second stage
- 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Mon Jul 29 2013 locilka@suse.com
- Fixed detection whether interface is handled by firewall and thus
  fixed accidental stopping and disabling the firewall services.
  Added detection of interfaces handled by implicit assignment
  with 'any' in firewall zone.
  (bnc#829556)
- 2.25.8
* Thu Jul 18 2013 mfilka@suse.com
- bnc#695262
  - fixed write sequence to enable device renaming.
-2.25.7
* Tue Jul 16 2013 mfilka@suse.com
- adopted to new device type detection API provided by yast2
- minor improvement in Modem module - no country is selected when
  a custom provider is selected
- 2.25.6
* Tue Jul 16 2013 lslezak@suse.cz
- move an include statement to the top level (needed for Ruby
  translation)
* Thu Jun 20 2013 mfilka@suse.com
- bnc#808490
  - set securitytypes=none for Xvnc when remote administration
    is allowed. Required due to different default value in currently
    used Xvnc implementation (TigerVNC).
  - Remote Administration module opens ports in firewall when
    requested by user
- 2.25.5
* Wed May 29 2013 mfilka@suse.com
- bnc#821427
  - fixed biosdevname renaming in case of buggy SMBIOS.
  - original patch provided by Martin Wilck
    (martin.wilck@ts.fujitsu.com)
- 2.25.4
* Mon May 27 2013 mfilka@suse.com
- bnc#813232
  - extended fix from 2.25.2. DNS module is able to handle FQDN now.
- 2.25.3
* Thu May 16 2013 mfilka@suse.com
- bnc#817943
  - do not propose bridge devices when a virtualization is installed
    on s390
- 2.25.2
* Thu May  2 2013 mfilka@suse.com
- bnc#813232
  - fixed parsing hostname in DNS module. Number from begining is
    not stripped anymore.
- 2.25.1
* Tue Apr 30 2013 mfilka@suse.com
- bnc#793367
  - Added loading tun/tap settings from netconfig.
- 2.25.0
* Fri Apr 19 2013 mfilka@suse.com
- Fix detection of properly configured LCS and CTC devices (bnc#741071#c20)
- Only save LLADDR (persistent MAC) for some s390 card types,
  avoiding softsetup, also after the installation (bnc#728611).
- Ensure persistent interface names by retriggering udev events
  after we have written an incomplete 70-persistent-net.rules
  (bnc#721520).
* Fri Apr 12 2013 mfilka@suse.com
- Changed way how list of slave candidates for bridge is created
- Improved conditions for slave candidates list creation. Devices
  enslaved in a bond are excluded.
* Wed Apr 10 2013 mfilka@suse.com
- bnc#813835
  - Crash when attempting to edit unconfigured interface.
* Tue Apr  2 2013 mfilka@suse.com
- bnc#719881
  - S390: only L2 capable devices can be enslaved into bond.
* Fri Mar 22 2013 mfilka@suse.com
- bnc#747844
  - Extended bugfix. Initializes reasonable defaults for s390
    specific variables when configuring device for the first time.
    Previous fix handled switching between interfaces only.
- bnc#792985
  - eth not set up during installation
  - previous bugfix was not working
* Fri Mar 22 2013 mfilka@suse.com
- Ported several fixes in YaPI:
- fate#313309
  - support for bonding and bridging (WebYaST)
- bnc#790219
  - fixed writting ifcfg for bonding through YaPI.
    More than two interfaces can be added into bond device.
  - YaPI: drop caches when reading network interfaces, make it
    stateless (bnc#790219#c33) - lslezak@suse.cz
- bnc#790202
  - workaround for forcing reconfiguration of bridge slaves
- 2.24.17
* Tue Mar  5 2013 mvidner@suse.cz
- Adopted to restart / reload using NetworkService instead Service,
  that has been changed to use network.service alias link installed
  by NetworkManager.service while "systemctl enable" and obsoletes
  the NETWORKMANAGER=yes/no variable in /etc/sysconfig/network/config
  (bnc#764055,bnc#764336,bnc#798348, by mt@suse.com)
- Requires sysconfig >= 0.80.0 and yast2 >= 2.23.20
- 2.24.16
* Wed Feb 27 2013 mfilka@suse.com
- fate#313548, fate#309055 and fate#100011 in general. Removed
  SUSEconfig calls for postfix and sendmail. Also related to
  bnc#786665
- 2.24.15
* Tue Feb 12 2013 mvidner@suse.cz
- AutoYaST: write /etc/hosts even if keep_install_network=true
  (bnc#796580)
- AutoYaST: If keep_install_network=true and dns/write_hostname
  is unspecified, use the product default (which is false on SLES),
  thus not writing 127.0.0.2 to /etc/hosts. (bnc#796580)
  (fixing a regression introduced in 2.22.1)
- 2.24.14
* Mon Jan 21 2013 mfilka@suse.com
- fate#312733
  - nameservers editing supported via CLI
- 2.24.13
* Thu Jan 17 2013 locilka@suse.com
- Added support for VNC in network/firewall configuration in first
  stage of installation (bnc#795929)
- 2.24.12
* Thu Jan 10 2013 mfilka@suse.com
- s390 - bnc#719881 - only devices with L2 support can be enslaved in bond
  - improved filtering of devices available for enslaving.
  - able to load qeth config from system (layer2 support and other
  qeth attributes used to be lost once qeth device was configured)
- 2.24.11
* Mon Jan  7 2013 mfilka@suse.com
- fate#312733
  - Added edit action for DNS CLI mode.
  - Hostname editing supported.
- 2.24.10
* Thu Jan  3 2013 locilka@suse.com
- Testsuites adapted to switching Service module to systemd
  (yast2-2.23.15)
- Testsuite adapted to merging SuSEfirewall2_* scripts into one
  (yast2-2.23.17)
- 2.24.9
* Thu Nov 15 2012 mfilka@suse.com
- confirmed license
* Tue Nov 13 2012 mfilka@suse.com
- Code cleanup:
  - removed obsolete and empty function ScreenName.
  - removed reference to CVS/SVN feature ($Id$)
* Tue Nov  6 2012 mfilka@suse.com
- Fixed testsuite. tests/include.ycp, tests/udev.ycp failed when
  missing /etc/sysconfig/console.
* Thu Oct 25 2012 mfilka@suse.com
- initialize s390 specific device variables when switching interfaces
- s390 code cleanup. chan_mode variable is not shared between different
  device types anymore. qeth_macaddress is set according sysconfig now.
- bnc#747844
- 2.24.8
* Wed Oct 17 2012 mfilka@suse.com
- Refactoring editing interface names.
- Added nic name checking according bnc#784952
- 2.24.7
* Wed Oct  3 2012 mfilka@suse.com
- Autoenabling of all interfaces allowed during installation only.
- fixes bnc#782283
- 2.24.6
* Fri Sep 21 2012 jsuchome@suse.cz
- let curl follow redirects when downloading release notes package
  (bnc#781330)
- 2.24.5
* Mon Aug 27 2012 mfilka@suse.com
- bnc#752464 - leak wireless passwords
- 2.24.4
* Mon Aug 20 2012 mfilka@suse.com
- bnc#754940 - missing help in hw dialog when adding new device.
- code cleanup
- 2.24.3
* Mon Jul 30 2012 mfilka@suse.com
- bnc#766217 - Gateway IP address is invalid
  added default '-' for Genmask and gateway fields
- 2.24.2
* Wed Jul 25 2012 mkubecek@suse.cz
- use "ip addr" and "ip route" for network test logs rather than
  ifconfig and route
* Mon Jul 16 2012 mfilka@suse.com
- bnc#767946 - configuring dummy netwok interface error
  disable '-o' option for dummy module hwcfg widget doesn't exist
- 2.24.1
* Mon Jul  2 2012 mfilka@suse.com
- fate#312287 - hotpluging of bonding slaves
- updated UI - added columns into net device overview
- updated testsuite
- 2.24.0
* Wed May  2 2012 mfilka@suse.com
- bnc#750325 - allow apostrophe in ESSID
- 2.23.0
* Tue Apr 24 2012 ug@suse.de
- keep_install_network added to rnc file (bnc#758529)
* Wed Apr 11 2012 mvidner@suse.cz
- Fixed a dead reference to proxy code; moved a forgotten file.
- 2.22.7
* Tue Apr 10 2012 mvidner@suse.cz
- Moved proxy client config to a new package yast2-proxy.rpm
- 2.22.6
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofread texts
* Wed Mar 14 2012 mvidner@suse.cz
- No need to chmod /etc/sysconfig/network/providers after placing
  files there (which opens up a race): filesystem.rpm and
  permissions.rpm have the correct permissions for it already
  (bnc#713661)
* Wed Mar  7 2012 mvidner@suse.cz
- Sleep between writing udev rules and ifcfgs so that
  rcnetwork reload works (bnc#749365)
- 2.22.5
* Wed Feb 29 2012 jsuchome@suse.cz
- internet test: "Abort > Continue Installation" should not abort
  (bnc#748251)
* Mon Feb 27 2012 mfilka@suse.com
- installer's proxy config stored on installed system - bnc#693640
- 2.22.4
* Thu Feb 23 2012 mfilka@suse.com
- added popup with security question when proxy url contains password (http://usr:pass@proxy) - bnc 694582
- fixed testsuite
- 2.22.3
* Tue Jan 31 2012 mvidner@suse.cz
- Simplified NetworkStorage::isDiskOnNetwork, thx locilka (bnc#726057#c12)
* Tue Jan 24 2012 mvidner@suse.cz
- Fixed broken autoyast in general (bnc#742855)
  and in case with keep_install_network without dns without routing
  (bnc#712864).
- Filter out more Chelsio devices, by PCI id (bnc#711432#c83)
- 2.22.2
* Thu Jan 12 2012 mvidner@suse.cz
- AY keep_install_network: merge dns and routing from linuxrc
  item by item, not just in bulk (bnc#712864).
- Clarified the label for BOOTPROTO=none: "No Link and IP Setup (
  Bonding Slaves)" (bnc#737333).
- 2.22.1
* Fri Jan  6 2012 mvidner@suse.cz
- skip USB NICs during bridge proposal (bnc#710098)
- do not inherit for new bridge port devices PREFIXLEN (bnc#735109)
- do not inherit for bridge device ETHTOOLS_OPTIONS (bnc#735109)
- Filter out Chelsio devices without device file (bnc#711432)
- Only save LLADDR (persistent MAC) for some s390 card types
  (bnc#658708).
- 2.22.0
* Fri Jan  6 2012 mvidner@suse.cz
- Moved NetworkStorage from yast2.rpm to yast2-network.rpm
  (bnc#726057)
- Use Storage::IsDeviceOnNetwork instead of trying to do it
  ourselves, wrong (bnc#726057).
* Thu Sep 22 2011 visnov@suse.cz
- show module name in window title
- 2.21.8
* Thu Sep 22 2011 lslezak@suse.cz
- updated Network_YaPI test (adapted to systemd and sysctl changes)
- 2.21.7
* Wed Sep 21 2011 lslezak@suse.cz
- Routing.ycp - use /etc/sysctl.conf file instead of deprecated
  /etc/sysconfig/sysctl, adapted testsuite
* Mon Sep 19 2011 visnov@suse.cz
- Remove unneeded dialog and dependency on Wizard_hw
- 2.21.6
* Fri Sep  2 2011 mvidner@suse.cz
- Don't switch bonding interfaces to DHCP when editing them (bnc#711962).
- Don't say that a NIC without an address has no encryption (bnc#711962).
* Wed Aug 31 2011 mvidner@suse.cz
- More YaPI improvements from Justus Winter:
  - Write: default BOOTPROTO to 'static', allow omitting IPADDR
  - Allow manipulating STARTMODE, don't assume 'auto'.
  - Handle ETHERDEVICE and VLAN_ID.
- 2.21.5
* Wed Aug 17 2011 mvidner@suse.cz
- Sort of enable arbitrary interface names.
  Fix skipping the internet test, release notes, registration, with
  biosdevname (bnc#712232).
- 2.21.4
* Fri Aug 12 2011 mvidner@suse.cz
- Integrated patches from Justus Winter:
  - Make MTU configurable using YaPI.
  - YaPI (re)Read: Don't append a slash to ipaddr like '1.2.3.4/8/'.
- 2.21.3
* Thu Aug 11 2011 mvidner@suse.cz
- Omit unnecessary INTERFACETYPE declaration in ifcfg (bnc#711762)
  This broke the VM-proposed bridge because it copied ifcfg-ethN's
  INTERFACETYPE=eth (bnc#704999).
- 2.21.2
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Wed Aug  3 2011 mvidner@suse.cz
- inst_hostname: do write the randomized /etc/HOSTNAME if left
  unchanged by user (bnc#695803).
- Allow empty domain in autoyast profiles again (bnc#677471).
- 2.21.1
* Fri Jul 22 2011 mvidner@suse.cz
- Support biosdevname=1 NIC naming scheme: don't write mac-based udev
  rules (FATE#311332).
- STARMODE='nfsroot' also for FCoE (FATE#306855).
- Show NIC device names for unconfigured NICs (FATE#311335).
- Fixed configuring multiple interfaces with the same VLAN (FATE#311380,
  FATE#309240, bnc#572747, bnc#588588)
- Make the hostname resolvable to our static address coming from
  Linuxrc (bnc#664929).
- 2.21.0
* Fri Jul 22 2011 jreidinger@suse.cz
- Do not enable WIRELESS_POWER by default, some APs are broken
  (FATE#309255).
* Fri Jul 22 2011 locilka@suse.cz
- Obsoleted X-KDE-SubstituteUID replaced with xdg-su in Exec in
  desktop files (bnc#540627)
* Thu Jul 21 2011 locilka@suse.cz
- Fixed Firewall and SSH proposal to be still able to adjust SSH
  independently on the firewall status (bnc#537980).
- 2.20.13
* Fri Jul  1 2011 mvidner@suse.cz
- Proofread texts for translation (by A.Turrini, bnc#703190).
* Mon May 30 2011 mvidner@suse.cz
- WebYaST: also update /etc/hosts, for hostname -f (bnc#694283#c8)
- 2.20.12
* Thu May 26 2011 coolo@novell.com
- Switch is not used, so don't require it (removed from perl 5.13.1)
* Wed Apr 13 2011 mvidner@suse.cz
- AutoYaST: networking/start_immediately was ignored (bnc#655571, bnc#675844)
- 2.20.11
* Tue Feb 15 2011 mvidner@suse.cz
- DSL: linux-atm-lib.rpm was renamed to libatm1.rpm (bnc#668586)
* Mon Jan 17 2011 mvidner@novell.com
- fixed progress messages being out of sync when writing LAN config
  (reported by bmwiedemann)
* Wed Dec 22 2010 mzugec@suse.cz
- ifcfg-ethX.Y style config files for VLAN(fate#309240)
- 2.20.10
* Mon Dec 20 2010 mzugec@suse.cz
- fate#306855: FCoE boot support
- 2.20.9
* Fri Dec 17 2010 mzugec@suse.cz
- L3: don't propose bridge for vbox (bnc#648044)
- 2.20.8
* Mon Dec  6 2010 mzugec@suse.cz
- L3: AY Layer2 support - fixed portname option (bnc#573607)
- 2.20.7
* Thu Dec  2 2010 mzugec@suse.cz
- removed obsolete 50-ipv6.conf (bnc#632530)
- 2.20.6
* Fri Nov 26 2010 mzugec@suse.cz
- added search keywords (bnc#641922)
- 2.20.5
* Tue Nov 16 2010 mzugec@suse.cz
- accept unconfigured + BOOTPROTO=none bondslaves (bnc#652987)
- 2.20.4
* Mon Nov 15 2010 mzugec@suse.cz
- correctly apply BusID based udev rules in AY (bnc#648270)
- 2.20.3
* Mon Nov  8 2010 mzugec@suse.cz
- TP-L3: if possible, for temporary installation network use same
  device with same MAC address, even if devicename changed (bnc#648270)
- 2.20.2
* Wed Nov  3 2010 mzugec@suse.cz
- support for ordering in bonding slaves (bnc#640611)
- 2.20.1
* Wed Oct 27 2010 mzugec@suse.cz
- AY: when no network profile, don't change network configuration
  (bnc#649494)
- 2.19.41
* Tue Oct 26 2010 mzugec@suse.cz
- added "No IP" option for bridge devices (bnc#648620)
- 2.19.40
* Mon Oct 11 2010 mzugec@suse.cz
- added support for IFPLUGD_PRIORITY (bnc#586376)
- 2.19.39
* Fri Sep 17 2010 mzugec@suse.cz
- AY: added IPv6 option (bnc#633310)
- 2.19.38
* Thu Aug 19 2010 mzugec@suse.de
- warn user about nm-applet/knetworkmanager (bnc#627273)
- 2.19.37
* Fri Aug  6 2010 mzugec@suse.cz
- Proxy: correctly enclose user:password into quotes (bnc#616695)
- 2.19.36
* Fri Jul 30 2010 mzugec@suse.cz
- ISDN: removed deprecated documentation URL (bnc#590742)
* Thu Jul 29 2010 mzugec@suse.cz
- fixed typo (bnc#626280)
* Tue Jul 27 2010 mzugec@suse.cz
- YaPI: allow dhcp + static hostname (bnc#624655)
- 2.19.35
* Mon Jul 26 2010 mzugec@suse.cz
- L3: allow unconfigured devices for VLAN (bnc#625103)
- 2.19.34
* Wed Jun 23 2010 mzugec@suse.cz
- L3: AY Layer2 support (bnc#573607)
- 2.19.33
* Tue Jun 22 2010 mzugec@suse.cz
- updated firmware dependency list (bnc#608979)
- 2.19.32
* Thu May 27 2010 mzugec@suse.cz
- fixed duplicate items issue in UI (bnc#584842)
- 2.19.31
* Mon May 24 2010 mzugec@suse.cz
- make add/edit route popup consistent (bnc#583136)
- 2.19.30
* Mon May 17 2010 mzugec@suse.cz
- updated documentation URL (bnc#590742)
- 2.19.29
* Mon May 17 2010 mzugec@suse.cz
- additional addresses for bridge (bnc#590160)
- 2.19.28
* Fri May 14 2010 mzugec@suse.cz
- improved help text (bnc#580039)
- 2.19.27
* Wed May 12 2010 mzugec@suse.cz
- don't write 79-yast2-drivers.rules if empty (bnc#601723)
- 2.19.26
* Wed Apr 21 2010 mzugec@suse.cz
- filter out some iucv devices (bnc#585363)
- 2.19.25
* Mon Apr 19 2010 mzugec@suse.cz
- hide autoreconnect from UI (bnc#558788)
- 2.19.24
* Mon Apr 19 2010 mzugec@suse.cz
- CLI: respect netmask argument (bnc#584406)
- 2.19.23
* Fri Apr 16 2010 kmachalkova@novell.com
- Rollup patch with several Code11 bugfixes:
  - Include <write_hostname> in cloned data (bnc#576495)
  - Don't check for presence of static IPs when deciding whether to
    append 127.0.0.2 line to /etc/hosts
  - Pre-fill hostname field with global hostname in static IP dialog
  - Warn if no hostname is specified for static IP (all bnc#583786)
  - In [auto]installation, prefer hostname from install.inf. Convert
    to FQDN if it is an IP address (bnc#556613, bnc#502715)
* Tue Apr 13 2010 mzugec@suse.cz
- allow vlan on top of bonding device (bnc#591835)
- 2.19.22
* Tue Apr 13 2010 mzugec@suse.cz
- proxy: "/" character validation (bnc#566350)
- 2.19.21
* Tue Mar 30 2010 mzugec@suse.cz
- added exception to filter out virtio semi-device (bnc#585506)
- 2.19.20
* Tue Mar 30 2010 mzugec@suse.cz
- remove aliases from automatically bridged device (bnc#590167)
- 2.19.19
* Wed Mar 24 2010 mzugec@suse.cz
- store hostname from installation proposal dialog (bnc#588938)
- 2.19.18
* Tue Mar 23 2010 mzugec@suse.cz
- fixed description for IP/netmask (bnc#588590)
- 2.19.17
* Wed Mar 17 2010 mzugec@suse.cz
- L3: in case of type different from config. name write INTERFACETYPE
  option (bnc#585458)
- 2.19.16
* Tue Mar 16 2010 mzugec@suse.cz
- during 1st installation stage write correctly filename for ifcfg
  file (bnc#588586)
- 2.19.15
* Thu Mar 11 2010 mzugec@suse.cz
- L3: update device name via which is system installed by AY
  (bnc#578760)
- 2.19.14
* Tue Mar  2 2010 mzugec@suse.cz
- NetHwDetection: use blacklist (bnc#580729)
- 2.19.13
* Tue Mar  2 2010 mzugec@suse.cz
- added fix for saving MAC address to ifcfg (bnc#578689)
- 2.19.12
* Mon Feb 22 2010 mzugec@suse.cz
- mark string for translation (bnc#580019)
* Tue Feb  9 2010 mzugec@suse.cz
- ipv6: enable/disable both module and sysctl method (bnc#561611)
- 2.19.11
* Mon Feb  8 2010 mzugec@suse.cz
- correctly setup iucv devices (bnc#575950)
- 2.19.10
* Wed Jan 27 2010 kmachalkova@suse.cz
- Evaluate modified flag of all net components (not only LanItems),
  so that change in any of them triggers Write (bnc#439235)
- Write DNS data along with other network settings in lan_proposal,
  not separately in inst_hostname (related to bnc#556613)
- Renamed "Write hostname to /etc/hosts" and updated related help
  text (bnc#510228, bnc#469752)
- 2.19.9
* Mon Jan 18 2010 mzugec@suse.cz
- fixed remote.desktop file (Categories)
- 2.19.8
* Fri Jan 15 2010 mzugec@suse.cz
- allow bridge as ETHERDEVICE for VLAN (bnc#569970)
- 2.19.7
* Thu Jan 14 2010 mzugec@suse.cz
- support for BOOTPROTO=ibft option (bnc#551380)
- 2.19.6
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Wed Dec 16 2009 mzugec@suse.cz
- DNS: warn user to not use .local as domain name (bnc#564317)
- 2.19.5
* Mon Dec  7 2009 kmachalkova@suse.cz
- With enabled SuSEFirewall, set SuSEFirewall's FW_ROUTE variable
  when enabling/disabling IP forwarding in routing settings. This
  avoids overwriting sysctl variables by SuSEFirewall init scripts
  (bnc#474304)
- Show proxy relogin msg only in Mode::normal (bnc#543469)
* Tue Dec  1 2009 mzugec@suse.de
- ISDN: fixed creating configuration with incorrect name (bnc#534504)
- 2.19.4
* Fri Nov 27 2009 mzugec@suse.cz
- fixed prefixlen validation
- 2.19.3
* Wed Nov 25 2009 mzugec@suse.cz
- disable ipv6 (bnc#558020)
- 2.19.2
* Tue Nov 24 2009 mzugec@suse.cz
- support for WIRELESS_AP_SCANMODE option (bnc#551618)
- 2.19.1
* Tue Nov 24 2009 kmachalkova@suse.cz
  Cumulative patch with SLE11 SP1 bugfixes and features
- Introduced <dns><write_hostname> option to AY profile to allow
  overriding product default write_hostname_to_hosts (FaTE#305281)
- DNS Import: read product default write_hostname (bnc#500568) and
  hostname/domain from the system (generate random if needed -
  bnc#502715)
- Read defaults and propose values in inst_hostname only once
  (bnc#438124)
- Do not append 127.0.0.2 line when it is not needed (bnc#469752)
- Validate no proxy domains (for FaTE#302377)
- 2.19.0
* Mon Nov 23 2009 mzugec@suse.cz
- exclude nfsroot devices from bridged slaves (bnc#557688)
- 2.18.63
* Fri Nov 20 2009 mzugec@suse.de
- fixed problem with not matching udev rule (bnc#551310)
- 2.18.62
* Thu Nov 19 2009 mzugec@suse.cz
- support for BOOTPROTO=ibft (bnc#547569)
- 2.18.61
* Fri Nov 13 2009 mzugec@suse.de
- adapt interfaces into bridge with 0.0.0.0/32 (bnc#547327)
- 2.18.60
* Wed Nov 11 2009 mzugec@suse.cz
- install broadcom for b43-pci-bridge driver (bnc#412248)
- 2.18.59
* Tue Nov 10 2009 mzugec@suse.cz
- replace kinternet dependency with qinternet (bnc#549912)
- 2.18.58
* Mon Nov  9 2009 mzugec@suse.de
- allow VLAN into bridge (bnc#530109)
- 2.18.57
* Mon Nov  9 2009 mzugec@suse.de
- allow physical identification only when edit device
* Mon Nov  9 2009 mzugec@suse.cz
- adapted test for xen bridged network (bnc#553794)
- 2.18.56
* Wed Nov  4 2009 mzugec@suse.cz
- lan module in 1st stage (FaTE#303069)
- 2.18.55
* Tue Nov  3 2009 mzugec@suse.cz
- support for ETHTOOL_OPTIONS (FaTE#305352)
- 2.18.54
* Thu Oct 29 2009 mzugec@suse.cz
- physical identification for NIC cards (FaTE#307164)
- 2.18.53
* Mon Oct 26 2009 mzugec@suse.cz
- show BusID in lan description (FaTE#307165)
- 2.18.52
* Tue Oct 20 2009 mzugec@suse.cz
- missing space in translated text (bnc#545074)
* Tue Oct 20 2009 mzugec@suse.cz
- for wlan require iw instead of wireless-tools (bnc#539669)
- 2.18.51
* Thu Oct  1 2009 mzugec@suse.cz
- YaPI: return map with return code and error message in Write
  function + testsuite
- 2.18.50
* Fri Sep 25 2009 kmachalkova@suse.cz
- Display simple firewall & SSH config dialog after clicking on
  'Firewall' headline in initial proposal (bnc#539289)
- 2.18.49
* Thu Sep 24 2009 kmachalkova@suse.cz
- Propose opening SSH port in firewall in SSH installation
  (bnc#535206)
- Enable SSH service if SSH port in firewall is to be opened
  (bnc#537980)
* Thu Sep 17 2009 mzugec@suse.cz
- replace STARTMODE='onboot' (which is deprecated) with 'auto'
  (bnc#533818)
- 2.18.48
* Wed Sep 16 2009 mzugec@suse.cz
- YaPI: write all values (included interfaces)
- 2.18.47
* Fri Sep 11 2009 mzugec@suse.cz
- YaPI: possible to remove default GW (bnc#538397)
- 2.18.46
* Wed Sep  9 2009 kmachalkova@suse.cz
- Fixed packaging (YaPI stuff goes to @moduledir@)
* Mon Sep  7 2009 kmachalkova@suse.cz
- Disable firewall_proposal AC step (or equivalent non-automatic
  subproposal) if it has been configured in 1st stage already
  (FaTE #303859 and bnc#534862)
- 2.18.45
* Thu Sep  3 2009 mzugec@suse.de
- YaPI: read interfaces from system (not only fake data)
* Mon Aug 31 2009 mzugec@suse.de
- YaPI: added testsuite
* Fri Aug 28 2009 mzugec@suse.de
- YaPI: real data for dns, routing
* Fri Aug 28 2009 kmachalkova@suse.cz
- Write configuration only in firewall_stage1_finish, do not try to
  start/stop SuSEFirewall2 service
* Thu Aug 27 2009 mzugec@suse.de
- YaPI: read real data for hostname
- 2.18.44
* Mon Aug 24 2009 mzugec@suse.de
- initial commit for DBus YaPI
- 2.18.43
* Wed Aug 19 2009 kmachalkova@suse.cz
- Do a proper reload of network service on writing (standalone) DNS
  configuration (removed *-all-dhcp-clients workaround - bnc#528937)
* Mon Aug 17 2009 mzugec@suse.de
- fixed help text (bnc#530345)
* Mon Aug 17 2009 mzugec@suse.de
- removed old help text (bnc#513146)
* Mon Aug 17 2009 mzugec@suse.de
- L3: manually created bridge over bonding (bnc#528074)
- 2.18.42
* Mon Aug 17 2009 mzugec@suse.de
- L3: proposed bridge over bonding (bnc#528076)
- 2.18.41
* Fri Aug 14 2009 kmachalkova@suse.cz
- Simple 'network' configuration in 1st stage of installation
  (a proposal - turn firewall&ssh on/off) (FaTE #303859)
- 2.18.40
* Tue Jul  7 2009 kmachalkova@suse.cz
- Editing /etc/hosts via host module adjusted to cope with hosts
  with empty alias (do not replace those with 'nil') (bnc#513033)
* Mon Jun 29 2009 mzugec@suse.de
- linuxrc DHCPTimeout -> sysconfig/network.WAIT_FOR_INTERFACES
  (bnc#396824)
- 2.18.39
* Fri Jun 26 2009 mzugec@suse.cz
- removed broadcast option from dhcp settings (bnc#513146)
- 2.18.38
* Thu Jun 25 2009 mzugec@suse.cz
- for lcs and ctc offer only 2 CHAN_IDS (bnc#515492)
- 2.18.37
* Wed Jun 24 2009 mzugec@suse.cz
- default option miimon=100 for bonding (bnc#404449)
- 2.18.36
* Fri Jun 19 2009 mvidner@suse.cz
- Using autodocs-ycp.ami, which contains a fix for automake 1.11.
* Mon Jun  1 2009 mzugec@suse.cz
- new variable Internet::test to store status of test (bnc#506721)
- 2.18.35
* Mon Jun  1 2009 mzugec@suse.cz
- fixed buildtest
* Thu May 28 2009 mzugec@suse.cz
- fixed: missing space in lan dialog (bnc#506732)
- 2.18.34
* Mon May 18 2009 mzugec@suse.cz
- fixed: modem configuration syntax error (bnc#497459)
- 2.18.33
* Thu May 14 2009 mzugec@suse.cz
- support for lcs::s390 devices (bnc#363978)
- 2.18.32
* Mon May  4 2009 mzugec@suse.de
- fixed: after autoinstall, dns and routing info are lost
  (bnc#498993)
- 2.18.31
* Tue Apr 28 2009 mzugec@suse.de
- correctly read/write module options (bnc#487656)
- 2.18.30
* Mon Apr 27 2009 mzugec@suse.de
- improved "device renaming" functionality (bnc#447480) and
  (bnc#461179)
- 2.18.29
* Thu Apr 23 2009 mzugec@suse.cz
- don't propose bridged network for WLAN devices (bnc#450670)
- 2.18.28
* Thu Apr  9 2009 mzugec@suse.de
- fixed netmask/prefixlen validation and correct write (bnc#493222)
- 2.18.27
* Thu Apr  9 2009 kmachalkova@suse.cz
- Make proxy configuration autoyast-clonable (bnc#492786)
* Wed Apr  8 2009 mzugec@suse.de
- IPv6 default gateway (bnc#458891)
- added "route via device" for default gw
- 2.18.26
* Mon Apr  6 2009 mvidner@suse.cz
- Dropped ag_xauth (.xauth.key), superseded since 2005 by
  $XAUTHLOCALHOSTNAME (bnc#482223).
* Thu Apr  2 2009 mzugec@suse.de
- fixed additional addresses with bonding (bnc#420074)
- 2.18.25
* Thu Apr  2 2009 kmachalkova@suse.cz
- Show "Really abort" pop-up dialog only when data are modified (in
  proxy - bnc#460172 and hosts - bnc#460156)
- Allow '/' character in NO_PROXY (subnet definition - bnc#490661)
* Thu Mar 26 2009 mzugec@suse.cz
- show PopupAbort only when data modified (bnc#458324)
- 2.18.24
* Thu Mar 26 2009 mzugec@suse.cz
- don't allow to use networkmanager with bridged proposal (bnc#487419)
- 2.18.23
* Tue Mar 24 2009 mzugec@suse.cz
- tun/tap device - don't remove default gw (bnc#483233)
- 2.18.22
* Tue Mar 24 2009 mzugec@suse.cz
- improved WPA items description (bnc#481509)
* Wed Mar 18 2009 kmachalkova@suse.cz
- Do not show the proxy relogin message in installation (both stages)
  (bnc#486937)
* Wed Mar 18 2009 mzugec@suse.cz
- use 50-ipv6.conf instead of modprobe.d/ipv6 file (bnc#485947)
- 2.18.21
* Mon Mar 16 2009 mzugec@suse.cz
- fixed firewall checkbox status for dsl and modem (bnc#404359)
- 2.18.20
* Thu Mar 12 2009 mzugec@suse.cz
- for s390 propose CHAN_IDS values (bnc#445339)
- 2.18.19
* Wed Mar 11 2009 mzugec@suse.cz
- 1st stage - correctly write ifcfg for ipv6 only (bnc#477917)
- 2.18.18
* Mon Mar  9 2009 mzugec@suse.cz
- improve address dialog for vlan (bnc#376063)
- allow all netcard devices except vlan, bridge and bond to be
  etherdevice for vlan
- 2.18.17
* Thu Mar  5 2009 mzugec@suse.cz
- in DSL module list also pppoe devices (bnc#449982)
- 2.18.16
* Thu Mar  5 2009 mzugec@suse.cz
- fixed testsuite for Routing
* Tue Mar  3 2009 mzugec@suse.cz
- apply forwarding on both IPv4 and IPv6 (bnc#479370)
- 2.18.15
* Tue Mar  3 2009 mzugec@suse.cz
- fixed networking.rnc (bnc#480466)
- 2.18.14
* Mon Mar  2 2009 mzugec@suse.cz
- added help text (bnc#471253)
* Mon Mar  2 2009 mzugec@suse.cz
- Added omitted handling of `hardware symbol in s390 device workflow
  (bnc#476490)
- store HW address only for L2 qeth devices (bnc #479481)
- do not store HW address into sysconfig on hsi and some qeth
  interfaces (bnc #479481)
- 2.18.13
* Tue Feb 24 2009 mzugec@suse.cz
- possible to not use LABEL for aliases (bnc#471253)
- 2.18.12
* Mon Feb 23 2009 mzugec@suse.cz
- correctly write modem configuration in case of edit (bnc#465371)
- 2.18.11
* Mon Feb 23 2009 mzugec@suse.cz
- restart network when NetworkManager selected (bnc#467939)
- 2.18.10
* Fri Feb 20 2009 mzugec@suse.cz
- check size of alias label (bnc#467087)
- 2.18.9
* Fri Feb 20 2009 mzugec@suse.cz
- fixed configuration of OSA Layer2 during installation (bnc#476253)
- 2.18.8
* Wed Feb 18 2009 mzugec@suse.cz
- fixed dialogs workflow for s390 (bnc#476490)
- 2.18.7
* Wed Feb 18 2009 kmachalkova@suse.cz
- Save complete FQDN into /etc/HOSTNAME if specified by 'hostname='
  Linuxrc parameter, do not cut off domain name (bnc#476208)
* Mon Feb 16 2009 mzugec@suse.cz
- AutoYaST - show Imported settings in UI (bnc#461650)
- 2.18.6
* Mon Feb 16 2009 mzugec@suse.cz
- headers for yast lan list (bnc#443753)
* Mon Feb 16 2009 mzugec@suse.cz
- warn user when device to delete has STARTMODE=nfsroot (bnc#433867)
- 2.18.5
* Fri Feb 13 2009 mzugec@suse.cz
- don't propose wlan during installation (bnc#462631)
- 2.18.4
* Wed Feb 11 2009 mzugec@suse.cz
- store qeth options (bnc#474276)
- 2.18.3
* Mon Feb  2 2009 kmachalkova@suse.cz
- Read/write Host::write_hostname variable by Host module only,
  override in inst_hostname if applicable (bnc#469752)
* Thu Jan 29 2009 kmachalkova@suse.cz
- Proxy finish popup is back - notify user about the need to relogin
  to apply new settings (bnc#458708)
* Mon Jan 26 2009 mzugec@suse.cz
- lan : button labeling (bnc#440551)
* Mon Jan 26 2009 mzugec@suse.cz
- host : button labeling (bnc#440521)
* Mon Jan 26 2009 mzugec@suse.cz
- proxy : button labeling (bnc#440535)
* Mon Jan 26 2009 mzugec@suse.cz
- remote : button labeling (bnc#440536)
* Mon Jan 26 2009 mzugec@suse.cz
- dsl : button labeling (bnc#440546)
* Mon Jan 26 2009 mzugec@suse.cz
- modem : button labeling (bnc#440549)
* Mon Jan 26 2009 mzugec@suse.cz
- ISDN : button labeling (bnc#440548)
* Mon Jan 26 2009 mzugec@suse.cz
- removed fake hwinfo
* Thu Jan 22 2009 mzugec@suse.cz
- improved wlan settings validation (bnc#346693)
- 2.18.2
* Wed Jan 21 2009 mzugec@suse.cz
- fix mailformed NAME in ifcfg file when setup network via Linuxrc
  (bnc#460547)
- 2.18.1
* Fri Jan 16 2009 mzugec@suse.cz
- run isdn only when needed (thanks to Karsten Keil) (bnc#104590)
- 2.18.0
* Fri Jan 16 2009 mzugec@suse.cz
- ISDN: use UNIQUE to match device with configuration (bnc#407683)
- 2.17.64
* Mon Jan 12 2009 mzugec@suse.de
- fixed typo (bnc#441897)
* Mon Jan 12 2009 kmachalkova@suse.cz
- Do not reset default gw if the interface is set to 'No IP address'
  mode ( reset iff it is set to DHCP - bnc#460262)
* Wed Jan  7 2009 mzugec@suse.cz
- set layer2 bit and LLADDR for s390 qeth devices (bnc#457189)
- 2.17.63
* Mon Dec  8 2008 kmachalkova@suse.cz
- Really delete hostname entries from /etc/hosts, not only from UI
  (bnc#455862)
- Conversion to/from punycode for non-ascii character hostnames
  (bnc#448486)
- Fixed parsing ot /etc/hosts - tabs are valid field separators
  (bnc#443237)
- 2.17.62
* Thu Dec  4 2008 mzugec@suse.cz
- in bridge proposal configure STARTMODE=onboot (bnc#450670)
- 2.17.61
* Tue Dec  2 2008 kmachalkova@suse.cz
- Allow setting hostname even if network is NM-controlled (bnc#444967)
- Write only limited set of values (NetworkConfig, DNS, Hostname)
  in case of NM on installed system, do not restart/reload network
* Tue Dec  2 2008 ug@suse.de
- rnc file fixed
* Fri Nov 28 2008 mzugec@suse.cz
- don't show "no network running" popup for automatic installation
  (bnc#449777)
- 2.17.60
* Fri Nov 28 2008 mzugec@suse.cz
- support for portnumber option (fate#304080)
- 2.17.59
* Thu Nov 27 2008 kmachalkova@suse.cz
- Removed source of UI syntax error in ISDN - invalid widget ID
  (bnc#446346)
- Make IP/Netmask/Hostname widgets h-stretched (bnc#447897)
* Wed Nov 26 2008 mzugec@suse.de
- change device name - validation for existing names (bnc#447480)
- 2.17.58
* Fri Nov 21 2008 kmachalkova@suse.cz
- Removed workaround for installing the right NetworkManager
  frontend - this is now handled by NM itself (bnc#445643)
- Removed the single point of dependency on yast2-packager
  because of that
- Avoid passing 'nil' arguments when /etc/HOSTNAME's content is not
  \n-terminated (bnc#445531)
- Adjusted help text (write_hostname is configurable) (bnc#441819)
* Thu Nov 20 2008 mzugec@suse.cz
- change in device activation in dsl configuration is not accepted
  (bnc#442741)
- 2.17.57
* Thu Nov 20 2008 mzugec@suse.cz
- during installation write secondary nameserver when available
  (bnc#446101)
- 2.17.56
* Wed Nov 19 2008 mzugec@suse.cz
- marked string for translation (bnc#445687)
* Wed Nov 19 2008 mzugec@suse.cz
- fox CLI when bootproto=dhcp, "ip" is required (bnc#444570)
* Wed Nov 19 2008 mzugec@suse.cz
- changed default bonding mode into active-backup (bnc#404449)
- 2.17.55
* Wed Nov 19 2008 kmachalkova@suse.cz
- Use icewm (instead of fvwm2) as a fallback windowmanager for
  remote administration (bnc#446561)
* Fri Nov 14 2008 mzugec@suse.cz
- fixed typo (bnc#444526)
* Thu Nov 13 2008 ug@suse.de
- rnc file fixed
* Wed Nov 12 2008 mzugec@suse.cz
- removed kinternet dependency (bnc#429802)
- 2.17.54
* Wed Nov 12 2008 kmachalkova@suse.cz
- Set 'modified' flag also when a new host is added (bnc#443239)
* Tue Nov 11 2008 mzugec@suse.cz
- fixed CLI examples
- 2.14.53
* Mon Nov 10 2008 mzugec@suse.cz
- set default values for bridge (bnc#443413)
- 2.14.52
* Wed Nov  5 2008 mzugec@suse.cz
- in case of proposed bridger network do "rcnetwork restart"
  (timeout popup confirmation) also for vnc/ssh/x11 installation
  (bnc#431500)
- 2.14.51
* Fri Oct 31 2008 mzugec@suse.de
- for devices without hwinfo (bridge, vlan, ...) dont propose
  STARTMODE ifpluge, propose STARTMODE='auto'
- 2.14.50
* Thu Oct 30 2008 kmachalkova@suse.cz
- If no DNS search list exists in 2nd stage of installation, preset
  current domain name (!= 'site') as a default value (bnc#438167)
- Correct fix for bnc#427044: removed workaround for KDE4 and
  metacity
* Thu Oct 30 2008 mzugec@suse.de
- increase time to wait for NM to 15 seconds (bnc#439915)
- 2.14.49
* Thu Oct 30 2008 mzugec@suse.de
- for bridged proposal skip devices with no ifcfg (bnc#440132)
- 2.14.48
* Thu Oct 30 2008 mzugec@suse.de
- address dialog layout (bnc#439100)
* Thu Oct 30 2008 mzugec@suse.de
- fixed exception when propose bridged network (bnc#439978)
- 2.14.47
* Wed Oct 29 2008 kmachalkova@suse.cz
- Fit internet test dialog into 80x24 console (bnc#433091)
* Mon Oct 27 2008 kmachalkova@suse.cz
- Remote administration (VNC): service name for opening port in
  firewall is 'service:xorg-x11-server'(bnc#431971)
- Make sure at least one windowmanager is installed if VNC is enabled,
  taking (almost) all shipped ones into account (bnc#427044)
* Mon Oct 27 2008 mzugec@suse.cz
- during installation export sysconfig network settings
  into NetworkManager
- on running system disable lan UI for NM (bnc#433084)
- 2.17.46
* Fri Oct 24 2008 mzugec@suse.de
- don't propose bridged network in DomU (bnc#437628)
- 2.17.45
* Thu Oct 23 2008 mzugec@suse.de
- clone udev rules in AY (bnc#434103)
- 2.17.44
* Tue Oct 21 2008 mzugec@suse.de
- fixed device description (bnc#437326)
- 2.17.43
* Mon Oct 20 2008 mzugec@suse.de
- installation via p-t-p devices (bnc#436956)
- 2.17.42
* Wed Oct 15 2008 ug@suse.de
- rnc file fixed
- 2.17.41
* Mon Oct 13 2008 locilka@suse.cz
- Fixed help texts (bnc#430521)
- 2.17.40
* Thu Oct  9 2008 mzugec@suse.de
- fixed IPv6 prefixlen problem (bnc#428128)
- 2.17.39
* Thu Oct  9 2008 mzugec@suse.de
- for s390 devices added AY read/write support (fate#304938)
- 2.17.38
* Mon Oct  6 2008 mzugec@suse.de
- added support for HSI (s390) devices (fate#304938)
- 2.17.37
* Mon Oct  6 2008 visnov@suse.cz
- adapt to new Confirm::Detection API (bnc #431276)
* Sat Oct  4 2008 mzugec@suse.de
- adapt yast to configure network devices on s390 using udev
  (fate#304938)
- 2.17.36
* Thu Oct  2 2008 mzugec@suse.de
- check NM plugin after network is up (bnc#427374)
- 2.17.35
* Wed Oct  1 2008 mzugec@suse.de
- use rpcbind instead of portmap for nfs installation (bnc#423026)
- 2.17.34
* Wed Oct  1 2008 mzugec@suse.de
- use Service::Restart instead of bash agent
- don't restart network twice in Lan::Write()
- 2.17.33
* Thu Sep 25 2008 mzugec@suse.de
- copy udev files for s390 (bnc#422150)
- 2.17.32
* Mon Sep 22 2008 mzugec@suse.de
- add "need firmware" into overview description (bnc#327549)
- 2.17.31
* Mon Sep 22 2008 mzugec@suse.de
- Modem: check return value of installation (bnc#387716)
- 2.17.30
* Fri Sep 19 2008 mzugec@suse.de
- button labeling in dsl module (bnc#398505)
- button labeling in modem module (bnc#398508)
- 2.17.29
* Fri Sep 19 2008 mzugec@suse.de
- fixed detection of dhcp devices (bnc#427669)
- 2.17.28
* Thu Sep 18 2008 jsrain@suse.cz
- use release notes of all products when checking internet
  connection (bnc #413444)
- 2.17.27
* Tue Sep 16 2008 mzugec@suse.de
- testsuite adapted to new changes (call yast2::XML)
* Mon Sep 15 2008 mzugec@suse.de
- fixed testsuite
* Fri Sep 12 2008 mzugec@suse.cz
- hyperlinks to revert bridged proposal (FaTE#303386)
- 2.17.26
* Fri Sep 12 2008 kmachalkova@suse.cz
- Added CLI support for routing settings (FaTE#120078)
- 2.17.26
* Wed Sep 10 2008 mzugec@suse.de
- special proposal for virtualization network (fate#303386)
- 2.17.25
* Mon Sep  8 2008 mzugec@suse.cz
- button labeling in isdn module (fate#120373)
* Mon Sep  8 2008 mzugec@suse.cz
- proofread
- 2.17.24
* Fri Sep  5 2008 mzugec@suse.cz
- fixed button labeling (bnc#398509)
* Fri Sep  5 2008 mzugec@suse.cz
- support for InfiniBand (fate#304870), (fate#304115)
- 2.17.23
* Thu Sep  4 2008 mzugec@suse.cz
- alignment of add/edit/delete (bnc#421037)
* Thu Sep  4 2008 mzugec@suse.cz
- alignment of add/edit/delete (bnc#421033)
* Thu Sep  4 2008 mzugec@suse.cz
- IPv6 configuration (fate#304397)
- installation with IPv6 (fate#302926)
- 2.17.22
* Thu Sep  4 2008 mzugec@suse.cz
- fixed yast lan list configured|unconfigured (bnc#420449)
- 2.17.21
* Wed Sep  3 2008 kmachalkova@suse.cz
- DNS data configuration adapted to using netconfig (resolv.conf is
  no longer written directly)(FaTE#303618)
* Mon Aug 18 2008 mzugec@suse.cz
- fixed Lan::Required() function
- 2.17.20
* Fri Aug 15 2008 mzugec@suse.cz
- switch regarding 127.0.0.2 entry in /etc/hosts by control.xml
  (fate#303875)
- 2.17.19
* Thu Aug 14 2008 mzugec@suse.cz
- change hardcoded wlan0 into real device
* Thu Aug 14 2008 mzugec@suse.cz
- added "Scan Network" button into wireless dialog (bnc#415359)
- 2.17.18
* Wed Aug  6 2008 mzugec@suse.cz
- increase default idle time-out for modem connection (fate#303429)
- 2.17.17
* Wed Aug  6 2008 mzugec@suse.cz
- installation via wireless (bnc#223570)
- possibility to add bond device into bridge and device with /32
  prefixlen (bnc#405343)
- 2.17.16
* Tue Aug  5 2008 mzugec@suse.cz
- improved help text (bnc#376063)
* Mon Aug  4 2008 mzugec@suse.cz
- for ssh/vnc installation don't reload/restart network because
  possibility of IP change (bnc#347482)
- 2.17.15
* Mon Aug  4 2008 mzugec@suse.cz
- improved Lan::Packages() function
- added STARTMODE=onboot for tun/tap devices (FaTE#302184)
- 2.17.14
* Mon Jul 28 2008 mzugec@suse.cz
- use all devices for InternetTest, not only eth (bnc#400632)
- 2.17.13
* Fri Jul 25 2008 mzugec@suse.cz
- initial support for TUN/TAP (FaTE#302184)
- 2.17.12
* Wed Jul 23 2008 mzugec@suse.cz
- convert eth-id-xx.. device names in AY profile into ethx and udev
  rule
- 2.17.11
* Tue Jul 22 2008 mzugec@suse.cz
- 2.17.10
- don't write udev rules in 2nd stage from AY
* Fri Jul 18 2008 mzugec@suse.cz
- don't replace udev rules file by AY if nothing defined in profile
  (bnc#408338)
- 2.17.9
* Thu Jul 17 2008 mzugec@suse.de
- default options for bonding (bnc#404449)
- 2.17.8
* Wed Jul  9 2008 mzugec@suse.de
- configure IPv6 static IP given from Linuxrc (FaTE#302926)
- 2.17.7
* Tue Jul  1 2008 mzugec@suse.de
- support for "/PREFIXLEN" in aliases
- common mask/prefix validator
- IPv6 support in aliases
- 2.17.6
* Tue Jun 24 2008 mzugec@suse.cz
- correctly show bonding slaves (bnc#401719)
- 2.17.5
* Sat Jun 21 2008 mzugec@suse.cz
- enable smpppd when dsl connection configured (bnc#397966)
- 2.17.4
* Fri Jun 20 2008 mzugec@suse.cz
- download firmware for b43 (bnc#400846)
- 2.17.3
* Thu Jun 19 2008 mzugec@suse.cz
- CLI support for VLAN, bonding, bridge
- 2.17.2
* Wed Jun 18 2008 mzugec@suse.de
- initial support for IPv6
- prefix parameter in CLI
- support for "/24" syntax as prefixlen
- 2.17.1
* Fri Jun 13 2008 mzugec@suse.cz
- network installation broken (bnc#399645)
- remove all historic dhcp-test related code
- 2.17.0
* Fri Jun 13 2008 mzugec@suse.cz
- sleep while waiting for network (bnc#399062)
* Fri Jun 13 2008 mzugec@suse.cz
- button enable/disable behavior in Internet Test (bnc#391857)
* Fri Jun  6 2008 mzugec@suse.cz
- installation onto nfs - STARTMODE='nfsroot' (bnc#397410)
- 2.16.50
* Thu Jun  5 2008 mzugec@suse.cz
- host module crashes when editing 'localhost' hostnames (bnc#397322)
- fixed hosts write
- 2.16.49
* Wed Jun  4 2008 mzugec@suse.cz
- fixed command-line  (bnc#397016)
- 2.16.48
* Mon Jun  2 2008 mzugec@suse.cz
- removed html tags in progress bar (bnc#393966)
* Mon Jun  2 2008 mzugec@suse.cz
- set link status up for all interfaces during installation
  (bnc#395014)
- 2.16.47
* Mon May 26 2008 kmachalkova@suse.cz
- Use Product::ReadProduct() to obtain release notes URL, thus make
  the internet test (2nd stage) work again (bnc#390738)
- 2.16.46
* Thu May 22 2008 kmachalkova@suse.cz
- Fit Global Options dialog into 80x25 screen (one line missing)
  (bnc#392969)
* Mon May 19 2008 mzugec@suse.de
- fixed translation text (bnc#391180)
* Sun May 18 2008 mzugec@suse.de
- fixed mangle device name (bnc#391802)
- 2.16.45
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Thu May 15 2008 kmachalkova@suse.cz
- Generate random hostname also in automatic configuration (2nd stage)
- Use 127.0.0.2 hack also in automatic configuration (bnc#383336)
- Accept Tab character as a valid hostname vs. alias separator
  (thanks to msvec) (bnc#382068)
- 2.16.44
* Mon May 12 2008 mzugec@suse.cz
- misleading description of firewall "No Zone" (bnc#388703)
- 2.16.43
* Sun May 11 2008 mzugec@suse.de
- for NetControl propose only link:true interfaces (bnc#389131)
- 2.16.42
* Fri May  9 2008 kmachalkova@suse.cz
- Remote administration: make windowmanager detection KDE4 aware -
  consider also kdebase4 pkg (bnc#381708)
* Fri May  9 2008 mzugec@suse.de
- just edit udev rules, not replace them (bnc#383320)
- 2.16.41
* Mon Apr 21 2008 mzugec@suse.cz
- improved algorithm to require gnome/kde version of NetworkManager
  (bnc#380774)
- 2.16.40
* Fri Apr 18 2008 jsrain@suse.cz
- merged texts from proofread
- 2.16.39
* Tue Apr 15 2008 jsuchome@suse.cz
- fixed testsuite again (do not save the logs)
- 2.16.38
* Mon Apr 14 2008 mzugec@suse.cz
- removed fake hwinfo
* Mon Apr 14 2008 mzugec@suse.cz
- install firmware for bcm4xx wireless (FaTE#302130)
- 2.16.37
* Mon Apr 14 2008 kmachalkova@suse.cz
- Unified button labels (FaTE #120373), esp. in installation clients
* Fri Apr  4 2008 mzugec@suse.de
- fixed testsuite
* Fri Apr  4 2008 mzugec@suse.de
- support for default gateway metrics (FaTE#301948)
- 2.16.36
* Fri Apr  4 2008 locilka@suse.cz
- Enhanced user-feedback during automatic installation.
- Adjusted RPM dependencies.
* Thu Apr  3 2008 mzugec@suse.de
- fixed modem - add new (bnc#364564)
- fixed dsl - add new (bnc#376059)
- 2.16.35
* Thu Apr  3 2008 mzugec@suse.de
- option in UI for dhcpcd "-G" - don't touch default route
  (bnc#366948)
- 2.16.34
* Thu Apr  3 2008 kmachalkova@suse.cz
- DNS & hostname and Routing standalone modules removed from control
  center (desktop files only, it is still possible to
  run them from commandline)  (FaTE #303470)
- Network Card module renamed to Network Settings (FaTE #303470)
* Wed Apr  2 2008 mzugec@suse.de
- adapted Lan::HaveXenBridge() (bnc#375606)
- 2.16.33
* Wed Apr  2 2008 mzugec@suse.de
- use "password" type widget for wpa-eap password (bnc#373632)
- 2.16.32
* Tue Apr  1 2008 mzugec@suse.de
- fixed autoyast profile <device> section (bnc#376321)
- 2.16.31
* Tue Apr  1 2008 mzugec@suse.de
- improved text for devices without kernel device (bnc#375805)
- 2.16.30
* Mon Mar 31 2008 kmachalkova@suse.cz
- Exit remote administration module on closing GUI window
  (clicking on [x]) (bnc#372321)
- Improved 'edit udev rules' dialog (bnc#367239)
- 2.16.29
* Thu Mar 27 2008 mzugec@suse.de
- fixed package build
* Tue Mar 25 2008 mzugec@suse.de
- possibility to use unconfigured device for vlan, bond and bridge
  (bnc#369195)
- 2.16.28
* Fri Mar 21 2008 mzugec@suse.de
- for alias elements use aliasX instead of X (bnc#369195)
- 2.16.27
* Mon Mar 17 2008 mzugec@suse.de
- support for writing driver parameters (bnc#362535)
- 2.16.26
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Sun Mar 16 2008 mzugec@suse.de
- for devices attached to bridge remove configuration (bnc#367938)
- 2.16.25
* Sat Mar 15 2008 mzugec@suse.de
- allow to use bridge with unconfigured device (bnc#369195)
- 2.16.24
* Thu Mar 13 2008 kmachalkova@suse.cz
- New help texts for udev rules (obsoleted help text removed -
  bnc#328230)
- Improved layout of some dialogs ( edit udev rule - bnc#367239,
  proxy - bnc#362577)
* Mon Mar 10 2008 mzugec@suse.de
- allow using vlan also with bond and bridge devices (bnc#367093)
- 2.16.24
* Tue Feb 26 2008 mzugec@suse.de
- automatic refresh of selection list box (bnc#363423)
- 2.16.23
* Wed Feb 20 2008 coolo@suse.de
- fix the spec file header
* Tue Feb 19 2008 coolo@suse.de
- remove obsolete call to UI::SetModulename
* Mon Feb  4 2008 mzugec@suse.de
- keep firewall zone information when changing deive name (#358523)
- 2.16.22
* Sun Jan 27 2008 coolo@suse.de
- fix changelog
* Thu Jan 17 2008 mzugec@suse.cz
- remove NetworkInterfaces::device_name occurence
- set interface to fw zone correctly (#327561)
- 2.16.21
* Fri Jan 11 2008 mzugec@suse.de
- fixed testsuite
* Thu Jan 10 2008 mzugec@suse.cz
- fixed netmask validation (#352425)
- 2.16.20
* Thu Jan 10 2008 mzugec@suse.cz
- use NetworkInterfaces instead of NetworkDevices
- 2.16.19
* Mon Jan  7 2008 kmachalkova@suse.cz
- Enable setting a route without interface (use '-' which stands for
  'any') (#93996)
- Merged proofread texts
- Dependency on yast2-country replaced with yast2-country-data
* Thu Dec 13 2007 mzugec@suse.cz
- interface names manage support - FaTE #300636
- 2.16.18
* Thu Dec 13 2007 mzugec@suse.de
- in Proposal() re-read NetworkDevices again (#170558)
  to propose correct values when toggle NM
- don't propose ifplugd for NM and virtual devices (bond, vlan, br)
- devices description (short, long) moved to NetworkDevices
- 2.16.17
* Mon Dec 10 2007 mzugec@suse.cz
- show description for devices attached to vlan
- show description for bridged devices
- 2.16.16
* Sun Dec  9 2007 mzugec@suse.cz
- support for bridging - FaTE (#302183)
- 2.16.15
* Fri Dec  7 2007 mzugec@suse.cz
- support for VLAN - FaTE (#142127)
- 2.16.14
* Mon Dec  3 2007 mzugec@suse.cz
- modprobe ndiswrapper before hwinfo when needed (#343893)
- 2.16.13
* Mon Dec  3 2007 mzugec@suse.cz
- warning for NM and password (#225793)
- 2.16.12
* Thu Nov 29 2007 mzugec@suse.cz
- when user change BOOTPROTO to NONE, set STARTMODE to off
- for hotplug devices set STARTMODE=hotplug (#132583)
- 2.16.11
* Wed Nov 21 2007 mzugec@suse.cz
- choosing pptp server by domain name, not only ip (#241461)
  thanks to nderkach@gmail.com
- 2.16.10
* Wed Nov 21 2007 kmachalkova@suse.cz
- Allow space characters in proxy username (#337048)
- Quote user/password string in test proxy command (it may contain
  special characters) (#338264)
* Wed Nov 21 2007 mzugec@suse.cz
- help text kinternet -> KInternet (#237172)
* Tue Nov 20 2007 locilka@suse.cz
- 'Copy 70-persistent-cd.rules' functionality has been moved to
  yast2-installation (#328126).
* Thu Nov 15 2007 mzugec@suse.de
- FaTE #302586 - support for qeth devices in bonding
- 2.16.9
* Mon Nov 12 2007 mzugec@suse.cz
- the hostname dialog proposes to update it by DHCP on a laptop
  (#326102)
- 2.16.8
* Fri Nov  9 2007 kmachalkova@suse.cz
- host.rnc modified to accept empty <host> section as a valid one
- Filter out host IPs with empty hostname so that valid autoyast
  profile is created (both #335120)
- 2.16.7
* Fri Nov  2 2007 locilka@suse.cz
- YCP Module Internet moved to yast2.rpm to break several
  dependencies on yast2-network.
- Created new YCP module InternetDevices (some functions from
  Internet module were moved there).
- Adjusted RPM dependencies.
- Adjusted Internet testsuite.
- 2.16.6
* Fri Oct 26 2007 mzugec@suse.de
- leave WIRELESS_KEY_X and WIRELESS_WPA_PSK empty for "no encryption"
  auth mode (#335501)
- 2.16.5
* Fri Oct 26 2007 mzugec@suse.de
- when select dhcp don't remove static default GW for hotplug
  (usb/pcmci) devices(#307102)
- 2.16.4
* Wed Oct 10 2007 mzugec@suse.cz
- fixed displayed name for network device (#330994)
- 2.16.3
* Wed Oct 10 2007 kmachalkova@suse.cz
- Escape backslashes in usernames also in .curlrc (#331038)
- 2.16.2
* Wed Oct  3 2007 mvidner@suse.cz
- Do not try to package COPYRIGHT.english, it is gone from
  devtools (#299144).
- 2.16.1
* Thu Sep 27 2007 kmachalkova@suse.cz
- i18n: Missing strings marked for translation (modem + netcard gen.
  setup) (#328191)
* Tue Sep 25 2007 mzugec@suse.cz
- fixed routing widget enabling (#326042)
- 2.16.0
* Tue Sep 25 2007 mzugec@suse.cz
- write resolv.conf after change from dhcp to static (#327074)
  reload/restart network before this to put correct resolv.conf from
  dhcp-backup
- 2.15.81
* Mon Sep 24 2007 mzugec@suse.cz
- for update system don't copy network from inst_sys (#325738)
- 2.15.80
* Fri Sep 21 2007 kmachalkova@suse.cz
- Remember correctly device number and device module for manually
  added cards (#308762)
* Fri Sep 21 2007 kmachalkova@suse.cz
- Correct manual adding of network devices and assigning firewall
  zones (pass 'eth1' 'wlan0' string instead of 'eth-eth1' or
  'wlan-wlan0') (partly #308763)
- 2.15.79
* Thu Sep 20 2007 kmachalkova@suse.cz
- Always add '127.0.0.2 host.site host' line into /etc/hosts (if
  'Write hostname to /etc/hosts' is enabled) to make hostname
  resolvable even without active network (#304632)
- 2.15.78
* Thu Sep 20 2007 mvidner@suse.cz
- Escape quotes in NAME in save_network (#305343).
* Tue Sep 18 2007 kmachalkova@suse.cz
- Removed all udev rules workarounds (manually removing lockfiles,
  tmp rules, calling udevtrigger) - just copy udev rules for net and
  cd to the installed system iff they don't already exist (#292375)
- 2.15.77
* Wed Sep 12 2007 kmachalkova@suse.cz
- Do not re-add network devices (incl. loopback) into available
  devices list each time Lan::Import() is called (#308132)
- Do not rewrite udev rules file during update (if it already exists
  in Installation::destdir) (#293366c#7)
- 2.15.76
* Fri Sep  7 2007 mzugec@suse.cz
- fixed firmware installation for wlan cards (#307401)
- 2.15.75
* Thu Sep  6 2007 mzugec@suse.cz
- fixed missing space between source and destination when copy udev
  rules into installed system (#307162)
* Thu Sep  6 2007 mzugec@suse.cz
- Finish button renamed to Accept for installation (#307789)
* Thu Sep  6 2007 mzugec@suse.cz
- for `abort in network dialogs use LanItems::Rollback (#307779)
- workflow for add/edit card can be aborted (#307778)
- 2.15.74
* Wed Sep  5 2007 kmachalkova@suse.cz
- Proxy testsuite adjusted to correct .curlrc syntax (#305163 related)
- Fix downloading release notes with proxy (#305222)
- Save proxy settings at the end of 1st stage of installation
  (#298001)
- Save nameserver entry at the end of 1st stage of installation even
  if no search domain is present in install.inf (#298001)
* Tue Sep  4 2007 mzugec@suse.cz
- WLAN Installation - save data from install.inf (#223570)
- 2.15.73
* Mon Sep  3 2007 mzugec@suse.cz
- install smartlink-softmodem package for devices with *ttySL*
  device files (#284287)
- correctly match configuration with hardware for modem devices
  using UDI instead of udi
- 2.15.72
* Mon Sep  3 2007 mzugec@suse.cz
- fixed Proxy testsuite
* Sat Sep  1 2007 mzugec@suse.cz
- read NISDomain instead of NisDomain from install.inf
* Fri Aug 31 2007 locilka@suse.cz
- Using --proxy-user and --proxy in /root/.curlrc (#305163).
- Changing priorities in syntax for /root/.curlrc parser (#305163).
* Fri Aug 31 2007 mzugec@suse.cz
- autoyast support for udev rules and backport compatibility with
  old-style network devices names (#303916)
- 2.15.71
* Tue Aug 28 2007 mzugec@suse.cz
- write NAME in propose - (#301977)
- 2.15.70
* Mon Aug 27 2007 mzugec@suse.cz
- TestCase 388144 - check if ip is already in use (#304250)
- 2.15.69
* Mon Aug 27 2007 mzugec@suse.cz
- correctly handle NisDomain option from install.inf (#303844)
- 2.15.68
* Fri Aug 24 2007 mzugec@suse.cz
- use "netcard" macro from NetworkDevices (#303847)
- 2.15.67
* Fri Aug 24 2007 mzugec@suse.cz
- write extra drivers into 79-yast2-drivers.rules (#300892)
- handle renamed udev rule for network devices (#302544)
- 2.15.66
* Fri Aug 24 2007 kmachalkova@suse.cz
- Adjusted layout of several dialogs to fit 80x25 screen
* Tue Aug 21 2007 mzugec@suse.cz
- correctly write wlan configuration (#297616)
- 2.15.65
* Fri Aug 17 2007 mzugec@suse.cz
- use correct NAME for eth/wlan devices (#300670)
- 2.15.64
* Fri Aug 17 2007 mzugec@suse.cz
- fixed proposal dialog for DSL, ISDN and modem (#298273)
- 2.15.63
* Wed Aug 15 2007 mzugec@suse.cz
- for NM enable to change default gateway (#299448)
- 2.15.62
* Tue Aug 14 2007 mzugec@suse.de
- save network configuration also when smpppd/kinternet not available
  for USERCONTROL enabled devices (#299033)
- 2.15.61
* Mon Aug 13 2007 mzugec@suse.cz
- autoyast support for aliases (F302300)
- 2.15.60
* Fri Aug 10 2007 kmachalkova@suse.cz
- Allow specifying different hostnames for different (static) IPs
  in address dialog (FaTE #2202)
* Fri Aug 10 2007 mzugec@suse.cz
- fixed adding new device
- fix for bonding devices
- 2.15.59
* Wed Aug  8 2007 mzugec@suse.cz
- fixed wlan::firmware map
- when no interfaces configured and no NM skip
  InternetTest(#192818)
- fixed device selection for InternetTest (#296393)
- 2.15.58
* Mon Aug  6 2007 mzugec@suse.cz
- copy udev rules from inst-sys (#297616)
- 2.15.57
* Mon Aug  6 2007 mzugec@suse.cz
- removed NetworkModules (no more hwcfg files)
- 2.15.56
* Thu Jul 26 2007 mzugec@suse.cz
- fixed edit aliases problem (#294099)
- 2.15.55
* Wed Jul 25 2007 mzugec@suse.de
- new option "No Encryption" in wireless dialog (#213001)
- 2.15.54
* Wed Jul 25 2007 kmachalkova@suse.cz
- A better layout of internet test dialog (#292621, also in 80x25
  console)
- Splitting off devel-doc package, containing autogenerated docu
  (FaTE #302461)
- 2.15.53
* Tue Jul 24 2007 mzugec@suse.cz
- fixed command line
- fixed help for ipv6
- 2.15.52
* Mon Jul 23 2007 mzugec@suse.de
- improved text in remote.desktop (#230145)
* Mon Jul 23 2007 mzugec@suse.de
- fixed - ability to set encryption for wlan cards
- "no encryption is used" reported for an ethernet card (#257974)
- 2.15.51
* Sun Jul 22 2007 mzugec@suse.de
- fixed testsuite
* Fri Jul 20 2007 mzugec@suse.de
- disable to configure card without kernel device
- fixed interface proposal (#292401)
- write ipv6 correctly (#288744)
- improved firmware database
- 2.15.50
* Wed Jul 18 2007 mzugec@suse.cz
- disallow to configure card without kernel device
- copy udev rules for persistent names on installed system
- 2.15.49
* Tue Jul 17 2007 mzugec@suse.de
- no more hwcfg files, don't use getcfg (#292085)
- 2.15.48
* Fri Jul 13 2007 kmachalkova@suse.cz
- Address dialog adapted for 80x25 terminal screen
  (fix disappearing tabs)
- Hostname entry added (FaTE #2202 - does not work yet)
* Tue Jul  3 2007 kmachalkova@suse.cz
- ag_udev_persistent added to .spec file
* Mon Jul  2 2007 mzugec@suse.cz
- fixed delete item
- 2.15.47
* Mon Jul  2 2007 mzugec@suse.cz
- new module LanItems.ycp
  http://lists.opensuse.org/yast-devel/2007-06/msg00001.html
- new udev agent
- propose configuration based on interface name (ifcfg-eth0)
- use getcfg for matching hwcfg instead of nm_name
- use sysfs_id to match configuration instead of udi/unique
- 2.15.46
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Mon Jun 18 2007 mzugec@suse.cz
- use correct syntax "default $IP - -" for sysconfig/route
* Mon Jun 18 2007 mzugec@suse.cz
- improved popup string (#257330)
* Fri Jun 15 2007 mzugec@suse.cz
- improved fix for sysconfig/route (#284599)
* Fri Jun 15 2007 mzugec@suse.cz
- don't write resolv.conf and route for dhcp (#284599)
- read vendor+device from sysfs instead of NAME
- 2.15.45
* Mon Jun 11 2007 mzugec@suse.cz
- don't write hwcfg when not needed
- 2.15.44
* Fri Jun  8 2007 mzugec@suse.cz
- dsl module: auto reconnect option (#244503)
- author : nderkach@gmail.com
- 2.15.43
* Fri Jun  8 2007 mzugec@suse.cz
- install kinternet if there is at least one ISDN device (#161782)
- 2.15.42
* Thu Jun  7 2007 mzugec@suse.cz
- use static keyword for ISA/pnp devices hardware filenames (#208854)
- 2.15.41
* Wed Jun  6 2007 mzugec@suse.cz
- values proposal for hardware dialog
- 2.15.40
* Fri Jun  1 2007 mzugec@suse.cz
- save_network.ycp moved from routines/ to clients/
- Detection.ycp renamed to NetHwDetection.ycp
- NetworkStorage.ycp moved to yast2 package
- 2.15.39
* Thu May 31 2007 mzugec@suse.cz
- merge code for select interfaces in InternetTest and Dsl (#117426)
- 2.15.38
* Wed May 30 2007 mzugec@suse.cz
- fixed spec requirements
* Tue May 29 2007 mzugec@suse.cz
- add Confirm::MustBeRoot to all network modules (#276478)
- 2.15.37
* Tue May 29 2007 mzugec@suse.cz
- improve add/edit device dialogs (device type)
- 2.15.36
* Mon May 28 2007 mzugec@suse.cz
- disable routing dialog when NetworkManager used (#178538)
- 2.15.35
* Mon May 28 2007 mzugec@suse.cz
- installation network changes:
  http://lists.opensuse.org/yast-devel/2007-05/msg00025.html
- 2.15.34
* Fri May 25 2007 jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Tue May 22 2007 kmachalkova@suse.cz
- Escape backslash characters in proxy auth credentials properly
  (#256360)
- 2.15.33
* Mon May 21 2007 kmachalkova@suse.cz
- IsHostLocal test extended to include also hostname and/or IP set by
  DHCP (#163170)
* Mon May 14 2007 kmachalkova@suse.cz
- Correct comparison of installed and downloaded release notes
  version (to prevent useless error messages) (#269985)
* Sun May 13 2007 mzugec@suse.cz
- fixed create BOND device (#274078)
- 2.15.32
* Fri May 11 2007 mzugec@suse.cz
- possible to change STARMODE in modem (#116368)
- 2.15.31
* Mon May  7 2007 mzugec@suse.cz
- improved output from command line
- information about MAC/BusID in devices dialog (#266690)
- information about link status
- 2.15.30
* Thu May  3 2007 kmachalkova@suse.cz
- Drop finish popup for proxy
- Drop finish popup for remote administration module (#258846)
- To store VNC settings, run 'SuSEconfig' for gdm, 'rcxdm
  reload' otherwise
* Wed May  2 2007 mzugec@suse.cz
- CommandLine interface (no support reported) for dsl, isdn and modem (#269890, #269894, #269899)
- 2.15.29
* Thu Apr 26 2007 kmachalkova@suse.cz
- Make MTU setting an editable combobox with few recommended values
  + better description in related help text (#267292)
* Thu Apr 26 2007 mzugec@suse.cz
- changed "Stupid Mode" to "Ignore Prompts" in modem
* Thu Apr 26 2007 mzugec@suse.cz
- "change hostname via dhcp" not selected by default (#264915)
* Sun Apr 22 2007 mzugec@suse.de
- hardware dialog moved to tab
- additional addreses moved to address tab
- changed bootproto dialog
- 2.15.28
* Fri Apr 20 2007 kmachalkova@suse.cz
- Added write progress dialogs to DNS, Routing, Host, Proxy and
  Remote (administration) modules (#258846)
* Mon Apr 16 2007 mzugec@suse.cz
- /etc/hosts shows incorrect ip address for partition installed via network (#263035)
- 2.15.27
* Fri Apr 13 2007 kmachalkova@suse.cz
- Correct handling of network interface firewall zone, including
  ommited help text (#257479)
- Helptexts adjusted to reflect UI changes (FaTE #120077)
- BOOTPROTO_*autoip dropped
* Thu Apr 12 2007 mzugec@suse.cz
- when NetworkManager enabled, install KNetworkManager/GnomeNetworkManager applet(#260532)
- during installation propose first connected interface (#256606)
- cosmetic fix - don't show IP/NETMASK for BOOTPROTO=NONE in description
- 2.15.26
* Tue Apr 10 2007 kmachalkova@suse.cz
- DHCP client options dialog rewritten to CWM and integrated into
  General options tab
- 2.15.25
* Thu Apr  5 2007 kmachalkova@suse.cz
- Correct quoting of proxy auth credentials so that special
  characters are not intepreted by bash (#256360)
- Internet test: test proxy settings before downloading release
  notes. If it fails, try direct connection (#162800, #260407)
* Thu Apr  5 2007 mzugec@suse.cz
- for s390 write hwcfg file although driver doesn't provide busID
- 2.15.24
* Thu Apr  5 2007 mzugec@suse.cz
- fixed option for 'changed by another process' in dns
- 2.15.23
* Wed Apr  4 2007 mzugec@suse.cz
- improve widget handling when dhcp used/not used (#156830)
- 2.15.22
* Tue Apr  3 2007 kmachalkova@suse.cz
- Network installation proposal:
  * NetworkManager and IPv6 proposals joined into 'General Settings'
    proposal
  * Make click on 'General Settings' title open separate dialog with
    NM and IPv6 options (#255609)
- 2.15.21
* Wed Mar 28 2007 kmachalkova@suse.cz
- Make storing hostname and DNS data work again
- Further improvements to UI (FaTE #120077)
- Enable/disable VNC service in xinetd only if pkg 'xinetd' is
  installed (#256385)
- 2.15.20
* Tue Mar 27 2007 mzugec@suse.cz
- yast hangs while configure network (#257347)
- 2.15.19
* Thu Mar 22 2007 mzugec@suse.cz
- NetworkStorage - handling alternative connection types (#256371)
- 2.15.18
* Wed Mar 21 2007 mzugec@suse.cz
- Service lwresd does not exist (#256344)
* Wed Mar 21 2007 mzugec@suse.cz
- Routing does not allow adding routes in Expert (#255731)
- 2.15.17
* Tue Mar 13 2007 kmachalkova@suse.cz
- RNC validation file: completed list of wireless options (#211014)
* Mon Mar 12 2007 mzugec@suse.cz
- use IPADDR/PREFIXLEN as default instead of NETMASK (#231997)
- use HAL UDI instead of UNIQUE
- redesign UI into tabs - split global and details (fate #120077)
- 2.15.16
* Mon Mar 12 2007 kmachalkova@suse.cz
- Added dependency yast2 >= 2.15.15, removed dependency on
  yast2-inetd, yast2-core moved to Conflicts: (indirect dependency)
* Fri Mar  9 2007 kmachalkova@suse.cz
- Network installation proposal:
  Do not re-propose firewall zone for the interface if it has been
  explicitly changed by user in add/edit dialog (#241107)
- Disable firewall related functionality (incl. final progress text)
  if package SuSEfirewall2 is not installed (#249847)
* Fri Mar  9 2007 mzugec@suse.cz
- disable finish popup to configure mail (#163955)
- 2.15.15
* Wed Feb 14 2007 kmachalkova@suse.cz
- Improved usability of Internet test - indicate clearly that
  particular step has failed (#121705, #166237)
* Tue Feb 13 2007 mzugec@suse.de
- rnc file update
* Mon Feb 12 2007 mzugec@suse.de
- add checkbox to disable writing hwcfg-file
- 2.15.14
* Fri Feb  9 2007 kmachalkova@suse.cz
- If downloading of the relnotes fails because of server-side error,
  allow to continue towards YOU and/or registration stuff (#236371)
- 2.15.13
* Wed Feb  7 2007 mzugec@suse.de
- fix hwaddr matching (#184438)
- 2.15.12
* Tue Feb  6 2007 mzugec@suse.de
- support for handle toggling between OSA Layer2/3 during installation (#184438)
- 2.15.11
* Tue Jan 30 2007 mzugec@suse.de
- fixed testsuite
* Fri Jan 26 2007 kmachalkova@suse.cz
- Use random hostname also during autoinstallation (if none found
  in install.inf or /etc/hosts)(#165269)
- 2.15.10
* Tue Jan 16 2007 kmachalkova@suse.cz
- Avoid displaying empty strings in internet test dialog (#220813,
  [#223498])
- 2.15.9
* Thu Jan 11 2007 mzugec@suse.cz
- #150207 - disable sysconfig.displaymanager.KDE_USE_IPV6 when disabling ipv6
* Tue Jan  9 2007 mzugec@suse.cz
- #116092 - network not set up because of pppoe
- 2.15.8
* Tue Jan  9 2007 mzugec@suse.cz
- 2.15.7
- fate #417 - interface without IP
- fate #110040 - Support Bonding Network Device
* Fri Jan  5 2007 mzugec@suse.cz
- 2.15.6 - #166997 - install kinternet when needed
* Thu Jan  4 2007 mzugec@suse.cz
- 2.15.5 - #230967 - dial-on-demand button activates dns server entry fields
* Thu Jan  4 2007 kmachalkova@suse.cz
- Hostname and DHCP options help improvements (#195148)
- Show 'Test proxy' related help text and disable the button
  only when needed (#226034)
* Thu Jan  4 2007 mzugec@suse.cz
- fix for rnc file
* Thu Jan  4 2007 mzugec@suse.cz
- 2.15.4 - fixed autoconfiguration
* Thu Jan  4 2007 mzugec@suse.cz
- 2.15.3 - fate #301032 - check if ip is already in use
  uses <strict_IP_check_timeout config:type="integer">
* Fri Dec  8 2006 mzugec@suse.cz
- #116211 - use combobox for module drivers instead of textedit
- 2.15.2
* Wed Dec  6 2006 mzugec@suse.cz
- #226408 - Network card -> IPv6 configuration: cannot go back
- 2.15.1
* Wed Dec  6 2006 mzugec@suse.cz
- #224884 - avoid some unwished error message (brctl)
- 2.15.0
* Wed Nov 29 2006 kmachalkova@suse.cz
- Correct check for availability of wireless firmware packages
  (#223871)
- 2.14.12
* Mon Nov 27 2006 kmachalkova@suse.cz
- Do not attempt to configure wlan card requiring firmware before
  the firmware is installed (#221235)
* Mon Nov 27 2006 mzugec@suse.cz
- #223136 - don't modprobe blacklisted modules
- 2.14.11
* Tue Nov 21 2006 kmachalkova@suse.cz
- Adjusted proxy dialog layout in text mode (#221648)
* Tue Nov 14 2006 kmachalkova@suse.cz
- Added autoyast validation file for proxy module(#215251)
- Display also https proxy URL in autoyast summary
- 2.14.10
* Wed Nov  8 2006 mzugec@suse.cz
- #217270 - incorrect summary when STARTMODE='off' is set
* Tue Nov  7 2006 kmachalkova@suse.cz
- At least one proxy URL must be set if proxy is enabled (#206676)
- Do not show 'Test proxy settings' button in installation mode
  (#215991)
- Check 'same proxy for all protocols' checkbox when needed
- 2.14.9
* Mon Nov  6 2006 mzugec@suse.cz
- #216074 - add nfsroot to STARTMODE items
- 2.14.8
* Fri Nov  3 2006 mzugec@suse.cz
- UI to disable writing hostname to /etc/hosts
- 2.14.7
* Fri Nov  3 2006 mzugec@suse.cz
- #198417 - say "setting up smpppd, kinternet" in Write() only when really starts
- 2.14.6
* Fri Nov  3 2006 kmachalkova@suse.cz
- Advise user to use Add-on CD for installing some wi-fi binary
  firmwares (#209413)
* Tue Oct 24 2006 mzugec@suse.cz
- #300604 - UI to disable IPv6 (installation)
- 2.14.5
* Mon Oct 23 2006 mzugec@suse.cz
- fate #100092 - command line support for netcards
- 2.14.4
* Mon Oct 23 2006 mzugec@suse.cz
- fate #300604 - UI to disable IPv6 (improved and fixed)
- 2.14.3
* Fri Oct 20 2006 mzugec@suse.cz
- fate #300628 - indicate when netcard is not present
- 2.14.2
* Fri Oct 20 2006 mzugec@suse.cz
- #176804 - root on iscsi
- 2.13.70
* Wed Oct 18 2006 mzugec@suse.cz
- fate #300604 - UI to disable IPv6
- 2.13.69
* Tue Oct 17 2006 kmachalkova@suse.cz
- Improved Internet Test Dialog (show more info about devices,
  disable Change Device button when not needed) (#208000)
- 2.13.68
* Thu Oct 12 2006 mvidner@suse.cz
- Disabled conflicting definitions in host.rnc from last change.
- 2.13.67
* Mon Sep 25 2006 kmachalkova@suse.cz
- Better autoyast XML validation for networking and host
- Conversion function in Host::Import to handle older profiles
  (as more FQDNs for one IP is allowed since 2.13.65)
- 2.13.66
* Wed Sep 20 2006 kmachalkova@suse.cz
- Network installation proposal:
  click on 'Network Mode' title opens ManagedDialog to select
  between NM and ifup (#203817)
* Tue Sep 19 2006 kmachalkova@suse.cz
- Allow using more FQDNs for one IP in /etc/hosts editor (#152036)
- Adjusted testsuite (Host.*)
- 2.13.65
* Thu Sep 14 2006 mzugec@suse.cz
- 2.13.64 - fate #100092 - command line support in network module
* Thu Sep 14 2006 locilka@suse.cz
- Improving the Internet Test Dialog (FATE #100294)
* Fri Sep  8 2006 kmachalkova@suse.cz
- Added missing icon to Hostname installation dialog (#203816)
* Wed Sep  6 2006 kmachalkova@suse.cz
- Allow using the same proxy URL for all protocols (#57919)
- Updated proxy module help text (#181931)
- 2.13.63
* Fri Sep  1 2006 kmachalkova@suse.cz
- Added line wrapping to checkbox label in dns.ycp (#166236)
  due to lack of space for languages such as french
* Wed Aug 30 2006 mzugec@suse.cz
- fixed #73739 - don't use stadic default gw with dhcp
* Fri Aug 25 2006 mvidner@suse.cz
- Allow editing despite having a Xen bridge in Autoyast mode (#196479).
* Tue Aug 22 2006 mvidner@suse.cz
- Main dialogs:
  Disable the Back button when there is no going back (#54027).
  Rename Next to Finish when there is nowhere else to go (#182853).
- 2.13.61
* Fri Aug 11 2006 mvidner@suse.cz
- Fixed typos in English.
* Fri Aug 11 2006 kmachalkova@suse.cz
- Removed running SuSEconfig module "profiles" from Proxy.ycp, since
  it has been dropped and is no longer needed
- Updated ProxyFinishPopup() text (#158564)
- 2.13.60
* Tue Aug  1 2006 mvidner@suse.cz
- NetworkManager cannot do additional addresses, disable the dialog
  (#165059).
- NetworkManager now respects DHCLIENT_MODIFY_RESOLV_CONF, enable the
  checkbox accordingly (#156830).
- 2.13.59
* Tue Jul 18 2006 mvidner@suse.cz
- Better logging of the internet test (#192745).
* Sun Jul 16 2006 olh@suse.de
- introduce a Linuxrc::display_ip and use it instead of Arch::s390
- 2.13.58
* Mon Jul 10 2006 mvidner@suse.cz
- After the installation, use the correct module for the card over
  which the installation was done (#186000).
- Include also WiFi cards in the DSL PPPoE dialog (#186102).
- 2.13.57
* Fri Jun  9 2006 locilka@suse.cz
- Identify the release notes downloaded during the internet test by
  the product name (#180581).
- 2.13.56
* Thu Jun  8 2006 mvidner@suse.cz
- Do not report a duplicate IP address if the interface is not up
  (#182473).
- After the internet test, set focus to Next (#105811).
- 2.13.55
* Mon Jun  5 2006 mvidner@suse.cz
- Made the proxy settings fit to 24 lines (#181404).
- 2.13.54
* Fri Jun  2 2006 mvidner@suse.cz
- Added a missing translation marker to the routing table (#179906).
* Fri Jun  2 2006 locilka@suse.cz
- At least one release-notes downloaded results in the successful
  internet test (#181094).
- 2.13.53
* Mon May 29 2006 mvidner@suse.cz
- Disable editing interfaces if we see a Xen bridge (#178848).
- 2.13.52
* Mon May 22 2006 mvidner@suse.cz
- Set STARTMODE=nfsroot for proposed interface if on iSCSI root (#176804).
- 2.13.51
* Fri May 19 2006 mvidner@suse.cz
- Tell NetworkManager when writing the dialup settings by calling
  rcnetwork reload (#162959).
- 2.13.50
* Wed May 17 2006 mvidner@suse.cz
- For iucv, create static hwcfgs, like hwcfg-static-iucv-id-$ID
  (#176330).
- 2.13.49
* Tue Apr 25 2006 mvidner@suse.cz
- Added an autoyast option to apply the network settings immediately
  so that suse_register or OES can use them (#128810, #168806).
- 2.13.48
* Fri Apr 21 2006 locilka@suse.cz
- Added missing changes between 2.13.45 and 2.13.46
- 2.13.47
* Fri Apr 21 2006 locilka@suse.cz
- Prevent from installing older release notes during the internet
  test. It would fail with useless error message and confuse user.
  This change enhances behavior of #164388 and fixes (#167985).
- 2.13.46
* Thu Apr 20 2006 sreeves@suse.de
- Fixes were made in gnome-menus so rolling back these redundant changes.
* Wed Apr 19 2006 sreeves@suse.de
- Fix for 152681 - add "yast2 modem" and "yast2 dsl" to CC
  Fix for 152999 - add "yast2 lan" to CC
* Wed Apr 12 2006 mvidner@suse.cz
- Enable ifplugd by default only on laptops (#164816).
- 2.13.45
* Wed Apr 12 2006 locilka@suse.cz
- Prevent from downloading 'undefined' release notes (#165314).
- 2.13.44
* Fri Apr  7 2006 locilka@suse.cz
- Adding more error messages into log when some bash command fails
  during the internet test (#162628).
- Check the installed version of release-notes against the
  downloaded one during the internet test. Skip installation of
  release-notes in case of the same version (#164388).
- 2.13.43
* Thu Apr  6 2006 mvidner@suse.cz
- Disable suse_register if the internet test fails (#164042).
- Disable the back button in inst_hostname (jsuchome, #157125).
- 2.13.42
* Mon Apr  3 2006 mvidner@suse.cz
- Fixed determining the installation network device by using the C
  locale properly (#116537c47).
- 2.13.41
* Mon Apr  3 2006 locilka@suse.cz
- Fixing log viewer to be able to show more log files with the same
  label (such as Release Notes) (#162175).
- 2.13.40
* Tue Mar 28 2006 locilka@suse.cz
- Every single fetching of release notes has its own log (#161251).
- 2.13.39
* Fri Mar 24 2006 locilka@suse.cz
- Merged proofread texts.
* Fri Mar 24 2006 locilka@suse.cz
- Download all release notes for all installed products (add-ons)
  during the internet test (#160563).
- Inform user when checking or installing downloaded RPM fails
  (#160562).
- 2.13.38
* Mon Mar 20 2006 mvidner@suse.cz
- Do not always enable the firewall when adding a new interface
  (#152650).
- Preserve route options when editing (#159359).
- 2.13.37
* Mon Mar 13 2006 locilka@suse.cz
- Partly fixing bug #157342, 'raw' is not known termtype
  using 'dumb' instead
- 2.13.36
* Fri Mar 10 2006 mvidner@suse.cz
- Instead of linux, use a randomized hostname like linux-09az (#157107).
- 2.13.35
* Thu Mar  9 2006 mvidner@suse.cz
- Take the default STARTMODE from the product control file,
  allowing not to have ifplugd get in the way on SLES (#156388).
- Merged proofread texts.
- Reapplied the changes between 2.13.29 and 2.13.31 (discarding
  2.13.33) as they were unrelated to #156054.
- 2.13.34
* Tue Mar  7 2006 jsrain@suse.de
- reverted changes between 2.13.29 and 2.13.31
- 2.13.33
* Tue Mar  7 2006 jdsn@suse.de
- added global variable for suse register
- 2.13.32
* Tue Mar  7 2006 mvidner@suse.cz
- Load network modules before determining the interface used for the
  installation source (#116537).
- 2.13.31
* Thu Mar  2 2006 mvidner@suse.cz
- Autoyast: use linuxrc data for routing, resolver and hostname if
  not specified in the profile (#153426, improving the #117484 fix).
- 2.13.30
* Thu Mar  2 2006 visnov@suse.cz
- don't check available updates in internet connection test
- 2.13.29
* Wed Mar  1 2006 mvidner@suse.cz
- If an interface is not assigned to a firewall zone, do not say the
  firewall is disabled (#154295).
- Do not allow the USB speed to enter the provider file (#148893).
* Tue Feb 28 2006 mvidner@suse.cz
- Do not use the IP for the hostname (#152218).
- 2.13.28
* Mon Feb 27 2006 mvidner@suse.cz
- XenU: do not filter out the network device (#153235).
- 2.13.27
* Thu Feb 23 2006 mvidner@suse.cz
- Hwup all hwcfgs, not just the changed ones, so that we get back
  modules that were unloaded because of deconfigured devices but are
  still needed (#136298).
- Autoyast: Allow matching by MAC, bus id and module for second and
  subsequent interfaces (#119592#c9), improved not to break when
  specifying two devices with the same module (#146965).
- When switching from Layer 2 to Layer 3, LLADDR must be emptied (#151196).
- 2.13.26
* Mon Feb 20 2006 mvidner@suse.cz
- Using the DHCP hostname:
  hostname dialog proposes it on non-laptops
  network proposal must not override earlier user choice (#152029)
  function moved to Arch (#151813)
- Changed the warning for the binary-only AVM driver (#151148).
- 2.13.25
* Tue Feb  7 2006 mvidner@suse.cz
- Don't disable important widgets if NetworkManager is enabled (#148485).
- 2.13.24
* Tue Feb  7 2006 mvidner@suse.cz
- Allow to configure the network cards even if NetworkManager is
  enabled (#148485).
- Skip the internet test when there are no interfaces (#148005).
- 2.13.23
* Mon Feb  6 2006 mvidner@suse.cz
- Added ETHTOOL_OPTIONS (so far for autoyast only, uses also
  install.inf) (#145041).
- Use Hostname instead of Machinename from install.inf (#144687)
- 2.13.22
* Sun Feb  5 2006 mvidner@suse.cz
- Hide the dialup firewall checkbox when there is no device yet (#146388).
- Distinguish cached and full Lan::Read so that the dirty bit is
  not reset when reproposing because of NM change. #147270
- 2.13.21
* Wed Feb  1 2006 mvidner@suse.cz
- Fixed the formfactor laptop detection.
* Mon Jan 30 2006 mvidner@suse.cz
- For NetworkManager, propose basic ifcfgs because of firewall.
- Fixed editing of resolver settings for static setups (#146162).
- Fixed changing the interface for the internet test if NM is used (#146167).
- Use BuildRequires
- 2.13.20
* Wed Jan 25 2006 mvidner@suse.cz
- Use "formfactor" from .probe.system to detect a laptop (#145485).
- Proposal: when NetworkManager is turned off, do not ask about it
  again when entering network card configuration.
* Wed Jan 25 2006 visnov@suse.cz
- Network Mode proposal client must have different id than Lan client
- 2.13.19
* Tue Jan 24 2006 mvidner@suse.cz
- Internet test: even after getting an address, sleep 5 (#145153c7).
- 2.13.18
* Tue Jan 24 2006 mvidner@suse.cz
- Internet test: another try at waiting for managed interfaces (#145153).
- Prefer /etc/install.inf to /etc/HOSTNAME when determinining the
  hostname (#144687).
- Install NetworkManager.rpm if needed.
- Changed the values of WIRELESS_WPA_MODE and WIRELESS_EAP_AUTH
  (mostly just uppercased) (#145196).
- Merged proofread messages.
- 2.13.17
* Mon Jan 23 2006 mvidner@suse.cz
- For NetworkManager, don't forget to write the network/config setting (#144139).
- Added networkmanager_proposal to the network proposal.
  Now NM has a separate heading and comes first.
- Fixed the standalone hostname and name server dialog which looked
  quite psychedelic lately.
- 2.13.16
* Mon Jan 16 2006 mvidner@suse.cz
- Use /etc/sysconfig/network/config:NETWORKMANAGER instead of
  rcnetworkmanager (#135595).
- Sleep 15 seconds after telling NetworkManager to activate an
  interface for internet test.
- Prefer the string product feature network/network_manager (always,
  laptop, never) over boolean network/network_manager_is_default.
- Warn when configuring modems and NetworkManager is enabled.
- Disabled entering the apostrophe to ESSID since the agent does not
  quote it (#118157).
- Use a separate dialog for switching between NetworkManager and ifup.
  Format the NetworkManager part of the proposal like the firewall one.
  (#141025).
- Internet test: fixed cancelling of device selection that got broken
  again (#143182).
- 2.13.15
* Thu Jan 12 2006 mvidner@suse.cz
- Added networking/managed for autoyast.
- 2.13.14
* Thu Jan 12 2006 locilka@suse.cz
- Fixed/Enhanced Remote Administration (#135605)
  If the installation is running in VNC, Remote Administration is
  enabled by default and a new xorg.conf is written by SaX2 because
  XServer configuration is disabled in the hardware proposal in this
  case.
* Thu Jan 12 2006 mvidner@suse.cz
- Fixed a typo in the device-activating dbus-send (#142782).
* Tue Jan 10 2006 mvidner@suse.cz
- Really write hostname in the new dialog (#142292).
- Lan::GetDefaultsForHW (used by autoyast) works again.
- 2.13.13
* Mon Jan  9 2006 mvidner@suse.cz
- Fixed internet connection test with NetworkManager (#138507).
- inst_hostname: Use the installation-style abort popup.
- 2.13.12
* Thu Jan  5 2006 mvidner@suse.cz
- SLES: Ask for the host name, before the root password dialog (#62165, F4126).
- Replaced Require by Package.
- Made the Internet connection test dialog fit to text console (#140950).
- Replaced "host name" by "hostname" according to the style guide.
- 2.13.11
* Mon Dec 19 2005 mvidner@suse.cz
- Moved NetworkService from yast2-network.rpm to yast2.rpm
  so that the firewall proposal can use it (#139402).
- Merged proofread texts (many changes: do not end summary lines with
  periods).
- 2.13.10
* Thu Dec 15 2005 mvidner@suse.cz
- Added the WPA EAP Details dialog, with EAP authentication method and
  PEAP version (F300381).
- 2.13.9
* Tue Dec 13 2005 mvidner@suse.cz
- Internet test: when cancelling changing of a device, nothing was
  selected (#138219, mzugec)
- 2.13.8
* Mon Dec 12 2005 mvidner@suse.cz
- Domain search: limit input to 6 domains, help with syntax (#138017).
- Enhanced the WPA EAP dialog (F300381): added a mode switch,
  anonymous identity, client key and password.
- 2.13.7
* Mon Dec  5 2005 mvidner@suse.cz
- Added a global switch for NetworkManager. Either rcnetwork or
  rcnetworkmanager is run. STARTMODE=managed is not used.
- 2.13.6
* Fri Dec  2 2005 mvidner@suse.cz
- Address dialog:
  Fixed displaying the initial tab.
  Adjusted spacing to fit to 80x24.
  Prepared some widgets for interface renaming.
* Wed Nov 23 2005 mvidner@suse.cz
- Moved the NIC details dialog to a tab in the address dialog.
- Allowed more than 3 search domains (#55012, F120075) in the resolver
  dialog by using a multi line edit instead of 3 text entries.  Also
  fixed checking whether something has changed in the dialog.
* Tue Nov 22 2005 mzugec@suse.cz
- feature #100095 - select network interface for testing internet
  connection
* Tue Nov 15 2005 mvidner@suse.cz
- Rewrote AddressDialog to CWM (preparing to attack bug #44721).
  For the time being, the wizard sequencer interface is the same
  and the look almost the same.
- 2.13.5
* Wed Nov  9 2005 mvidner@suse.cz
- lan: Added ifcfg:STARTMODE=managed for NetworkManager.
- 2.13.4
* Fri Oct 21 2005 mvidner@suse.cz
- Added a widget for hwcfg:LCS_LANCMD_TIMEOUT (#98958#c23, hare).
- Use ifcfg:LLADDR instead of hwcfg:QETH_MACADDRESS for Layer 2
  (#98958#c12, hare).
- 2.13.3
* Thu Oct 13 2005 mvidner@suse.cz
- Merged messages proofread for SLES9 SP2.
- 2.13.2
* Fri Oct  7 2005 mvidner@suse.cz
- Autoyast: support interface matching by vio bus id (#119592).
- Autoyast: do not ignore networking/dns if networking/interfaces is
  empty (#117484).
- Added a widget for Layer 2 MAC address (#98958, with hare).
- Honor BrokenModules from install.inf (#97540).
* Fri Sep 30 2005 mvidner@suse.cz
- Enabled DHCP on S/390s (#87336, with hare).
- Emphasized that the host name is global (#91202).
- Fixed disabling IPA takeover (#85438#c32).
- Fixed setting QETH options to empty (#90454).
- Changed the default MTU for LCS eth and tr to 1492 (#81815,
  [#93798]).
- Added the possibility to turn on the Layer 2 option
  for qeth and hsi (hare, #84148, #85438#c32).
- Fixed the configuration of ESCON and FICON (#82891).
- When proposing LAN config (also in autoyast in some cases), use the
  module from install.inf, not the first one of several options (like
  tg3/bcm5700). #81533.
- 2.13.1
* Mon Sep 26 2005 mvidner@suse.cz
- Make ifplugd the default startmode for NICs (#115448).
- If a NIC is configured with no address, say so (#116092).
- 2.13.0
* Fri Sep  9 2005 arvin@suse.de
- run SuSEconfig gdm after remote control changes (bug #115901)
- 2.12.15
* Fri Sep  2 2005 mvidner@suse.cz
- Do not show ISDN controllers both as configured and unconfigured
  (#103073).
- Fix acivating network after backing out and configuring again
  (#113101).
- 2.12.14
* Wed Aug 31 2005 locilka@suse.cz
- Fixing bug #113223, Fetching release notes in the installation
  did not use PROXY settings. Testing proxy timed out after a very
  long time.
- 2.12.13
* Sat Aug 27 2005 mvidner@suse.cz
- Fixed editing ISDN providers (#104122).
- Network settings would not be written if the wifi link was used in
  the proposal (#113196).
* Mon Aug 22 2005 mvidner@suse.cz
- Don't use rcnetwork reload if it is not running (#106040).
- Don't stop network unnecessarily (Detection stuff, #106040).
- 2.12.12
* Thu Aug 18 2005 mvidner@suse.cz
- More valid characters for proxy user name (#103841).
* Wed Aug 17 2005 mvidner@suse.cz
- Enable firewall for newly added modems and DSLs (#66478).
- 2.12.11
* Mon Aug 15 2005 mvidner@suse.cz
- Clear the static address if using DHCP (#104494).
- Omit BROADCAST and NETWORK (#50955).
- Enable the ISDN init script (#104590).
- Merged proofread texts.
- 2.12.10
* Thu Aug 11 2005 mvidner@suse.cz
- Added missing imports (check_ycp).
* Tue Aug  9 2005 mvidner@suse.cz
- Made the proposal link to change WiFi work (F2103).
- Again fixed selecting the wrong card to edit (#98852, #102945).
- 2.12.9
* Fri Aug  5 2005 mvidner@suse.cz
- Unified the configured and unconfigured lists (F5630, with visnov).
- 2.12.8
* Thu Aug  4 2005 mvidner@suse.cz
- Do not mix up the unconfigured cards (#98852).
* Thu Jul 28 2005 jsuchome@suse.cz
- updated desktop files
- merged proofread messages
- 2.12.7
* Mon Jul 25 2005 mvidner@suse.cz
- Warn in the proposal about unencrypted WiFi,
  have a direct link to change it (unimplemented) (F2103).
- 2.12.6
* Fri Jul 22 2005 mvidner@suse.cz
- Prefer WiFi for the proposal (F2103).
- 2.12.5
* Fri Jul 22 2005 mvidner@suse.cz
- Added WPA-EAP configuration (F100140).
- 2.12.4
* Mon Jul 18 2005 mvidner@suse.cz
- Removed an obsolete workaround for bug 65164.
- 2.12.3
* Thu Jul 14 2005 mvidner@suse.cz
- Do not default to storing ISP passwords on disk (#59836).
* Mon Jul 11 2005 mvidner@suse.cz
- Fixed aborting the network test during the installation (YOU and
  release notes) (visnov, #44552, F110072).
* Mon Jul 11 2005 mvidner@suse.cz
- Added "Test Proxy Settings" functionality (locilka, #55861).
- 2.12.2
* Thu Jun 23 2005 mvidner@suse.cz
- Fixed and beautified HTTPS_PROXY.
* Wed Jun 22 2005 visnov@suse.cz
- HTTPS_PROXY support (#67357)
- Proxy command line support
* Fri Jun 10 2005 mvidner@suse.cz
- WiFi: allow setting the channel only in Master and Ad-hoc modes
  (#88530)
* Wed Jun  1 2005 mvidner@suse.cz
- Do not load a NIC driver if one is already loaded (#59794#c31).
- Use network module options supplied by user during
  boot (install.inf) when installing and proposing (#75720).
- For force_static_ip, also change the default in the address dialog
  (#65524).
- Properly enable/disable widgets and validate input
  in the DNS dialog (#28427, #63423).
* Mon May 16 2005 mvidner@suse.cz
- Removed an obsolete Requires: yast2-firewall.
- Added help text about the alias name format (#83766).
* Mon May  2 2005 locilka@suse.cz
- Added Firewall support into the Remote Administration settings
- Added full Command Line support for Remote Administration
* Tue Apr 19 2005 mvidner@suse.cz
- Adapted to ProductFeatures changes
- Do not use "default" as an identifier.
- 2.12.1
* Fri Apr  1 2005 mvidner@suse.cz
- Fixed detection of WPA-PSK support (#74496).
- Removed obsolete file for personal firewall.
* Tue Mar 22 2005 mvidner@suse.cz
- isdnctrl was moved to /sbin (#74096).
- 2.11.32
* Tue Mar 22 2005 mvidner@suse.cz
- ISDN proposal: full init before internet test (#74096).
- Sleep before drdsl to avoid some race.
- 2.11.31
* Tue Mar 22 2005 mvidner@suse.cz
- Fritz!Card DSL: drdsl must not use the -n switch (#74205).
- 2.11.30
* Sat Mar 19 2005 nashif@suse.de
- DSL: Offer Point to Point Tunneling Protocol again (#73043)
- V 2.11.29
* Fri Mar 18 2005 nashif@suse.de
- Do not set empty UNIQUE when autoinstalling  (#73922)
* Fri Mar 18 2005 mvidner@suse.cz
- DSL: do not offer Point to Point Tunneling Protocol,
  pptp.rpm was removed because we no longer have ppp_mppe.ko (#73043)
- 2.11.27
* Thu Mar 17 2005 mvidner@suse.cz
- Fixed autoinstallation by reintroducing uppercasing (#73595).
- 2.11.26
* Mon Mar 14 2005 mvidner@suse.cz
- Reload lwresd if resolv.conf changes (#72450).
- Moved the single quote fix to NetworkDevices.ycp (#72164).
- 2.11.25
* Fri Mar 11 2005 mvidner@suse.cz
- Don't allow single quotes inside ifcfg-*:NAME (#72164).
- Use NetworkDevices::ConcealSecrets not to log sensitive information
  (#65741).
- Multiple autoinstallation fixes by means of a rewrite (nashif)
  * #65976 - autoyast does not write network configuration
  correctly. Use proposal method to setup network devices
  for autoyast and handle multiple interfaces correctly
  * #60716 - autoyast detects myrinet as ethX
  * #67405 - autoyast configures two interfaces
  * #65353 - ability to provide static network information for autoyast
- Added WLAN channels 13 and 14 to the default list (#67150).
- Enable user control of newly added WLAN cards (#63767).
- 2.11.24
* Tue Mar  8 2005 kkeil@suse.de
- use valid default IPs for ISDN and not 0.0.0.0 (#43169, #56181)
- 2.11.23
* Thu Mar  3 2005 kkeil@suse.de
- fix ISDN ISA card setup (#67129)
- /etc/init.d/isdn stop --> /etc/init.d/isdn unload
- 2.11.22
* Wed Mar  2 2005 locilka@suse.cz
- Merged proofed texts
- 2.11.21
* Thu Feb 24 2005 mvidner@suse.cz
- Allow WEP keys of lengths that the card supports (#60011).
- Adjusted to the actual wireless card features implementation in
  agent-probe (#65391).
- 2.11.20
* Mon Feb 21 2005 mvidner@suse.cz
- Improved the layout of the internet connection test dialog
  (F100294).
- Confirm also detection of PPPoE DSL (Novell #66056).
- Provider help texts now match the dialog (Novell #66001).
- Set modified to false when resetting in autoyast.
- 2.11.19
* Fri Feb 11 2005 mvidner@suse.cz
- Fixed CLI handlers (wrong function signatures).
- Propose network config also when there's ifcfg-usb (#50164).
- Do not log provider data, they contain passwords (#50741).
- Fixed selecting an ISDN card manually (#50725).
- Do not propose a dynamic address if the product (OES) says
  force_static_ip (#50524).
- Warn when selecting a device without a module (#29296).
- 2.11.18
* Mon Feb  7 2005 mvidner@suse.cz
- Merged proofread texts.
- 2.11.17
* Fri Feb  4 2005 mvidner@suse.cz
- Introduced ifcfg:NAME, user's name for the interface,
  initialized from the hardware description. No widget yet.
- Added firewall zone selection to network card details dialog,
  jump to it if the interface is not in any zone.
  Add new network cards to the external zone if the firewall
  is already enabled (#47309, #50333).
- For WLAN interfaces, wireless-tools.rpm is needed (#49880).
- Help text fix: cannot correct network settings during an update
  (#50381).
- 2.11.16
* Thu Jan 27 2005 mvidner@suse.cz
- Use /etc/init.d/network reload (#31698).
- hwdown and hwup changed devices (#44794).
- Added SGI Gigabit Ethernet (#48973).
- 2.11.15
* Thu Jan 27 2005 mvidner@suse.cz
- Improved and unified labels and helps for STARTMODE (#50095).
  Canonicalized its values (on, boot, onboot -> auto).
- 2.11.14
* Tue Jan 25 2005 mvidner@suse.cz
- Use Progress::set also in clients.
* Mon Jan 24 2005 nashif@suse.de
- Fixed second argument used to skip client when going back in the workflow
* Mon Jan 24 2005 nashif@suse.de
- Hardcode argument of inst_netsetup, currently argument `up is not
  needed because the client does only `up and no `down anymore
* Mon Jan 17 2005 mvidner@suse.cz
- Added DSL card detection.
- Recognize USB Host-to-Host link detected by hwinfo (#22739).
- Moved common things from SelectHW to SelectHardware.
* Fri Jan 14 2005 mvidner@suse.cz
- Remove old data from /etc/hosts after having re-configured
  hostname or IP during installation (#49634).
- UI for Wireless card feature enquiry.
- Keep logs from internet connection test (#46285).
- Fixed building with new devtools.
- 2.11.11
* Wed Dec 22 2004 mvidner@suse.cz
- Updated help for WLAN ESSID (#39458).
- Warn when changing the interface type (#30890).
- Describe valid host and domain names in error popups (#22802).
- 2.11.10
* Wed Dec 15 2004 mvidner@suse.cz
- fixed build
- 2.11.9
* Wed Dec 15 2004 mvidner@suse.cz
- Using new firewall code in yast2.rpm via SuSEFirewall4Network.
- Using Progress::set
- Resolver: if the search list is empty, prefill the domain (#49094).
- 2.11.8
* Thu Dec  9 2004 mvidner@suse.cz
- IPs for /etc/hosts: watch out for BOOTPROTO=dhcp and nonempty
  IPADDR (#49055).
- No-proxy domains: improved help, add commas if missing (#48998).
* Thu Dec  2 2004 locilka@suse.cz
- Added module SuSEFirewall4Network for handling network interfaces
  in SuSEfirewall2 using SuSEFirewall module.
* Fri Nov 12 2004 mvidner@suse.cz
- Fixed deleting additional addresses via the specialized dialog (#48191).
- Do not allow slashes ifcfg and hwcfg names (#46803).
- Run kinternet with the --quiet option (#46828).
- Install wpa_supplicant when a device uses WPA-PSK (#47809).
- 2.11.7
* Wed Nov 10 2004 mvidner@suse.cz
- Moved NetworkDevices from yast2-network to yast2.
- 2.11.6
* Thu Nov  4 2004 mvidner@suse.cz
- Fixed errors found by stricter type checking.
- Replaced selects and lookups by brackets.
- 2.11.5
* Wed Oct 27 2004 mvidner@suse.cz
- Actually assign to allow_administration in Remote::Read (#44684).
- Changed label: IUCV "link name/partner" to "peer name" (#42789).
- Added qeth options and IP takeover to qeth and hsi (hare, #41570).
- Use new common strings from Label.
- Adapted to changes in Mode.
- 2.11.4
* Tue Oct 19 2004 mvidner@suse.cz
- Deleted an unused file that triggered a format string mismatch.
- 2.11.3
* Thu Oct 14 2004 jsrain@suse.cz
- fixed testsuite
- 2.11.2
* Mon Oct 11 2004 jsrain@suse.cz
- adapted to new Arch:: interface
* Thu Oct  7 2004 arvin@suse.de
- protect special characters when displaying logs from Internet
  connection test (bug #46410)
* Wed Oct  6 2004 mvidner@suse.cz
- Consider smpppd and kinternet also for ISDN interfaces (#46888),
  dialup does not matter, only USERCONTROL does (#44303).
- 2.10.33
* Tue Oct  5 2004 mvidner@suse.cz
- Do not set FIREWALL (restart on connect) according to the External
  fw interface checkbox (#45935).
- 2.10.32
* Tue Oct  5 2004 mvidner@suse.cz
- Do not assign 127.0.0.2 to localhost (#46715).
- 2.10.31
* Mon Oct  4 2004 mvidner@suse.cz
- Moved the "cd /" workaround to yast2-network (#46055).
- Do not change proxy settings in the proposal (#46635).
- 2.10.30
* Thu Sep 30 2004 mvidner@suse.cz
- One more place to pass the required packages (#45960).
- 2.10.29
* Wed Sep 29 2004 mvidner@suse.cz
- Don't display DHCP if the resolver is set up statically (#46377).
- Don't use "ppp" as the firewall interface (#46378).
- 2.10.28
* Wed Sep 29 2004 arvin@suse.de
- disable ugly hack of bug #42177 since 9.2 is a box product
* Tue Sep 28 2004 mvidner@suse.cz
- Do not run dhcpcd-test, it may trigger IP address change (#46214).
- 2.10.26
* Mon Sep 27 2004 mvidner@suse.cz
- Lan: install packages reported by hwinfo, eg. firmware (#45960).
- Fixed firewall fix (#45857).
- 2.10.25
* Sat Sep 25 2004 mvidner@suse.cz
- Removed inst_netsetup (`dn) and write resolv.conf directly.
  Network setup will be able to install packages from network
  and write the definitive configuration (#45317).
- Check whether kinternet is installed (#43556).
- Run it via a desktop file (#37864).
- Use yast2-firewall to access the firewall configuration (#45857).
- Edit the default wireless key, not the first one (#46029).
- 2.10.24
* Fri Sep 24 2004 mvidner@suse.cz
- Don't require installation of generically named kernel packages
  (#44977).
- Do not warn about no wireless key if we proceed with the key
  dialog (#46025).
- 2.10.23
* Thu Sep 23 2004 arvin@suse.de
- set proxy for downloading of release notes (bug #35370)
* Wed Sep 22 2004 arvin@suse.de
- check signature of release notes (bug #45647)
* Mon Sep 20 2004 kkeil@suse.de
- do only install addon packages if proposal was accepted (#45314)
- 2.10.20
* Mon Sep 20 2004 mvidner@suse.cz
- Do not write hwcfg for PC Cards (#42421).
- lan_auto::Reset: clear modification flag
- 2.10.19
* Fri Sep 17 2004 mvidner@suse.cz
- Do not (mis)configure WLAN cards automatically (#44951).
- Do not falsely alarm about duplicate IPs if we have more
  interfaces (#45169).
- 2.10.18
* Tue Sep 14 2004 mvidner@suse.cz
- Firewall for network interfaces: use FW_DEV_EXT instead of
  personal-firewall (#33649).
* Mon Sep 13 2004 mvidner@suse.cz
- Added Lan::AutoPackages for autoinst mode (nashif).
- Install RPMs with kernel modules (#44394).
- 2.10.17
* Mon Sep 13 2004 kkeil@suse.de
- add ISDN:NetDeviceList() function for a list of configured
  ISDN network interfaces (#44677)
- manual is the default STARTMODE for ISDN interfaces
* Thu Sep  9 2004 mvidner@suse.cz
- Do not write the VNC settings until the whole proposal
  has been accepted (#44136).
- LAN: STARTMODE="manual" if not specified but "auto"
  for new configurations (#44804).
- Install ifplugd if needed (#44838).
- There's no dhcp detection process to kill (#44557).
- 2.10.16
* Mon Sep  6 2004 mvidner@suse.cz
- Added STARTMODE=ifplugd.
- Prepare for installing kernel RPMs (#44394).
- 2.10.15
* Fri Sep  3 2004 mvidner@suse.cz
- Renamed Virtual Aliases to Additional Addresses (#42412).
- Deleted a redundant copy of DuplicateIP and fixed
  the other one (#9951).
- Call hwup for hwcfg-static* instead of rccoldplug (#44626).
- Don't write hwcfg files for bus-(pcmcia|usb) devices (#42421).
- 2.10.14
* Thu Sep  2 2004 msvec@suse.cz
- write alias label and fixed alias editing (#42412)
* Wed Sep  1 2004 mvidner@suse.cz
- Fixed configuring the dummy interface (#44582).
- Another try at detecting KDE because of kinternet (#43556).
* Mon Aug 30 2004 nashif@suse.de
- Fixed lan_auto to handle different devices (#44014)
- use modified flag (#43904) in auto clients
* Mon Aug 30 2004 mvidner@suse.cz
- Removed excess vertical spacing from LAN proposal (#44449).
- Added periods to summary sentences (#44139).
- 2.10.12
* Fri Aug 27 2004 mvidner@suse.cz
- Fixed telephone country code of Slovakia, added Czech Rep. and
  North America. (#44085)
- Merged proofread texts.
* Thu Aug 26 2004 mvidner@suse.cz
- Don't forget to write the WPA-PSK key (#44316).
- Activate smpppd+kinternet for user controlled interfaces (#44303).
- Restore interface configuration name when switching back from
  bus-{usb,pcmcia} (#38213)
- 2.10.11
* Mon Aug 23 2004 mvidner@suse.cz
- Enable USERCONTROL for new modem, DSL and ISDN interfaces (#43945).
- Dial Prefix Regex is enabled only for user controlled modems (#43945).
- 2.10.10
* Thu Aug 19 2004 mvidner@suse.cz
- Wireless: better input checking, updated help texts.
- 2.10.9
* Wed Aug 18 2004 mvidner@suse.cz
- Mark unplugged network cards in the list of unconfigured ones.
- Fixed return type of LanSequence for CommandLine.
- 2.10.8
* Tue Aug 17 2004 mvidner@suse.cz
- VNC: Using xorg-x11 instead of XFree86.
- Fixed parallel build (nested directory symlinks).
- 2.10.7
* Mon Aug 16 2004 mvidner@suse.cz
- Phone number checking relaxed from validchars to are-you-sure (#43723).
- Added usb to CardRegex[netcard] (#43089).
- 2.10.6
* Tue Aug 10 2004 mvidner@suse.cz
- VNC: Fixed status display and restarting xinetd,
  enhanced XDM warning (#43264)
- Merged proofread texts.
* Thu Aug  5 2004 msvec@suse.cz
- modem config files are now ifcfg-modem*
- enabled preliminary Bluetooth support
- minimal commandline support
- improved summary output
- 2.10.5
* Fri Jul 30 2004 mvidner@suse.cz
- Wireless: Added WPA-PSK.
- LAN: Use editable combo instead of textentry for Configuration name
  (not filled with useful data yet).
- Adjusted testsuite for removal of Mode::live_evil.
- 2.10.4
* Thu Jul 29 2004 mvidner@suse.cz
- Added Dial prefix regular expression for modem ifcfgs (#23315).
* Tue Jul 27 2004 mvidner@suse.cz
- New checkbox for interfaces: "User Controlled".
- 2.10.3
* Fri Jul 23 2004 mvidner@suse.cz
- Moved the wireless dialog from the hardware one
  to after the address one (#42420).
* Fri Jul 23 2004 jsrain@suse.cz
- added function to detect if host name (or IP address) is local
  host
* Fri Jul 23 2004 mvidner@suse.cz
- Fixed configuration of s390 LCS devices (#42886).
* Tue Jul 20 2004 msvec@suse.cz
- improved DNS and Routing summaries
- duplicate IP address detection (#9951)
- fixed coldplugged HW (#40587)
* Wed Jul 14 2004 mvidner@suse.cz
- Shut up when there are no wlan files to fix (#42990).
* Mon Jul 12 2004 mvidner@suse.cz
- For temporary network setup during installation (inst_netsetup),
  use also the domain name from install.inf (#42758).
- Moved nsswitch.conf agent to yast2-pam.
- 2.10.2
* Thu Jul  8 2004 mvidner@suse.cz
- Fixed deleting virtual aliases (#42386).
- 2.10.1
* Thu Jul  8 2004 mvidner@suse.cz
- Added more "testedfiles" to test cases to make it work with the new testsuite.
- 2.10.0
* Mon Jun 28 2004 msvec@suse.cz
- don't show writing progress (#42248)
- use by-id naming for IUCV devices (#42212)
- after update fix possibly wrong permissions (#24842)
- updated s390 card list (hare)
- 2.9.57
* Wed Jun 23 2004 msvec@suse.cz
- QETH devices detection changed (mvidner, #41461)
- fixed setting host and domain name when Machinename has FQDN (#42242).
- preliminary support for LCS devices (s390)
- 2.9.56
* Fri Jun 18 2004 mvidner@suse.cz
- Correctly parse module and options to fix proposal when
  MAC addresses are unknown (#42203).
- 2.9.55
* Fri Jun 18 2004 arvin@suse.de
- fake check for online patches (bug #42177)
- 2.9.54
* Thu Jun 17 2004 mvidner@suse.cz
- Make the ifcfg file unreadable (chmod 600) if _any_ of the wireless
  keys is specified (#24842).
- 2.9.53
* Wed Jun 16 2004 mvidner@suse.cz
- Fixed changing the host name during the installation
  after the network has already been set up (#42102).
- 2.9.52
* Wed Jun 16 2004 mvidner@suse.cz
- Fixed an untranslated heading in ISDN setup (#42089).
- 2.9.51
* Thu Jun 10 2004 mvidner@suse.cz
- VNC: Fixed hanging when starting KDM (#41611).
- VNC: Tell the user if he must restart xdm (#40458).
- 2.9.50
* Fri Jun  4 2004 msvec@suse.cz
- fixed coldplugged HW on s390 (#40587)
- fixed QETH params writing (#41461)
- fixed IUCV detection (#41525)
- 2.9.49
* Fri May 28 2004 mvidner@suse.cz
- Require kdebase3 or fvwm2 instead of windowmanager
  to make VNC work (#40155).
- 2.9.48
* Thu May 27 2004 mvidner@suse.cz
- Resolver: fixed restarting DHCP clients (#41303).
- 2.9.47
* Thu May 27 2004 nashif@suse.de
- Fixed bug where autoyast config for network does not select
  correct interface (#41065)
- Parse autoyast data correctly to show configured devices with
  ids (mac/pci bus)
* Mon May 24 2004 mvidner@suse.cz
- Fixed /etc/inittab broken by last fix of VNC administration (#40458).
- 2.9.46
* Fri May 21 2004 nashif@suse.de
- return right device name when cloning with autoyast.
* Wed May 19 2004 mvidner@suse.cz
- Another fix of hwcfg-{hsi,qeth}-* (#40692#c15)
- 2.9.45
* Tue May 18 2004 msvec@suse.cz
- proper CTC devices support (#40692)
- show busid for s390 netcards (#40587)
- fixed virtual aliases deleting (#40597)
- don't use by-MAC identification on s390 (#38819)
- network proposal by MAC (#40088, #40096)
- improved remote administration (#40458)
- 2.4.44
* Fri May 14 2004 mvidner@suse.cz
- fixed committing isdn providers (#39110)
- 2.9.43
* Fri May 14 2004 msvec@suse.cz
- further s390 improvements (#39456)
- 2.9.42
* Thu May 13 2004 mvidner@suse.cz
- fixed switching resolv.conf from DHCP to static config (#38834)
- 2.9.41
* Thu May 13 2004 mvidner@suse.cz
- fixed saving empty WEP keys (#40431)
- 2.9.40
* Wed May 12 2004 msvec@suse.cz
- added custom s390 dialogs (#39456)
- preserve additional DNS searches (#40012)
- make WLAN Master mode functional (#40431)
- propose install.inf netcard if defined (#40088, #39130)
- use bus_hwcfg hwinfo BUS identification field (#39456)
- drop UML hardware detection hack, it works now (#39945)
- save the 3rd modem init string (#40191)
- drop obsolete s390 chandev stuff
- 2.9.39
* Tue May  4 2004 mvidner@suse.cz
- merged proofread messages
- 2.9.38
* Thu Apr 29 2004 msvec@suse.cz
- "detect" undetectable UML network device (#39521)
- resurrected virtual aliases support (#39657)
- updated list of hwinfo controllers (#39456)
- fixed parallel build and updated testsuite
- 2.9.37
* Tue Apr 27 2004 mvidner@suse.cz
- reduced operation modes to managed, ad-hoc and master
- removed NWID and nickname (all #39458 c3)
- 2.9.36
* Mon Apr 26 2004 msvec@suse.cz
- XPNet detection support (#35867)
- 2.9.35
* Wed Apr 21 2004 mvidner@suse.cz
- Added comments to base modules
* Mon Apr 19 2004 mvidner@suse.cz
- WEP: choose key type also in the main dialog (#35857 c19)
    fixed the Back button
    abbreviated Number as No.
- 2.9.34
* Mon Apr 19 2004 mvidner@suse.cz
- added a dialog for multiple WEP keys (#35857)
- proofread some more messages
- inst_net_setup: ignore HWaddr if empty
- export forgotten domain (#38770)
- 2.9.33
* Wed Apr  7 2004 arvin@suse.de
- start capi during Internet test also for capi based dsl
  connections (bug #38540)
* Tue Apr  6 2004 msvec@suse.cz
- use ifconfig -a to get interfaces (#38330)
- fixed update of /etc/hosts (#38439)
- 2.9.31
* Mon Apr  5 2004 msvec@suse.cz
- use BUSID when MAC=00:00:00:00:00:00 (partly #38392)
- 2.9.30
* Mon Apr  5 2004 msvec@suse.cz
- fixed shortcuts in ISDN dialog (#38216)
- 2.9.29
* Mon Apr  5 2004 arvin@suse.de
- don't setup and shutdown network if it has already been setup
  before yast is started (bug #38354)
- 2.9.28
* Mon Apr  5 2004 msvec@suse.cz
- workaround bad german routing.desktop translation (#36936)
- fixed syntax errors now reported by new core
- 2.9.27
* Sun Apr  4 2004 nashif@suse.de
- create network config files using mac or pci ids when
  auto-installing (#37186)
- fixed module parsing due to change in data structure in
  auto-install mode
- 2.9.26
* Fri Apr  2 2004 msvec@suse.cz
- further smartlink-softmodems fixes (#37335)
- changed license to GPL
- 2.9.25
* Fri Apr  2 2004 msvec@suse.cz
- improved smartlink-softmodems support (#37335)
- added more milestones to debug #38031
- 2.9.24
* Thu Apr  1 2004 msvec@suse.cz
- reintroduce unique key writing to map device to cfg
- better naming for hotplug devices (#37666, #35225)
- show shorter netcard name in overvew (#36147)
- 2.9.23
* Wed Mar 31 2004 msvec@suse.cz
- dropped testing desktop entries (#37522)
- fixed STARTMODE and MTU writing (#37516)
- better smartlink-softmodems support (#37335)
- replace type with netcard name in overview table (#36147)
- fixed summary to properly show configured modems (#37744)
- 2.9.22
* Mon Mar 29 2004 msvec@suse.cz
- fixed DSL configuration write (#36629)
- device textentry now in address dialog (#36147)
- fixed HW mapping for old-style ifcfg-files (#36910)
- fixed missing translation (#37144)
- 2.9.21
* Mon Mar 29 2004 arvin@suse.de
- implemented setup of nameserver during second stage of
  installation (bug #36957)
- 2.9.20
* Fri Mar 26 2004 msvec@suse.cz
- changed default hostname from linux.local -> linux.site (#36949)
- 2.9.19
* Tue Mar 23 2004 mvidner@suse.cz
- fixed enabling VNC administration (#31004, #36748)
- 2.9.18
* Mon Mar 22 2004 msvec@suse.cz
- preliminary XPNet devices support (#35867)
- correct providers desktop entry (#36633)
- never rmmod kernel modules (#36478)
- further improve the naming (#36147)
- possibility to change proposed names (#36147)
- simplified summary output (#35647)
- properly removed old hostname from /etc/hosts
- 2.9.17
* Thu Mar 18 2004 arvin@suse.de
- avoid flickering mouse cursor during Internet test (bug #36442)
- 2.9.16
* Wed Mar 17 2004 msvec@suse.cz
- added custom provider texts from msommer
- 2.9.15
* Tue Mar 16 2004 msvec@suse.cz
- offer possibility to change configuration name (#36147)
- properly write hostname to /etc/hosts (#22825)
- fixed kernel module selection
- 2.9.14
* Tue Mar 16 2004 msvec@suse.cz
- better device selection for installation (#35624)
- 2.9.13
* Mon Mar 15 2004 msvec@suse.cz
- use MAC address as a primary identification (#35731)
- stop using UNIQUE numbers for ifcfg and hwcfg mapping
- always use BUSID for HW configuration
- write hostname to /etc/hosts (#22825)
- dropped unused desktop entries (#35618)
- proper focus in proxy (#35614)
- fixed deleting of modem and DSL devices (#36079)
- fixed testsuite
- 2.9.12
* Wed Mar 10 2004 msvec@suse.cz
- fixed modem and DSL packages names
- 2.9.10
* Wed Mar 10 2004 sh@suse.de
- Migration to new wizard
- V 2.9.9
* Tue Mar  9 2004 msvec@suse.cz
- added missing helps
- minor fixes to WLAN configuration
- 2.9.8
* Mon Mar  8 2004 msvec@suse.cz
- use the new device naming (#33073)
- set title icons
- 2.9.7
* Fri Mar  5 2004 msvec@suse.cz
- simple device interface (GetValue, SetValue)
- possibility to set MTU (#34397, #20035)
- possibility do change startmode (#24926)
- don't always start smpppd and KInternet (#26382)
- don't run KInternet in ncurses (#27891)
- run KInternet according to the number of connections (#29475)
- run|stop kinternet, if DISPLAY and (not)running (#14320)
- don't allow to delete default provider (#17497)
- install required packages in the installation proposals (#31536)
- allow to delete proposed network cards (#34859)
- drop resolv.conf header if not needed
- correctly delete files on disk
- fixed hosts writing (#35349)
- added strict type casts
- proof-read messages
- 2.9.6
* Mon Feb 23 2004 msvec@suse.cz
- reduced neededforbuild
- fixed network proposal creation
- fixed writing of kernel modules
- resurrected virtual aliases support (#6627)
- correct module name for Apple gmac (#34687)
- sort now uses < because of the switch to std::sort <mvidner>
- use Sequencer and Service modules
- added wireless expert settings (#34873)
- added more milestones
- 2.9.5
* Mon Feb 16 2004 msvec@suse.cz
- syntax fixes in the detection code
- correct test for providers modification (#34419)
- 2.9.4
* Tue Feb 10 2004 msvec@suse.cz
- typo in shellcommand (may affect #29452, #33049)
- 2.9.3
* Sat Feb  7 2004 msvec@suse.cz
- ISDN compiles and seems to work
- NVidia cards should be supported now (#25531)
- 2.9.2
* Tue Jan  6 2004 msvec@suse.cz
- sources restructured and cleaned up
- new interpreter updates (ISDN not functional yet)
- 2.9.1
* Tue Nov 11 2003 msvec@suse.cz
- dummy device support (#15960)
- preliminary USB Network support (#22739)
- replace obsolete require calls (#31673)
- allow to select a different card (#32450)
- prefill "http://" in proxy fields (#31269)
- don't allow to delete a provider which is used (#17497)
- preliminary virtual aliases support (read|write and edit|delete so far)
- allow "default" to be entered as a route destination (#21398)
- fixed concurrent providers usage during installation (#31508)
- fix netcard y2cc label (#33802)
- automatic DNS support (#27955)
- cleanup of redundant stuff
- 2.9.0
* Tue Sep 23 2003 msvec@suse.cz
- ignore partially activated interfaces during Detection (#29452)
- 2.8.43
* Mon Sep 22 2003 msvec@suse.cz
- install required packages for winmodems (#31443, #31471)
- install all required packages after DSL configuration (#31536)
- fixed starting of kinternet <kkeil@suse.de>
- updated testsuite
- 2.8.42
* Sun Sep 21 2003 kkeil@suse.de
- fix start of kinternet,option must be --quiet not -quiet (#31322)
* Sun Sep 21 2003 arvin@suse.de
- run 'rcnetwork start' before online test during update
  (bug #31466)
* Sun Sep 21 2003 msvec@suse.cz
- fixed default baud rate value (#31442)
- added more milestone calls to proposal clients
- save the original providers for later comparison (#31322)
- disable IPADDR prefilling (#31369)
- 2.8.40
* Sun Sep 21 2003 kkeil@suse.de
- fix Firewall setting lookup (#31322)
- if the interface was deleted, delete also the firewall entry
* Thu Sep 18 2003 arvin@suse.de
- shut down temporary network before online test during update
  (bug #31030)
* Wed Sep 17 2003 arvin@suse.de
- better helptext for vnc administration (bug #31085)
* Tue Sep 16 2003 msvec@suse.cz
- don't detect unknown devices (#31022)
- prefer cards with a driver during proposal (#30993)
- make PCI modems known (#31022)
- 2.8.36
* Mon Sep 15 2003 adrian@suse.de
- allow also remote root login in remote admin mode
- 2.8.35
* Mon Sep 15 2003 kkeil@suse.de
- fix handling of BACK key, better default focus (#30104)
- fix none translated driver descriptions (#30857)
- 2.8.34
* Fri Sep 12 2003 msvec@suse.cz
- added more logging to simplify further bugfixing
- 2.8.33
* Fri Sep 12 2003 arvin@suse.de
- fixed loading of modules for network setup during 2nd stage
  installation (bug #29945)
- 2.8.32
* Wed Sep 10 2003 msvec@suse.cz
- fixed log erros possible affecting the detection (#30424)
- 2.8.31
* Mon Sep  8 2003 kkeil@suse.de
- fix lost of firewall settings (#29103)
- do not start smpppd and kinternet if no isdn interface was
  configured (#18831)
- run drdsl if a new DSL-ISDN card was configured (#30294)
* Mon Sep  8 2003 msvec@suse.cz
- hardware detection emulation for AVM DSL cards (#30294)
- 2.8.30
* Mon Sep  8 2003 msvec@suse.cz
- skip nForce2 network cards, no driver available (#25531)
- 2.8.29
* Mon Sep  8 2003 msvec@suse.cz
- drop restart of the pcmcia subsystem (#25604)
- 2.8.28
* Fri Sep  5 2003 msvec@suse.cz
- added more milestone logging to the detection process
- 2.8.27
* Fri Sep  5 2003 msvec@suse.cz
- proof read texts
- 2.8.26
* Thu Sep  4 2003 arvin@suse.de
- fixed encoding of logs in internet test (bug #29500)
* Thu Sep  4 2003 msvec@suse.cz
- use dhcpcd-test script for testing of DHCP (#29945)
- changed DSL default for CZ to PPtP
- fixed proxy help text (#29948)
- fixed Myrinet subclass ID
- 2.8.25
* Wed Sep  3 2003 msvec@suse.de
- fixed typo (#29905)
- 2.8.23
* Tue Sep  2 2003 msvec@suse.de
- proxy url must contain the scheme identifier (#29754)
- 2.8.22
* Tue Sep  2 2003 arvin@suse.de
- better text for vnc remote administration (bug #29717)
* Tue Sep  2 2003 nashif@suse.de
- fixed testsuite
- 2.8.21
* Mon Sep  1 2003 nashif@suse.de
- Fixed kernel module handling in normal and autoinst mode
- Added Package function to auto client
- 2.8.20
* Mon Sep  1 2003 msvec@suse.cz
- properly support detected wlan devices (#29506)
- 2.8.19
* Sun Aug 31 2003 arvin@suse.de
- use Popup::ConfirmAbort
* Sat Aug 30 2003 arvin@suse.de
- moved reactivation of network here (bug #29561)
* Fri Aug 29 2003 visnov@suse.de
- CommandLine::Plain2Rich -> RichText::Plain2Rich
* Thu Aug 28 2003 msvec@suse.cz
- don't shut down network interface during detection (#29452)
- don't show error messages in case detection isn't started (#29582)
- don't make modules.conf entries for hotpluggable hardware (#29547)
- improve DSL detection message (#29576)
- 2.8.18
* Wed Aug 27 2003 msvec@suse.cz
- confirm hardware detection in manual mode (#26515)
- 2.8.15
* Mon Aug 25 2003 kkeil@suse.de
- new hardware dialog for ISDN based on CDB data
- firewall has now 2 checkboxes
* Thu Aug 21 2003 msvec@suse.de
- suppress error message if pcmcia is not installed (#29195)
- propose empty lan config in case DSL pppoe is detected (#23662)
- load modules before detection takes place (#24462)
- fixed more pcmcia devices naming (#28314)
- DSL PPTP support (#18407)
- 2.8.13
* Wed Aug 20 2003 jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.12
* Tue Aug 19 2003 msvec@suse.cz
- better WLAN help text (#28598)
- 2.8.11
* Mon Aug 18 2003 nashif@suse.de
- Fixed dhcp configuration in autoinst mode
- 2.8.9
* Tue Aug 12 2003 arvin@suse.de
- added remote administration proposal
* Mon Aug 11 2003 jsrain@suse.de
- merged texts from proofread
- 2.8.7
* Fri Aug  8 2003 arvin@suse.de
- variable handling of release notes url
- added desktop files
* Mon Aug  4 2003 jsrain@suse.de
- fixed testsuite
* Mon Aug  4 2003 arvin@suse.de
- fixed return value in inst_netprobe
* Sat Aug  2 2003 msvec@suse.cz
- read /root/.curlrc only if present
- 2.8.10
* Fri Aug  1 2003 msvec@suse.de
- drop yast2-network-instsys package
- added inst_netprobe installation client
- don't expose password in plain text (#27459)
- change wireless devices to wlan* (#28048)
- basic more IPs support
- 2.8.4
* Tue Jul 22 2003 msvec@suse.cz
- additional DHCP options dialog (improvement 31.2)
- cleanup obsolete virtual aliases support
- improved abort handling in routing setup
- improved network config handling
- preliminary more IPs support
- 2.8.3
* Thu Jul 10 2003 msvec@suse.de
- proxy: better helps (#24803)
- proxy: input checking (#18791)
- lan: coordinate proposal with dsl (#17631)
- add additional arcnet modules (#26858)
- updated testsuite
- 2.8.2
* Fri Jun 27 2003 msvec@suse.de
- fixed writing of modules.conf options (#26217)
- check wireless key (#24839)
- 2.8.1
* Thu Jun 26 2003 msvec@suse.de
- provider: recognize provider change in ncurses (#25432)
- proxy: allow '\' in the username field (#27444)
- lookup hostname during proposal (#21009)
- sync help with widgets (#25106)
- dns: restart only dhcp services
- several updates and bugfixes
- minimal dhcp detection
- 2.8.0
* Thu Jun 12 2003 arvin@suse.de
- show several log files after internet test (bug #25057)
- better interface of Internet module
* Tue May 27 2003 arvin@suse.de
- handle no_you switch in content file
* Wed Mar 19 2003 arvin@suse.de
- reinitialize some values in Internet module
* Fri Mar 14 2003 arvin@suse.de
- preferable test dial up connection during internet test (bug
  [#25264])
* Fri Mar 14 2003 msvec@suse.de
- change permissions of files containing wireless keys (#24842)
- 2.7.34
* Thu Mar 13 2003 msvec@suse.de
- allow to set autodetected NICs as WLAN (#25234)
- 2.7.33
* Wed Mar 12 2003 msvec@suse.de
- get around CallFunction scope problems (#25116)
- 2.7.32
* Tue Mar 11 2003 msvec@suse.de
- fixed reading of unknown devices (#24972)
- reload smpppd after DSL config (#24663)
- added pcmcia subsystem restart (#23935)
- 2.7.31
* Mon Mar 10 2003 arvin@suse.de
- better trigger for dial on demand connection during internet
  connection test
- 2.7.30
* Fri Mar  7 2003 msvec@suse.de
- restart smpppd after DSL and modem configuration (#24663)
- change permissions of files containing wireless keys (#24842)
- drop valid chars check of the wireless key (#24839)
- updated testsuite
- 2.7.29
* Thu Mar  6 2003 arvin@suse.de
- better result in internet connection test (bug #24734)
- avoid rocking progress labels during internet connection test
- 2.7.28
* Wed Mar  5 2003 msvec@suse.de
- updated kdesu kinternet call (#14320)
- 2.7.27
* Tue Mar  4 2003 arvin@suse.de
- fixed testsuite
* Tue Mar  4 2003 arvin@suse.de
- redesigned "Internet Connection Test" dialogue (bug #23775)
* Mon Mar  3 2003 msvec@suse.de
- proofread texts
- better proxy proposal summary
- default proxy proposal to disabled (#24277)
- translated double clicks to edit (#23997)
- don't read Routing in modem proposal (#24114)
- offer USB and PCMCIA network cards in DSL configuration (#24056)
- provide function for testing DSL devices (#24004)
- 2.7.24
* Sat Mar  1 2003 nashif@suse.de
- enable host and proxy configurations for autoyast
* Fri Feb 28 2003 mvidner@suse.de
- Fix writing /etc/sysconfig/network/routes in the network proposal (#24114).
- 2.7.23
* Thu Feb 27 2003 arvin@suse.de
- start isdn subsystem before isdn internet connection test
* Thu Feb 27 2003 mvidner@suse.de
- Sometimes package installation wrongly returned abort (#24316).
- Don't select custom providers if there are none (#23994).
- Fixed disabling the USB and PCMCIA checkboxes (#24332).
- 2.7.21
* Thu Feb 27 2003 arvin@suse.de
- fixed asking for provider password during internet connection
  test
* Thu Feb 27 2003 kkeil@suse.de
- fix FIREWALL handling in ISDN (#24089)
* Wed Feb 26 2003 arvin@suse.de
- fixed result field of internet test (bug #24354)
* Mon Feb 24 2003 mvidner@suse.de
- Added proxy to the network configuration proposal (#24204).
- 2.7.18
* Mon Feb 24 2003 arvin@suse.de
- only access widget with id s4 if it exists (bug #23800)
* Fri Feb 21 2003 arvin@suse.de
- better text for "abort installation" popup (bug #24019)
* Fri Feb 21 2003 arvin@suse.de
- better help text for network test (bug #23866)
* Fri Feb 21 2003 arvin@suse.de
- fixed Provider handling in Internet module (bug #23991)
* Thu Feb 20 2003 arvin@suse.de
- really download release notes
* Wed Feb 19 2003 msvec@suse.de
- changed proxy info popup text (#23728)
- added missing host editor entry to Y2CC
- surpress ProgressBar warning (#23796)
- 2.7.12
* Mon Feb 17 2003 kkaempf@suse.de
- dialogs.ycp:AskForPassword() must be global.
* Mon Feb 17 2003 kkeil@suse.de
- reenable isdn in provider dialog (#23725)
* Mon Feb 17 2003 msvec@suse.de
- don't read the lan devices in DSL proposal (#23569)
- allow comma in phone number (#23678)
- 2.7.9
* Fri Feb 14 2003 msvec@suse.de
- fix homepage and hotline (#23600)
- partially fix the status problem (#23593)
- 2.7.8
* Tue Feb 11 2003 arvin@suse.de
- fixed testsuite
* Mon Feb 10 2003 msvec@suse.de
- better hotplug devices support (#19478)
- correct wlan kernel module names (#23491)
- start cups server detection after write
- installation bugfixes
- proof read texts
- 2.7.6
* Tue Feb  4 2003 arvin@suse.de
- added missing inst_{ask,do}_net_test.ycp files
* Mon Feb  3 2003 msvec@suse.cz
- P2P tunneling protocol
- ISDN: support for AVM T1B version
- Capi-ADSL PPP mode
- proofread texts
- bugfixes
- 2.7.4
* Tue Jan 28 2003 kkaempf@suse.de
- fix testsuite
- switch of progress in autoinstall read.
- 2.7.3
* Mon Jan 27 2003 msvec@suse.de
- new installation dialogs for internet connection
- autoinst and other bug fixes
- updated testsuite
- 2.7.2
* Mon Jan 20 2003 msvec@suse.de
- providers: quote variables (they are enclosed in 's) (#22776)
- routing: fill in available devices (#21122)
- other bugfixes
- 2.7.1
* Wed Jan  8 2003 msvec@suse.de
- dsl:
  o add/edit/delete (#15301, #17217, #19855)
  o enable to change the device start mode (#14315)
  o propose the network card config if none found
- general:
  o new hosts manipulation and editor (#20970)
  o display info popup during proposal detection
  o new devices manipulation
- hardware:
  o ARCnet support
  o FDDI support
  o preliminary MyriNet support (#21129)
- lan:
  o editing of hardware settings (#15062, #10077, #12378)
  o remove kernel module after delete
  o warning if device number changed (#21288)
  o propose also if install.inf present but no hardware found
  o preliminary virtual aliases support (only edit|delete so far)
- providers:
  o UI mode (#6244, #16291, #21499)
  o new providers handling (#17496, #18356)
  o correctly handle the providers with unknown type
  o correctly handle the nameservers requirement
  o check the name servers IP addresses
- proxy:
  o display info popup at the end of configuration
  o use /root/.curlrc for storing proxy user and password (#21431)
  o added minimal input constraints (#18791)
  o allow to turn on|off with a checkbox
- routing:
  o fixed crash (#21334)
  o minor GUI clenup and fixes
- 2.7.0
* Mon Oct 21 2002 msvec@suse.cz
- fixed default gateway in the complex routing dialog (#21122)
- 2.6.33
* Thu Oct 17 2002 msvec@suse.cz
- moved firewall checkbox to the isdn interface dialog (#18840)
- 2.6.32
* Wed Oct 16 2002 arvin@suse.de
- the string returned from ip2hex has a fixed with
  of 8 now (bug #20936)
* Mon Oct 14 2002 msvec@suse.cz
- really use the custom device number (#17346)
- 2.6.30
* Wed Oct  9 2002 msvec@suse.cz
- setup network in the firewall setup (#18840)
- 2.6.29
* Mon Oct  7 2002 msvec@suse.cz
- disable the s390 specific dialog
- don't restart network after proxy configuration (#19615)
- really enable the new proxy settings (#20179)
- allow to choose custom network device (#17346)
- fix firewall setup (#18840)
- 2.6.28
* Fri Sep 13 2002 arvin@suse.de
- activate service network when saving isdn (bug #19625)
- 2.6.27
* Mon Sep  9 2002 msvec@suse.cz
- chmod a+r /etc/resolv.conf (#19188)
- the package is not noarch any more (#19206)
- 2.6.26
* Thu Sep  5 2002 kkeil@suse.de
- write FIREWALL=[yes|no] for isdn (additional fix for #18840)
- don't start smpppd/kinternet in save only mode (#18831)
- set default STARTMODE for interface depending on STARTMODE
  of hardware
- 2.6.25
* Wed Sep  4 2002 msvec@suse.cz
- write the correct ISDN device for the firewall (#18840)
- regenerate profiles by SuSEconfig after proxy data change (#18791)
- set up the network service also for modems and DSL (#18770)
- added the s390 network devices types
- 2.6.24
* Mon Sep  2 2002 msvec@suse.cz
- proxy example help text (#18721)
- 2.6.23
* Thu Aug 29 2002 msvec@suse.cz
- fixed testsuite (new Installation.ycp constructor)
- 2.6.22
* Tue Aug 27 2002 msvec@suse.cz
- provide/obsolete old translation packages
- possibility to edit wireless settings (#9209)
- 2.6.21
* Fri Aug 23 2002 msvec@suse.cz
- new screen for s390 hsi devices
- prepare ISDN for the mail config question (#18256)
- enable defaultroute editing again (#17498)
- partial fix for the hostname problems (#17741)
- preliminary support for s390 devices
- updated testsuite
- 2.6.20
* Tue Aug 20 2002 jsuchome@suse.cz
- updated dialogs's look (#17572)
* Tue Aug 20 2002 arvin@suse.de
- don't stop/start network during writing of proposal on s390
* Mon Aug 19 2002 kkeil@suse.de
- display long provider name for isdn overview (#17564)
- 2.6.18
* Mon Aug 19 2002 kkeil@suse.de
- check and install needed packages for isdn (#17615)
* Mon Aug 19 2002 mvidner@suse.cz
- Now cardbus cards are detected, so use eth-pcmcia-0
  and STARTMODE=hotplug (#13571).
* Fri Aug 16 2002 jsuchome@suse.cz
- Providers: Added simple check for user name for T-Online provider
  (#16756, #6244)
* Fri Aug 16 2002 mvidner@suse.cz
- DSL device: write a dummy ifcfg file (#17631).
- DSL provider: allow switching between T-Online/other (kkeil).
* Fri Aug 16 2002 jsuchome@suse.cz
- ISDN: Checked user input in "own phone number" (#16756).
* Thu Aug 15 2002 jsuchome@suse.cz
- Corrected bug in writing modem configuration (check for providers
  change).
* Thu Aug 15 2002 mvidner@suse.cz
- ISDN: saving interface/provider although not configured fixed (jsuchome).
- Restrict valid characters for the wireless encryption key (#17546).
- Disable DHCP related widgets when switching to static config (#17391).
* Wed Aug 14 2002 mvidner@suse.cz
- Installation proposal: differentiate between static and dhcp
  network settings provided by linuxrc (#16471).
- Exclude DSL, ISDN and modem control center entries
  on s390 and s390x (#17675).
- Merged proofread texts for the second translation round.
- 2.6.17
* Tue Aug 13 2002 kkeil@suse.de
- add support for Fritz!DSL
- fix bug according regexpsub in DSLDevice module
* Mon Aug 12 2002 arvin@suse.de
- fixed testsuite
* Mon Aug 12 2002 mvidner@suse.cz
- Proxy: fix writing (#17623)
- Routing: use a transparent icon (#16868).
- 2.6.15
* Sun Aug 11 2002 mvidner@suse.cz
- Make "yast2 network" invoke "yast2 lan" (#17570).
- Testsuite adapted to Runlevel changes due to #17608.
* Fri Aug  9 2002 nashif@suse.de
- lower case of wireless/pcmcia options
* Tue Aug  6 2002 msvec@suse.cz
- adapt proposal to the new install.inf agent
- 2.6.13
* Tue Aug  6 2002 arvin@suse.de
- adapted testsuite to new /etc/install.inf agent
* Mon Aug  5 2002 msvec@suse.cz
- install required packages for modem (#16863) and dsl (#14315)
- fixed help texts
- 2.6.11
* Mon Jul 29 2002 msvec@suse.cz
- remove deleted providers after Delete (#16094)
- start kinternet after modem and isdn config (#14320)
- fixed writing of additional providers (#17221)
- possibility to enter infinite (0) idle timeout (#17218)
- fixed caption, enabled defaultroute by default (#17219)
- 2.6.10
* Wed Jul 24 2002 kkeil@suse.de
- ISDN interface and multi provider setup
- simple dialin server setup
- D-channel protocol selection depends on HW database
- cleanups
- 2.6.9
* Wed Jul 24 2002 msvec@suse.cz
- fixed some error messages
- fix progress bar steps (#17180)
- propose something only if there's nothing configured
- 2.6.8
* Mon Jul 22 2002 msvec@suse.cz
- set up network in runlevels 2,3,5 (#17076)
- write proxy user/pass to /root/.wgetrc (#17005)
- fixed multiple proposals (#17016)
- merged proofread texts
- wireless help text
- 2.6.7
* Mon Jul 15 2002 msvec@suse.cz
- proxy configuration
- namespace hacks <arvin>
- 2.6.6
* Thu Jul 11 2002 mvidner@suse.cz
- general library: Added {check,valid}_address, valid_ip4.
- 2.6.5
* Wed Jul 10 2002 msvec@suse.cz
- wireless network cards support (#9209)
- run also SuSEconfigs for apache, sendmail and postfix (#16710)
- remove netcard modules after delete (#16797)
- correct IP details dialog
- fixed providers filter
- 2.6.4
* Thu Jul  4 2002 arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Mon Jul  1 2002 msvec@suse.cz
- multiple providers support for modems
- yast2-config-network -> yast2-network
- netmask bits function and testsuite
- new providers dialogs
- added stupid mode checkbox (#16330)
- IP6 checking
- tell mail who is calling (#13565)
- merged with yast2-lib-network
- allow IP settings for ISDN rawip connections (#16309)
- always write ifcfg- file entries with '' (#16549)
- removed dependence on -trans package
- network card proposal
- updated testsuite
- common connection dialog
- default language heuristics
- new modem and providers dialogs
- use "rewrite" for providers files
- always save providers with values enclosed in '' (#16069)
- use config files
- 2.6.2
* Wed May 15 2002 msvec@suse.cz
- added checking of error values to routing
- fixed Abort confirmation in routing, dns (#14926)
- IP forwarding support (#13053)
- preliminary support for virtual network interfaces
- allow * and & in Phone number, don't check pass emptiness (#16021)
- ask for mail config after save (#13565)
- enable DHCP checkboxes only in case of any DHCP device (#13223)
- better modems summary and overview
- prepared for the overall network config
- properly fix substring lookup (#13735)
- 2.6.1
* Wed Apr 17 2002 msvec@suse.cz
- updated testsuite due to #15694
- properly support externally modified resolv.conf
- abort confirmation should work better cross modules (#14926)
- agent for sysconfig/sysctl
- added labels to DNS config (#13443)
- allow setup of DHCP resolv.conf setting (#14792)
- limit allowable characters in DNS dialog (#15653)
- limit allowable characters in routing dialog
- fixed checkycp complaints in ISDN config
- use ycpdoc more-dirs mode
- 2.6.0
* Mon Mar 25 2002 ro@suse.de
- added yast2 to neededforbuild (modules/Mode.ycp)
* Sat Mar 23 2002 kkeil@suse.de
- fix empty custom provider problem (#15425)
- 2.5.52
* Thu Mar 21 2002 kkeil@suse.de
- don't load drivers in proposal mode (#15078)
* Thu Mar 21 2002 mvidner@suse.cz
- Added autoloading of a network card module for DSL.
  (if there is only one). #15182
- A "Finished" popup for DSL. (#15074)
- 2.5.51
* Mon Mar 18 2002 mvidner@suse.cz
- Providers::Commit should come before ISDN::Commit.
  Fixes #15079 (provider name empty in ifcfg-ippp0)
- 2.5.50
* Mon Mar 18 2002 mvidner@suse.cz
- Fixed writing of network card module options. (#15061)
- 2.5.49
* Mon Mar 18 2002 pblahos@suse.cz
- Providers: window with countries is disabled when custom providers
  are selected. (#15063)
- 2.5.48
* Thu Mar 14 2002 msvec@suse.cz
- minor documentation fixes
- enhanced testsuite
- 2.5.47
* Wed Mar 13 2002 kkeil@suse.de
- don't reload driver, if only interface data was changed (#14865)
- call Provider::Commit only if needed (#14145)
- 2.5.46
* Wed Mar 13 2002 msvec@suse.cz
- update /etc/hosts also if only the IP address changes (#14182)
- added textdomain to menuentries for dns and routing
- removed obsolete help text
- 2.5.45
* Tue Mar 12 2002 msvec@suse.cz
- better syntax for default gateway (#14878)
- setup hostname before writing xauth info (#14530)
- enhanced Firewall testsuite
- 2.5.44
* Mon Mar 11 2002 msvec@suse.cz
- return empty map on canceled autoinst (#14526)
- 2.5.43
* Mon Mar 11 2002 kkeil@suse.de
- fix to use LFS script path
- called rcisdn twice (part of #14777)
- allways use ComboBox for driver (#14665, #14772)
* Mon Mar 11 2002 pblahos@suse.cz
- It isn't necessary to specify a password when "Always ask me for
  a password" is set in ISDN provider setup (#14774)
- 2.5.41
* Fri Mar  8 2002 kkeil@suse.de
- start mode must allow hotplug for netif too (#13853)
- smpppd should setup as last action
- 2.5.40
* Fri Mar  8 2002 msvec@suse.cz
- preserve /dev/modem symlink loops (#14577)
- removed obsolete help texts and added missing (#14462)
- 2.5.39
* Thu Mar  7 2002 pblahos@suse.cz
- Check for Connection name uniqueness did not work (#14620)
- When duplicate Provider name or Connection name was entered no
  error message was shown (#14618)
- version 2.5.38
* Thu Mar  7 2002 kkeil@suse.de
- fix allways write config bug (#14528)
* Wed Mar  6 2002 kkeil@suse.de
- fix Add/Edit/Delete disable/enable (#13899)
- fix onboot/hotplug STARTMODE (#13853)
- save provider related info (username and phone) only in
  provider file (#6169)
- add Test carddriver (#2618)
- add ask allways for password (#12413)
- idle timeout in seconds, default=60 (#13222)
- setup smpppd (#13172)
- change finish to OK (part #13707)
- USEPEERDNS and DEFAULTROUTE now enabled in default (#14177)
- fix wrong matches for ppp if here are ippp devices
- disable IP setting if dynamic IP is selected (#13218)
- add warning if an binonly driver is selected
- only legal ISA cards and parport devices have parameter
- add more help text
* Tue Mar  5 2002 lslezak@suse.cz
- do not show ippp devices in modem configuration (#13735)
- version 2.5.37
* Mon Mar  4 2002 arvin@suse.de
- default for AUTODNS is "yes" for modems
- providers configured for modem don't support isdn and vice
  versa (bug #14071)
* Mon Mar  4 2002 mvidner@suse.cz
- Fixed a race when writing /etc/resolv.conf (#13982)
- 2.5.35
* Mon Mar  4 2002 arvin@suse.de
- include STARTMODE in dsl config file (bug #14315)
* Sun Mar  3 2002 arvin@suse.de
- use correct provider name "dsl-provider0" in ifcfg-dsl0
* Sat Mar  2 2002 kkaempf@suse.de
- Fix routing agent (#14184).
- Enable edit/delete for a single entry also (kkeil@suse.de).
* Fri Mar  1 2002 mvidner@suse.cz
- Always save the DNS configuration so that /etc/hosts is saved
  even if only the IP address changes. (#14182)
- Input validation in provider editing fixed. (#14209)
- 2.5.31
* Wed Feb 27 2002 msvec@suse.cz
- set DHCLIENT_SET_DOWN_LINK only for pcmcia cards
- 2.5.30
* Mon Feb 25 2002 msvec@suse.cz
- disable firewall checkbox is SuSEfirewall2 is active (#13639)
- create /dev/modem symlink (#13764)
- 2.5.29
* Mon Feb 25 2002 msvec@suse.cz
- support of USB network cards (#13364)
- added PCMCIA/USB ugly symlink hackery
- ensuring that *SUPPORTED are present when writting (#13873)
- better checking of values of variables ASKPASSWORD, STUPIDMODE,
  COMPUSERVE, ISDNSUPPORTED, DSLSUPPORTED, MODEMSUPPORTED
- 2.5.28
* Mon Feb 25 2002 msvec@suse.cz
- updated testsuite
- proper PCMCIA support
- don't require personal-firewall any more
- don't show isdn cards in modem config (#13735)
- checking that ASKPASSWORD, STUPIDMODE, COMPUSERVE, ISDNSUPPORTED,
  DSLSUPPORTED, MODEMSUPPORTED is yes or no <pblahos@suse.cz>
- the option ASKPASSWORD must be yes or no <arvin@suse.de>
- changes due to providers: provider file names changed from
  XX.wvdial.conf to XX.conf. <pblahos@suse.cz>
- 2.5.27
* Wed Feb 20 2002 msvec@suse.cz
- always allow hostname setting (#13427)
- fixed dhcp hostname writing (#13642)
- added support for personal firewall to DSL
- changes due to new providers <pblahos@suse.cz>
- added check for empty interface
- enhanced firewall interface
- 2.5.26
* Wed Feb 20 2002 msvec@suse.cz
- added support for personal firewall to modems
- use " as the default delimiter in sysconfig
- fixed some network strings (#6646)
- 2.5.25
* Tue Feb 19 2002 msvec@suse.cz
- DSL: nice idle combo box
- DSL: added check for empty user name
- DSL: removed pppmode combo box for T-Online
- DSL: default name servers for T-Online
- DSL: updated texts (#13553)
- 2.5.24
* Tue Feb 19 2002 msvec@suse.cz
- fixed broken initial startup
- fixed filtering of modem/isdn/dsl providers
- merged Connection details screen to connection
- set IDLE to 300 by default
- 2.5.23
* Tue Feb 19 2002 msvec@suse.cz
- DSL T-Online mode added
- don't write DSL settings if nothing changed
- 2.5.22
* Mon Feb 18 2002 msvec@suse.cz
- removed checkIP builtins
- BOOTMODE -> STARTMODE and updated testsuite
- fixed modem speaker and carier writing
- added filtering of providers that support modem/dsl (#13499)
- files containing custom providers are now (0600, root, root) (#13353)
- use yast2-db-country for getting nice name of country of provider (#13397)
- proposals: no more two reads, reset and writing functional (#13410)
- provides/obsoletes yast2-config-adsl
- DSL configuration finished (#12971)
- ISDN support by kkeil@suse.de
- 2.5.21
* Fri Feb 15 2002 msvec@suse.cz
- use yast2-db-country for the countries list
- DSL configuration dialogs (#12971)
- added pppoe and pppoatm switch
- DSL preliminary write support
- 2.5.20
* Fri Feb 15 2002 msvec@suse.cz
- don't write dns and routing if not modified
- support for PCMCIA network cards (#13362, #13365)
- set boot mode of PCMCIA cards to "hotplug" (#13368)
- add netcards list to the package (#13378)
- 2.5.19
* Fri Feb 15 2002 msvec@suse.cz
- some isdn dialogs fixes
- more texts proof reading
- 2.5.18
* Thu Feb 14 2002 msvec@suse.cz
- don't start smpppd during installation (#13249)
- don't write routing or DNS if it's not modified
- check IP addresses, hostname and domains (#13201)
- also check in routing and DNS config
- added writing of .probe.status
- delete modules.conf entries
- closed a lot of bugs
- 2.5.17
* Wed Feb 13 2002 msvec@suse.cz
- ISDN configuration in progress
- layout of the "Select providers" screen changed.
- name of country for custom providers changed Other --> Custom
- always saves (MODEM|ISDN|DSL)SUPPORTED
- 2.5.16
* Tue Feb 12 2002 msvec@suse.cz
- added proposals (only summary so far)
- fixed format of custom providers and added missing fields
- provider stuff removed from Modem module
- added functions Export/Import into Providers
- 2.5.15
* Mon Feb 11 2002 pblahos@suse.cz
- implemented module Providers
- don't set FQ hostname
- 2.5.14
* Tue Feb  5 2002 msvec@suse.cz
- fixed PPPD_OPTIONS writing
- setup smpppd(8)
- 2.5.13
* Fri Feb  1 2002 msvec@suse.cz
- fixed CarrierDetect and SpeakerOn initstrings
- some more minor modem fixes
- 2.5.12
* Wed Jan 30 2002 msvec@suse.cz
- added preliminary dsl dialogs
- write detected PPPD_OPTIONS
- AutoReconnect is not supported any more
- removed some other obsolete settings
- proof-read texts
- 2.5.11
* Tue Jan 29 2002 msvec@suse.cz
- reading progress for modems and isdn
- modems writing and configuration partly done
- 2.5.10
* Tue Jan 29 2002 msvec@suse.cz
- network cards summary done
- preliminary work for modems and isdn config
- modems and isdn summary and overview screens
- 2.5.9
* Mon Jan 28 2002 nashif@suse.de
- Adapted for auto-installation
- 2.5.8
* Mon Jan 28 2002 msvec@suse.cz
- fixed default route writing
- 2.5.7
* Fri Jan 25 2002 msvec@suse.cz
- fixed modules initialization and cleanup (#12905)
- fix writing of kernel modules for manually added cards
- autoinstallation support for routing, dns, modems and isdn
- ISDN configuration UI (no reading or writing)
- fixed modem shortcuts
- use Summary module
- 2.5.6
* Thu Jan 24 2002 msvec@suse.cz
- modems configuration UI
- expect missing /etc/resolv.conf
- preliminary lan autoinstallation support
- 2.5.5
* Wed Jan 23 2002 msvec@suse.cz
- writing modules.conf
- preliminary summary clients
- 2.5.4
* Wed Jan 16 2002 msvec@suse.cz
- preliminary clients and for modem, ISDN and DSL
- interaction of search and domain in resolv.conf
- correct use of /etc/sysconfig/network/routes
- added some help texts
- 2.5.3
* Tue Jan 15 2002 msvec@suse.cz
- DNS and routing clients
- DNS writing somehow functional
- use /etc/HOSTNAME for hostname
- 2.5.2
* Mon Jan 14 2002 msvec@suse.cz
- preliminary DNS dialog
- routing configuration functional
- use toupper, merge and remove builtins
- preliminary version of modem and ISDN dialogs
- added agents for routing and DNS
- 2.5.1
* Wed Jan  9 2002 msvec@suse.cz
- complete rewrite (almost no old code left)
- updated network cards list from yast1
- supports new /etc/sysconfig scheme
- only dialog layouts are similar
- uses modules and devtools
- new agents added
- 2.5.0
* Tue Sep 25 2001 dan@suse.cz
- test for running i4l only if it exists (#11286)
* Mon Sep 24 2001 dan@suse.cz
- start smpppd only if it exists (#11250)
- fix adding providers for PCMCIA
* Fri Sep 21 2001 dan@suse.cz
- add PollInput to avoid strange UserInput behavior
  also fixes (#11069)
* Tue Sep 18 2001 dan@suse.cz
- start smpppd after starting ISDN (#10545)
- enable to write 0.0.0.0 as default route (#10751)
- 2.4.16
* Fri Sep 14 2001 msvec@suse.cz
- fixed shortcuts (#10401)
- 2.4.14
* Fri Sep 14 2001 dan@suse.cz
- generate correct device numbers (#10580)
- start smpppd after starting ISDN (#10545)
- fix values from install.inf (#10628)
- just one DNS is needed for modems (#10640)
* Wed Sep 12 2001 dan@suse.cz
- adding providers for PCMCIA cards fix (#10116)
- 2.4.12
* Tue Sep 11 2001 dan@suse.cz
- use LSB complainant return values
- remember entered DNS values
* Mon Sep 10 2001 dan@suse.cz
- fixed reading exiting configuration (also #10348)
* Thu Sep  6 2001 msvec@suse.cz
- progress bar again functional
- fixed some anyagent error messages
- fixed route writing (maybe also #10123)
- 2.4.9
* Wed Sep  5 2001 msvec@suse.cz
- fixed some CallFunction(lan_route)
- fixed some other CallFunctions
- fixed some untranslated messages
- hopefully finally fixed the hostname settings (#10192)
- more trailing whitespace removed
- use :: in the dns configuration
- 2.4.8
* Tue Sep  4 2001 msvec@suse.cz
- partial fix of duplicated variables (#9991)
- fixed SCR variables (#10031)
- fixed route writing (#10123)
- removed some trailing whitespace
- fixed some typos (#10034)
- enabled parseycp check
- fixed complex dialog
- fixed hostname settings
- 2.4.7
* Thu Aug 30 2001 ro@suse.de
- added <libycp-devel> to neededforbuild (for testsuite)
* Wed Aug 22 2001 dan@suse.cz
- static DNS enabled for ISDN flow (also #6020)
* Tue Aug 21 2001 msvec@suse.cz
- fixed netcards.ycp database
- removed more obsolete builtins
- fixed some minor bugs
- 2.4.5
* Tue Aug 21 2001 msvec@suse.cz
- removed obsolete fileexist builtin
- enabled abuild checking
- 2.4.4
* Thu Aug 16 2001 dan@suse.cz
- adoption to the new probe format
* Tue Aug 14 2001 msvec@suse.cz
- AddtoSecrets fixed (#9716)
- AddtoSecrets testsuite
- 2.4.2
* Fri Jul 27 2001 dan@suse.cz
- hostname change re-enabled on a running system
* Fri Jul 20 2001 dan@suse.cz
- split of the nfs services, sendmail and nis configuration <msvec@suse.cz>
- removed superfluous first dialog of NFS client <mvidner@suse.cz>
- version 2.4.0
- new libycp adoption
- minor text changes
* Mon Jul  9 2001 ro@suse.de
- removed yast2-core-translator from neededforbuild
* Tue May 22 2001 dan@suse.cz
- removing search from resolv.conf fixed (#8578)
* Tue May 15 2001 dan@suse.cz
- propagate installation parameter to set-up hostname during installation (#7964)
- set-up /etc/HOSTNAME after reboot (#8344)
- write MODEM variable into rc.config (#7895)
* Tue May 15 2001 kkaempf@suse.de
- write "--module hostname" to /var/lib/YaST2/run_suseconfig to
  force hostname change propagation on next reboot.
* Tue May 15 2001 dan@suse.cz
- write PCMCIA ISDN cards under NETCONFIG_PCMCIA instead of NETCONFIG
  in the rc.config file (bug #8069)
- y2log cleanup (bug #8327)
* Mon May 14 2001 dan@suse.cz
- do not write empty headers into '/etc/resolv.conf' (bug #8299)
* Mon May 14 2001 dan@suse.cz
- write hostname for PCMCIA cards (bug #7964)
- run full SuSE config during intsllation to set-up '/etc/HOSTNAME' (bug
  [#8183])
- DNS info writting fixed (bug #8256)
* Fri May 11 2001 dan@suse.cz
- quote user and name in '/etc/ppp/ioptions.<dev>'
- message in DNS popup fixed (#8071)
* Fri May 11 2001 dan@suse.cz
- Inherits fixes for modem (#7968)
- do not stop/start PCMCIA directly
- message fixes for DNS dialog
* Mon May  7 2001 dan@suse.cz
- manual setup flow fixed
- allow to change hostname during installation (#7630)
- writing of chap/pap secrets fixed (#7377)
* Fri May  4 2001 dan@suse.cz
- reindexing isdn cards when reindexing
- unique keys handeling unified
* Mon Apr 30 2001 dan@suse.cz
- isdn subclass fixes
* Fri Apr 27 2001 dan@suse.cz
- resolving fixes
- multiple bugfixes in workflow
* Tue Apr 24 2001 dan@suse.cz
- fixes for modem, isdn
- ypclient fix
- summary info fixes
* Tue Apr 17 2001 dan@suse.cz
- summary added
- isdn config files under /etc/ppp/providers
- menuentries fixed
- saving resolv.conf fixed
* Tue Apr 17 2001 kkaempf@suse.de
- set "START_PORTMAP" to "yes" when configuring NFS server (#6270)
* Thu Apr 12 2001 dan@suse.cz
- new resolving and hwprobe compliant
- abort button allowed again
* Thu Apr  5 2001 msvec@suse.cz
- translation package rename
- documentation moved to $RPMNAME
- enabled abuild checking
- version 2.3.3
* Tue Apr  3 2001 kukuk@suse.de
- Remove ycpdoc from requires
* Fri Mar 30 2001 dan@suse.cz
- alone function header removed
* Fri Mar 30 2001 dan@suse.cz
- more new libycp addopting, using wizard library,
- adopting to the new resolver agent
* Tue Mar 27 2001 dan@suse.cz
- switch to the new libycp
- package rename
* Fri Jan 26 2001 msvec@suse.cz
- translation fix (broken textdomains) #6166
* Fri Jan 26 2001 arvin@suse.de
- use absolute path for rci4l scripts
* Fri Jan 26 2001 dan@suse.de
- temporal fix of rcnfsserver start call (bug #6157)
* Fri Jan 26 2001 dan@suse.cz
- ISDN default vaules fix (bug #6151)
* Thu Jan 25 2001 dan@suse.cz
- minor log fixes, added providers.ycp to enamble translation of ISP
  countries
* Mon Jan 22 2001 dan@suse.cz
- missing textdomain
* Mon Jan 22 2001 dan@suse.cz
- include missing
* Fri Jan 19 2001 smid@suse.cz
- bugfixes
* Thu Jan 18 2001 dan@suse.cz
- wait for dhclient up to 55 secs that should be enough.
- don't start dhclient for pcmcia cards
- always write "off" to pcmcia device
* Wed Jan 17 2001 smid@suse.cz
- bugfixes
* Tue Jan 16 2001 dan@suse.cz
- editing fixes
* Tue Jan 16 2001 smid@suse.cz
- many bugfixes
* Mon Jan 15 2001 mike@suse.de
- bug 5617 confusing names
* Mon Jan 15 2001 dan@suse.cz
- mostly button fixes, dhclient delay increased
* Fri Jan 12 2001 kkaempf@suse.de
- mark routing helptext as translatable
* Fri Jan 12 2001 smid@suse.de
- next button in route dialog fixed
- forgotten debug dialog from isdn removed
* Thu Jan 11 2001 dan@suse.de
- pcmcia fixes, enabling dhclient to set hostname
- personal firewall checkbox added
* Wed Jan 10 2001 smid@suse.cz
- bugfixes
* Wed Jan 10 2001 smid@suse.cz
- bugfixes (xauth, saving)
* Tue Jan  9 2001 dan@suse.cz
- new configuration workflow (another version :))
* Thu Jan  4 2001 dan@suse.cz
- new configuration workflow
* Tue Dec 19 2000 smid@suse.cz
- added detection of init strings
* Tue Dec 19 2000 dan@suse.cz
- more bugfixes (#4833, #4737, #4838, #4815)
* Mon Dec 18 2000 dan@suse.cz
- more fixes (esp. checks), isdn saving fix (bugs #4738, #4751)
* Fri Dec 15 2000 dan@suse.cz
- fixes of bugs #4736, #4734, #4733, #4731
* Fri Dec 15 2000 dan@suse.cz
- passing unique_keys fixed, y2t_lan required again
* Fri Dec 15 2000 dan@suse.cz
- restarting network just in the case of editing ethernet or token ring (bug #4677)
* Fri Dec 15 2000 dan@suse.cz
- PCMCIA fix (for manual), minor changes (default values ...)
* Wed Dec 13 2000 mike@suse.de
- new menuentry
* Wed Dec 13 2000 dan@suse.cz
- spec file fixed (missing database for manual selection)
- xauth agent used for setting xauthority
* Sun Dec 10 2000 dan@suse.cz
- ypcliet script is ypbind now
- debug dialog removed from sendmail config
* Sun Dec 10 2000 dan@suse.cz
- typo fixed
* Sat Dec  9 2000 dan@suse.cz
- Unknown provider label when provider is not recognized
- fixed route saving
- fixed modem list
* Fri Dec  8 2000 kendy@suse.cz
- Fixed saving of resolv.conf and route.conf
- test_mode switched off in dialup
- added textdomains for dialup modules
- /sbin/init.d changed to /etc/init.d
* Thu Dec  7 2000 kkaempf@suse.de
- fix double qouted terms
* Thu Dec  7 2000 kkaempf@suse.de
- fix dhcp setup
* Wed Dec  6 2000 kkaempf@suse.de
- read default values from /etc/install.inf
* Wed Dec  6 2000 kkaempf@suse.de
- fix filelist in spec
* Wed Dec  6 2000 kkaempf@suse.de
- use bzip2 for packaging
* Fri Dec  1 2000 dan@suse.cz
- merge with dial, initial
* Fri Oct 27 2000 dan@suse.de
- configuration of more devices enabled.
* Mon Jul 24 2000 dan@suse.de
- added cheching for running NIS server (bugfix of #3422) and testing if /etc/route.conf exists (bugfix #3627)
* Mon Jul 24 2000 kkaempf@suse.de
- fix ip address checking
  version 2.0.22
* Thu Jul 20 2000 kkaempf@suse.de
- dont check unwanted values
  version 2.0.21
* Thu Jul 13 2000 kkaempf@suse.de
- call ifconfig before rcdhclient
  version 2.0.20
* Thu Jul 13 2000 dan@suse.de
- minor dhcp changes (now accepts both dhclient and dhcpcd, longer delay)
* Tue Jul 11 2000 kkaempf@suse.de
- bump version to 2.0.18
* Mon Jul 10 2000 dan@suse.de
- fixed dhcp configuration
* Fri Jul  7 2000 kkaempf@suse.de
- fix modules.conf writing
  version 2.0.16
* Tue Jul  4 2000 dan@suse.de
- fixed cheching of running DHCP client
* Mon Jul  3 2000 dan@suse.de
- added message for dhcp error
* Fri Jun 30 2000 dan@suse.de
- Correct setting of hostname and domainname, bugfix (bug #2461)
* Fri Jun 30 2000 dan@suse.de
- calling /bin/domainname to set correct domain name (bugfix, bug #3084)
* Thu Jun 29 2000 dan@suse.de
- correction of calling split function
* Thu Jun 29 2000 dan@suse.de
- fixed bug #3085, allow to enter more than one NIS servers (space separated)
* Thu Jun 29 2000 kkaempf@suse.de
- put y2t_lan as Requires
* Thu Jun 29 2000 dan@suse.de
- fixed smarthost bug (bug #3013)
* Mon Jun 26 2000 kkaempf@suse.de
- messages fixes
  version 2.0.8
* Fri Jun 23 2000 dan@suse.de
- comment for translators
* Thu Jun 22 2000 dan@suse.de
- correction of calling anyagents
* Thu Jun 22 2000 dan@suse.de
- more message corrections
* Wed Jun 21 2000 dan@suse.de
- messages corrections
* Tue Jun 20 2000 dan@suse.de
- NFS problems (hopefully) fixed
* Fri Jun 16 2000 dan@suse.de
- sendmail configuration, nfs configuration, bugfixes
* Thu Jun  8 2000 dan@suse.cz
- ypclient added, kernel card support
* Fri May 19 2000 kkaempf@suse.de
- initial version
